package com.sztzjy.digital_credit.config.exception.handler;

import org.springframework.http.HttpStatus;

public class DigitalEconomyxception extends RuntimeException {

    private HttpStatus code;
    private String msg;

    public DigitalEconomyxception() {
    }

    public DigitalEconomyxception(HttpStatus code) {
        this.code = code;
    }
    public DigitalEconomyxception(HttpStatus code, String msg) {
        super(msg);
        this.code = code;
        this.msg = msg;
    }

    public HttpStatus getCode() {
        return code;
    }

    public void setCode(HttpStatus code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }
}
