package com.sztzjy.digital_credit.controller;

import com.sztzjy.digital_credit.annotation.AnonymousAccess;
import com.sztzjy.digital_credit.entity.StuMachineLearning;
import com.sztzjy.digital_credit.service.StuExperimentTrainByCreditService;
import com.sztzjy.digital_credit.util.ResultEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @author 17803
 * @date 2024-04-23 9:38
 */

@RestController
@RequestMapping("api/stu/digitalCreditTrain")
@Api(tags = "数字征信实验实训")
public class StuExperimentTrainByCreditController {



    @Autowired
    private StuExperimentTrainByCreditService experimentTrainByCreditService;


    @ApiOperation("前端校验数据（自动保存接口）")
    @AnonymousAccess
    @PostMapping("/trainByPublicSave")
    public ResultEntity trainByPublicSave(@RequestBody StuMachineLearning learning){

        return  experimentTrainByCreditService.trainByPublicSave(learning);
    }










}
