package com.sztzjy.digital_credit.entity;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotBlank;

/**
 * 企业增信措施
 *
 * @author whb
 * stu_credit_enhance_measure
 */
public class StuCreditEnhanceMeasure {
    @ApiModelProperty("id")
    private String id;

    @ApiModelProperty("教师评分（-1：暂未评分 ）")
    private Integer tchScore;

    @ApiModelProperty("系统自动评分")
    private Integer sysScore;
    @NotBlank
    @ApiModelProperty("用户ID")
    private String userId;

    private Date createTime;

    private Date updateTime;

    @ApiModelProperty("错误分数")
    private Integer errorNumber;

    @NotBlank
    @ApiModelProperty("归属模块")
    private String module;
    @NotBlank
    @ApiModelProperty("增信方案")
    private String enchancePlan;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public Integer getTchScore() {
        return tchScore;
    }

    public void setTchScore(Integer tchScore) {
        this.tchScore = tchScore;
    }

    public Integer getSysScore() {
        return sysScore;
    }

    public void setSysScore(Integer sysScore) {
        this.sysScore = sysScore;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getErrorNumber() {
        return errorNumber;
    }

    public void setErrorNumber(Integer errorNumber) {
        this.errorNumber = errorNumber;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module == null ? null : module.trim();
    }

    public String getEnchancePlan() {
        return enchancePlan;
    }

    public void setEnchancePlan(String enchancePlan) {
        this.enchancePlan = enchancePlan == null ? null : enchancePlan.trim();
    }
}