package com.sztzjy.digital_credit.entity;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author tz
 * stu_operating_capacity
 * 营运能力
 */
public class StuOperatingCapacity {
    private Integer id;

    @ApiModelProperty("总资产周转率")
    private String totalAssetTurnover;

    @ApiModelProperty("流动资产周转率")
    private String currentAssetTurnover;

    @ApiModelProperty("应收账款周转率")
    private String accountsReceivalTurnoverRate;

    @ApiModelProperty("存货周转率")
    private String inventoryTurnoverRate;

    @ApiModelProperty("序号")
    private Integer serialNumber;

    private String module;

    private Integer capacityId;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("提交状态")
    private Integer subState;

    @ApiModelProperty("错误次数")
    private Integer errorNumber;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getTotalAssetTurnover() {
        return totalAssetTurnover;
    }

    public void setTotalAssetTurnover(String totalAssetTurnover) {
        this.totalAssetTurnover = totalAssetTurnover == null ? null : totalAssetTurnover.trim();
    }

    public String getCurrentAssetTurnover() {
        return currentAssetTurnover;
    }

    public void setCurrentAssetTurnover(String currentAssetTurnover) {
        this.currentAssetTurnover = currentAssetTurnover == null ? null : currentAssetTurnover.trim();
    }

    public String getAccountsReceivalTurnoverRate() {
        return accountsReceivalTurnoverRate;
    }

    public void setAccountsReceivalTurnoverRate(String accountsReceivalTurnoverRate) {
        this.accountsReceivalTurnoverRate = accountsReceivalTurnoverRate == null ? null : accountsReceivalTurnoverRate.trim();
    }

    public String getInventoryTurnoverRate() {
        return inventoryTurnoverRate;
    }

    public void setInventoryTurnoverRate(String inventoryTurnoverRate) {
        this.inventoryTurnoverRate = inventoryTurnoverRate == null ? null : inventoryTurnoverRate.trim();
    }

    public Integer getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(Integer serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module == null ? null : module.trim();
    }

    public Integer getCapacityId() {
        return capacityId;
    }

    public void setCapacityId(Integer capacityId) {
        this.capacityId = capacityId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public Integer getSubState() {
        return subState;
    }

    public void setSubState(Integer subState) {
        this.subState = subState;
    }

    public Integer getErrorNumber() {
        return errorNumber;
    }

    public void setErrorNumber(Integer errorNumber) {
        this.errorNumber = errorNumber;
    }
}