package com.sztzjy.digital_credit.entity;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author tz
 * stu_personal_credit_reminder_info
 */
public class StuPersonalCreditReminderInfo {
    @ApiModelProperty("ID")
    private Integer id;

    @ApiModelProperty("住房贷款笔数")
    private Integer numberOfHousingLoans;

    @ApiModelProperty("其他贷款笔数")
    private Integer numberOfOtherLoans;

    @ApiModelProperty("首笔贷款发放月份")
    private String firstLoanDisbursementMonth;

    @ApiModelProperty("贷记卡账户数")
    private Integer numberOfCreditCardAccounts;

    @ApiModelProperty("首张贷记卡发卡月份")
    private String firstCreditCardIssuanceMonth;

    @ApiModelProperty("准贷记卡账户数")
    private Integer numberOfQuasiCreditCardAccounts;

    @ApiModelProperty("首张准贷记卡发卡月份")
    private String firstQuasiCreditCardMonth;

    @ApiModelProperty("本人声明数目")
    private Integer numberOfStatementsMadeByMyself;

    @ApiModelProperty("异议标注数目")
    private Integer numberOfObjectionAnnotations;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("提交状态")
    private Integer submitStatus;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getNumberOfHousingLoans() {
        return numberOfHousingLoans;
    }

    public void setNumberOfHousingLoans(Integer numberOfHousingLoans) {
        this.numberOfHousingLoans = numberOfHousingLoans;
    }

    public Integer getNumberOfOtherLoans() {
        return numberOfOtherLoans;
    }

    public void setNumberOfOtherLoans(Integer numberOfOtherLoans) {
        this.numberOfOtherLoans = numberOfOtherLoans;
    }

    public String getFirstLoanDisbursementMonth() {
        return firstLoanDisbursementMonth;
    }

    public void setFirstLoanDisbursementMonth(String firstLoanDisbursementMonth) {
        this.firstLoanDisbursementMonth = firstLoanDisbursementMonth == null ? null : firstLoanDisbursementMonth.trim();
    }

    public Integer getNumberOfCreditCardAccounts() {
        return numberOfCreditCardAccounts;
    }

    public void setNumberOfCreditCardAccounts(Integer numberOfCreditCardAccounts) {
        this.numberOfCreditCardAccounts = numberOfCreditCardAccounts;
    }

    public String getFirstCreditCardIssuanceMonth() {
        return firstCreditCardIssuanceMonth;
    }

    public void setFirstCreditCardIssuanceMonth(String firstCreditCardIssuanceMonth) {
        this.firstCreditCardIssuanceMonth = firstCreditCardIssuanceMonth == null ? null : firstCreditCardIssuanceMonth.trim();
    }

    public Integer getNumberOfQuasiCreditCardAccounts() {
        return numberOfQuasiCreditCardAccounts;
    }

    public void setNumberOfQuasiCreditCardAccounts(Integer numberOfQuasiCreditCardAccounts) {
        this.numberOfQuasiCreditCardAccounts = numberOfQuasiCreditCardAccounts;
    }

    public String getFirstQuasiCreditCardMonth() {
        return firstQuasiCreditCardMonth;
    }

    public void setFirstQuasiCreditCardMonth(String firstQuasiCreditCardMonth) {
        this.firstQuasiCreditCardMonth = firstQuasiCreditCardMonth == null ? null : firstQuasiCreditCardMonth.trim();
    }

    public Integer getNumberOfStatementsMadeByMyself() {
        return numberOfStatementsMadeByMyself;
    }

    public void setNumberOfStatementsMadeByMyself(Integer numberOfStatementsMadeByMyself) {
        this.numberOfStatementsMadeByMyself = numberOfStatementsMadeByMyself;
    }

    public Integer getNumberOfObjectionAnnotations() {
        return numberOfObjectionAnnotations;
    }

    public void setNumberOfObjectionAnnotations(Integer numberOfObjectionAnnotations) {
        this.numberOfObjectionAnnotations = numberOfObjectionAnnotations;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public Date getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(Date creationTime) {
        this.creationTime = creationTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getSubmitStatus() {
        return submitStatus;
    }

    public void setSubmitStatus(Integer submitStatus) {
        this.submitStatus = submitStatus;
    }
}