package com.sztzjy.digital_credit.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.Iterator;
import java.util.List;

public class StuPersonalInfoExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public StuPersonalInfoExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        protected void addCriterionForJDBCDate(String condition, Date value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value.getTime()), property);
        }

        protected void addCriterionForJDBCDate(String condition, List<Date> values, String property) {
            if (values == null || values.size() == 0) {
                throw new RuntimeException("Value list for " + property + " cannot be null or empty");
            }
            List<java.sql.Date> dateList = new ArrayList<>();
            Iterator<Date> iter = values.iterator();
            while (iter.hasNext()) {
                dateList.add(new java.sql.Date(iter.next().getTime()));
            }
            addCriterion(condition, dateList, property);
        }

        protected void addCriterionForJDBCDate(String condition, Date value1, Date value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            addCriterion(condition, new java.sql.Date(value1.getTime()), new java.sql.Date(value2.getTime()), property);
        }

        public Criteria andIdIsNull() {
            addCriterion("id is null");
            return (Criteria) this;
        }

        public Criteria andIdIsNotNull() {
            addCriterion("id is not null");
            return (Criteria) this;
        }

        public Criteria andIdEqualTo(Integer value) {
            addCriterion("id =", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotEqualTo(Integer value) {
            addCriterion("id <>", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThan(Integer value) {
            addCriterion("id >", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("id >=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThan(Integer value) {
            addCriterion("id <", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdLessThanOrEqualTo(Integer value) {
            addCriterion("id <=", value, "id");
            return (Criteria) this;
        }

        public Criteria andIdIn(List<Integer> values) {
            addCriterion("id in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotIn(List<Integer> values) {
            addCriterion("id not in", values, "id");
            return (Criteria) this;
        }

        public Criteria andIdBetween(Integer value1, Integer value2) {
            addCriterion("id between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andIdNotBetween(Integer value1, Integer value2) {
            addCriterion("id not between", value1, value2, "id");
            return (Criteria) this;
        }

        public Criteria andNameIsNull() {
            addCriterion("name is null");
            return (Criteria) this;
        }

        public Criteria andNameIsNotNull() {
            addCriterion("name is not null");
            return (Criteria) this;
        }

        public Criteria andNameEqualTo(String value) {
            addCriterion("name =", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotEqualTo(String value) {
            addCriterion("name <>", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThan(String value) {
            addCriterion("name >", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThanOrEqualTo(String value) {
            addCriterion("name >=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThan(String value) {
            addCriterion("name <", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThanOrEqualTo(String value) {
            addCriterion("name <=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLike(String value) {
            addCriterion("name like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotLike(String value) {
            addCriterion("name not like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameIn(List<String> values) {
            addCriterion("name in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotIn(List<String> values) {
            addCriterion("name not in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameBetween(String value1, String value2) {
            addCriterion("name between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotBetween(String value1, String value2) {
            addCriterion("name not between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andGenderIsNull() {
            addCriterion("gender is null");
            return (Criteria) this;
        }

        public Criteria andGenderIsNotNull() {
            addCriterion("gender is not null");
            return (Criteria) this;
        }

        public Criteria andGenderEqualTo(String value) {
            addCriterion("gender =", value, "gender");
            return (Criteria) this;
        }

        public Criteria andGenderNotEqualTo(String value) {
            addCriterion("gender <>", value, "gender");
            return (Criteria) this;
        }

        public Criteria andGenderGreaterThan(String value) {
            addCriterion("gender >", value, "gender");
            return (Criteria) this;
        }

        public Criteria andGenderGreaterThanOrEqualTo(String value) {
            addCriterion("gender >=", value, "gender");
            return (Criteria) this;
        }

        public Criteria andGenderLessThan(String value) {
            addCriterion("gender <", value, "gender");
            return (Criteria) this;
        }

        public Criteria andGenderLessThanOrEqualTo(String value) {
            addCriterion("gender <=", value, "gender");
            return (Criteria) this;
        }

        public Criteria andGenderLike(String value) {
            addCriterion("gender like", value, "gender");
            return (Criteria) this;
        }

        public Criteria andGenderNotLike(String value) {
            addCriterion("gender not like", value, "gender");
            return (Criteria) this;
        }

        public Criteria andGenderIn(List<String> values) {
            addCriterion("gender in", values, "gender");
            return (Criteria) this;
        }

        public Criteria andGenderNotIn(List<String> values) {
            addCriterion("gender not in", values, "gender");
            return (Criteria) this;
        }

        public Criteria andGenderBetween(String value1, String value2) {
            addCriterion("gender between", value1, value2, "gender");
            return (Criteria) this;
        }

        public Criteria andGenderNotBetween(String value1, String value2) {
            addCriterion("gender not between", value1, value2, "gender");
            return (Criteria) this;
        }

        public Criteria andAgeIsNull() {
            addCriterion("age is null");
            return (Criteria) this;
        }

        public Criteria andAgeIsNotNull() {
            addCriterion("age is not null");
            return (Criteria) this;
        }

        public Criteria andAgeEqualTo(String value) {
            addCriterion("age =", value, "age");
            return (Criteria) this;
        }

        public Criteria andAgeNotEqualTo(String value) {
            addCriterion("age <>", value, "age");
            return (Criteria) this;
        }

        public Criteria andAgeGreaterThan(String value) {
            addCriterion("age >", value, "age");
            return (Criteria) this;
        }

        public Criteria andAgeGreaterThanOrEqualTo(String value) {
            addCriterion("age >=", value, "age");
            return (Criteria) this;
        }

        public Criteria andAgeLessThan(String value) {
            addCriterion("age <", value, "age");
            return (Criteria) this;
        }

        public Criteria andAgeLessThanOrEqualTo(String value) {
            addCriterion("age <=", value, "age");
            return (Criteria) this;
        }

        public Criteria andAgeLike(String value) {
            addCriterion("age like", value, "age");
            return (Criteria) this;
        }

        public Criteria andAgeNotLike(String value) {
            addCriterion("age not like", value, "age");
            return (Criteria) this;
        }

        public Criteria andAgeIn(List<String> values) {
            addCriterion("age in", values, "age");
            return (Criteria) this;
        }

        public Criteria andAgeNotIn(List<String> values) {
            addCriterion("age not in", values, "age");
            return (Criteria) this;
        }

        public Criteria andAgeBetween(String value1, String value2) {
            addCriterion("age between", value1, value2, "age");
            return (Criteria) this;
        }

        public Criteria andAgeNotBetween(String value1, String value2) {
            addCriterion("age not between", value1, value2, "age");
            return (Criteria) this;
        }

        public Criteria andDateOfBirthIsNull() {
            addCriterion("date_of_birth is null");
            return (Criteria) this;
        }

        public Criteria andDateOfBirthIsNotNull() {
            addCriterion("date_of_birth is not null");
            return (Criteria) this;
        }

        public Criteria andDateOfBirthEqualTo(Date value) {
            addCriterionForJDBCDate("date_of_birth =", value, "dateOfBirth");
            return (Criteria) this;
        }

        public Criteria andDateOfBirthNotEqualTo(Date value) {
            addCriterionForJDBCDate("date_of_birth <>", value, "dateOfBirth");
            return (Criteria) this;
        }

        public Criteria andDateOfBirthGreaterThan(Date value) {
            addCriterionForJDBCDate("date_of_birth >", value, "dateOfBirth");
            return (Criteria) this;
        }

        public Criteria andDateOfBirthGreaterThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("date_of_birth >=", value, "dateOfBirth");
            return (Criteria) this;
        }

        public Criteria andDateOfBirthLessThan(Date value) {
            addCriterionForJDBCDate("date_of_birth <", value, "dateOfBirth");
            return (Criteria) this;
        }

        public Criteria andDateOfBirthLessThanOrEqualTo(Date value) {
            addCriterionForJDBCDate("date_of_birth <=", value, "dateOfBirth");
            return (Criteria) this;
        }

        public Criteria andDateOfBirthIn(List<Date> values) {
            addCriterionForJDBCDate("date_of_birth in", values, "dateOfBirth");
            return (Criteria) this;
        }

        public Criteria andDateOfBirthNotIn(List<Date> values) {
            addCriterionForJDBCDate("date_of_birth not in", values, "dateOfBirth");
            return (Criteria) this;
        }

        public Criteria andDateOfBirthBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("date_of_birth between", value1, value2, "dateOfBirth");
            return (Criteria) this;
        }

        public Criteria andDateOfBirthNotBetween(Date value1, Date value2) {
            addCriterionForJDBCDate("date_of_birth not between", value1, value2, "dateOfBirth");
            return (Criteria) this;
        }

        public Criteria andDocumentTypeIsNull() {
            addCriterion("document_type is null");
            return (Criteria) this;
        }

        public Criteria andDocumentTypeIsNotNull() {
            addCriterion("document_type is not null");
            return (Criteria) this;
        }

        public Criteria andDocumentTypeEqualTo(String value) {
            addCriterion("document_type =", value, "documentType");
            return (Criteria) this;
        }

        public Criteria andDocumentTypeNotEqualTo(String value) {
            addCriterion("document_type <>", value, "documentType");
            return (Criteria) this;
        }

        public Criteria andDocumentTypeGreaterThan(String value) {
            addCriterion("document_type >", value, "documentType");
            return (Criteria) this;
        }

        public Criteria andDocumentTypeGreaterThanOrEqualTo(String value) {
            addCriterion("document_type >=", value, "documentType");
            return (Criteria) this;
        }

        public Criteria andDocumentTypeLessThan(String value) {
            addCriterion("document_type <", value, "documentType");
            return (Criteria) this;
        }

        public Criteria andDocumentTypeLessThanOrEqualTo(String value) {
            addCriterion("document_type <=", value, "documentType");
            return (Criteria) this;
        }

        public Criteria andDocumentTypeLike(String value) {
            addCriterion("document_type like", value, "documentType");
            return (Criteria) this;
        }

        public Criteria andDocumentTypeNotLike(String value) {
            addCriterion("document_type not like", value, "documentType");
            return (Criteria) this;
        }

        public Criteria andDocumentTypeIn(List<String> values) {
            addCriterion("document_type in", values, "documentType");
            return (Criteria) this;
        }

        public Criteria andDocumentTypeNotIn(List<String> values) {
            addCriterion("document_type not in", values, "documentType");
            return (Criteria) this;
        }

        public Criteria andDocumentTypeBetween(String value1, String value2) {
            addCriterion("document_type between", value1, value2, "documentType");
            return (Criteria) this;
        }

        public Criteria andDocumentTypeNotBetween(String value1, String value2) {
            addCriterion("document_type not between", value1, value2, "documentType");
            return (Criteria) this;
        }

        public Criteria andIdentificationNumberIsNull() {
            addCriterion("identification_number is null");
            return (Criteria) this;
        }

        public Criteria andIdentificationNumberIsNotNull() {
            addCriterion("identification_number is not null");
            return (Criteria) this;
        }

        public Criteria andIdentificationNumberEqualTo(String value) {
            addCriterion("identification_number =", value, "identificationNumber");
            return (Criteria) this;
        }

        public Criteria andIdentificationNumberNotEqualTo(String value) {
            addCriterion("identification_number <>", value, "identificationNumber");
            return (Criteria) this;
        }

        public Criteria andIdentificationNumberGreaterThan(String value) {
            addCriterion("identification_number >", value, "identificationNumber");
            return (Criteria) this;
        }

        public Criteria andIdentificationNumberGreaterThanOrEqualTo(String value) {
            addCriterion("identification_number >=", value, "identificationNumber");
            return (Criteria) this;
        }

        public Criteria andIdentificationNumberLessThan(String value) {
            addCriterion("identification_number <", value, "identificationNumber");
            return (Criteria) this;
        }

        public Criteria andIdentificationNumberLessThanOrEqualTo(String value) {
            addCriterion("identification_number <=", value, "identificationNumber");
            return (Criteria) this;
        }

        public Criteria andIdentificationNumberLike(String value) {
            addCriterion("identification_number like", value, "identificationNumber");
            return (Criteria) this;
        }

        public Criteria andIdentificationNumberNotLike(String value) {
            addCriterion("identification_number not like", value, "identificationNumber");
            return (Criteria) this;
        }

        public Criteria andIdentificationNumberIn(List<String> values) {
            addCriterion("identification_number in", values, "identificationNumber");
            return (Criteria) this;
        }

        public Criteria andIdentificationNumberNotIn(List<String> values) {
            addCriterion("identification_number not in", values, "identificationNumber");
            return (Criteria) this;
        }

        public Criteria andIdentificationNumberBetween(String value1, String value2) {
            addCriterion("identification_number between", value1, value2, "identificationNumber");
            return (Criteria) this;
        }

        public Criteria andIdentificationNumberNotBetween(String value1, String value2) {
            addCriterion("identification_number not between", value1, value2, "identificationNumber");
            return (Criteria) this;
        }

        public Criteria andMaritalStatusIsNull() {
            addCriterion("marital_status is null");
            return (Criteria) this;
        }

        public Criteria andMaritalStatusIsNotNull() {
            addCriterion("marital_status is not null");
            return (Criteria) this;
        }

        public Criteria andMaritalStatusEqualTo(String value) {
            addCriterion("marital_status =", value, "maritalStatus");
            return (Criteria) this;
        }

        public Criteria andMaritalStatusNotEqualTo(String value) {
            addCriterion("marital_status <>", value, "maritalStatus");
            return (Criteria) this;
        }

        public Criteria andMaritalStatusGreaterThan(String value) {
            addCriterion("marital_status >", value, "maritalStatus");
            return (Criteria) this;
        }

        public Criteria andMaritalStatusGreaterThanOrEqualTo(String value) {
            addCriterion("marital_status >=", value, "maritalStatus");
            return (Criteria) this;
        }

        public Criteria andMaritalStatusLessThan(String value) {
            addCriterion("marital_status <", value, "maritalStatus");
            return (Criteria) this;
        }

        public Criteria andMaritalStatusLessThanOrEqualTo(String value) {
            addCriterion("marital_status <=", value, "maritalStatus");
            return (Criteria) this;
        }

        public Criteria andMaritalStatusLike(String value) {
            addCriterion("marital_status like", value, "maritalStatus");
            return (Criteria) this;
        }

        public Criteria andMaritalStatusNotLike(String value) {
            addCriterion("marital_status not like", value, "maritalStatus");
            return (Criteria) this;
        }

        public Criteria andMaritalStatusIn(List<String> values) {
            addCriterion("marital_status in", values, "maritalStatus");
            return (Criteria) this;
        }

        public Criteria andMaritalStatusNotIn(List<String> values) {
            addCriterion("marital_status not in", values, "maritalStatus");
            return (Criteria) this;
        }

        public Criteria andMaritalStatusBetween(String value1, String value2) {
            addCriterion("marital_status between", value1, value2, "maritalStatus");
            return (Criteria) this;
        }

        public Criteria andMaritalStatusNotBetween(String value1, String value2) {
            addCriterion("marital_status not between", value1, value2, "maritalStatus");
            return (Criteria) this;
        }

        public Criteria andPhoneNumberIsNull() {
            addCriterion("phone_number is null");
            return (Criteria) this;
        }

        public Criteria andPhoneNumberIsNotNull() {
            addCriterion("phone_number is not null");
            return (Criteria) this;
        }

        public Criteria andPhoneNumberEqualTo(String value) {
            addCriterion("phone_number =", value, "phoneNumber");
            return (Criteria) this;
        }

        public Criteria andPhoneNumberNotEqualTo(String value) {
            addCriterion("phone_number <>", value, "phoneNumber");
            return (Criteria) this;
        }

        public Criteria andPhoneNumberGreaterThan(String value) {
            addCriterion("phone_number >", value, "phoneNumber");
            return (Criteria) this;
        }

        public Criteria andPhoneNumberGreaterThanOrEqualTo(String value) {
            addCriterion("phone_number >=", value, "phoneNumber");
            return (Criteria) this;
        }

        public Criteria andPhoneNumberLessThan(String value) {
            addCriterion("phone_number <", value, "phoneNumber");
            return (Criteria) this;
        }

        public Criteria andPhoneNumberLessThanOrEqualTo(String value) {
            addCriterion("phone_number <=", value, "phoneNumber");
            return (Criteria) this;
        }

        public Criteria andPhoneNumberLike(String value) {
            addCriterion("phone_number like", value, "phoneNumber");
            return (Criteria) this;
        }

        public Criteria andPhoneNumberNotLike(String value) {
            addCriterion("phone_number not like", value, "phoneNumber");
            return (Criteria) this;
        }

        public Criteria andPhoneNumberIn(List<String> values) {
            addCriterion("phone_number in", values, "phoneNumber");
            return (Criteria) this;
        }

        public Criteria andPhoneNumberNotIn(List<String> values) {
            addCriterion("phone_number not in", values, "phoneNumber");
            return (Criteria) this;
        }

        public Criteria andPhoneNumberBetween(String value1, String value2) {
            addCriterion("phone_number between", value1, value2, "phoneNumber");
            return (Criteria) this;
        }

        public Criteria andPhoneNumberNotBetween(String value1, String value2) {
            addCriterion("phone_number not between", value1, value2, "phoneNumber");
            return (Criteria) this;
        }

        public Criteria andEducationalBackgroundIsNull() {
            addCriterion("educational_background is null");
            return (Criteria) this;
        }

        public Criteria andEducationalBackgroundIsNotNull() {
            addCriterion("educational_background is not null");
            return (Criteria) this;
        }

        public Criteria andEducationalBackgroundEqualTo(String value) {
            addCriterion("educational_background =", value, "educationalBackground");
            return (Criteria) this;
        }

        public Criteria andEducationalBackgroundNotEqualTo(String value) {
            addCriterion("educational_background <>", value, "educationalBackground");
            return (Criteria) this;
        }

        public Criteria andEducationalBackgroundGreaterThan(String value) {
            addCriterion("educational_background >", value, "educationalBackground");
            return (Criteria) this;
        }

        public Criteria andEducationalBackgroundGreaterThanOrEqualTo(String value) {
            addCriterion("educational_background >=", value, "educationalBackground");
            return (Criteria) this;
        }

        public Criteria andEducationalBackgroundLessThan(String value) {
            addCriterion("educational_background <", value, "educationalBackground");
            return (Criteria) this;
        }

        public Criteria andEducationalBackgroundLessThanOrEqualTo(String value) {
            addCriterion("educational_background <=", value, "educationalBackground");
            return (Criteria) this;
        }

        public Criteria andEducationalBackgroundLike(String value) {
            addCriterion("educational_background like", value, "educationalBackground");
            return (Criteria) this;
        }

        public Criteria andEducationalBackgroundNotLike(String value) {
            addCriterion("educational_background not like", value, "educationalBackground");
            return (Criteria) this;
        }

        public Criteria andEducationalBackgroundIn(List<String> values) {
            addCriterion("educational_background in", values, "educationalBackground");
            return (Criteria) this;
        }

        public Criteria andEducationalBackgroundNotIn(List<String> values) {
            addCriterion("educational_background not in", values, "educationalBackground");
            return (Criteria) this;
        }

        public Criteria andEducationalBackgroundBetween(String value1, String value2) {
            addCriterion("educational_background between", value1, value2, "educationalBackground");
            return (Criteria) this;
        }

        public Criteria andEducationalBackgroundNotBetween(String value1, String value2) {
            addCriterion("educational_background not between", value1, value2, "educationalBackground");
            return (Criteria) this;
        }

        public Criteria andDegreeIsNull() {
            addCriterion("degree is null");
            return (Criteria) this;
        }

        public Criteria andDegreeIsNotNull() {
            addCriterion("degree is not null");
            return (Criteria) this;
        }

        public Criteria andDegreeEqualTo(String value) {
            addCriterion("degree =", value, "degree");
            return (Criteria) this;
        }

        public Criteria andDegreeNotEqualTo(String value) {
            addCriterion("degree <>", value, "degree");
            return (Criteria) this;
        }

        public Criteria andDegreeGreaterThan(String value) {
            addCriterion("degree >", value, "degree");
            return (Criteria) this;
        }

        public Criteria andDegreeGreaterThanOrEqualTo(String value) {
            addCriterion("degree >=", value, "degree");
            return (Criteria) this;
        }

        public Criteria andDegreeLessThan(String value) {
            addCriterion("degree <", value, "degree");
            return (Criteria) this;
        }

        public Criteria andDegreeLessThanOrEqualTo(String value) {
            addCriterion("degree <=", value, "degree");
            return (Criteria) this;
        }

        public Criteria andDegreeLike(String value) {
            addCriterion("degree like", value, "degree");
            return (Criteria) this;
        }

        public Criteria andDegreeNotLike(String value) {
            addCriterion("degree not like", value, "degree");
            return (Criteria) this;
        }

        public Criteria andDegreeIn(List<String> values) {
            addCriterion("degree in", values, "degree");
            return (Criteria) this;
        }

        public Criteria andDegreeNotIn(List<String> values) {
            addCriterion("degree not in", values, "degree");
            return (Criteria) this;
        }

        public Criteria andDegreeBetween(String value1, String value2) {
            addCriterion("degree between", value1, value2, "degree");
            return (Criteria) this;
        }

        public Criteria andDegreeNotBetween(String value1, String value2) {
            addCriterion("degree not between", value1, value2, "degree");
            return (Criteria) this;
        }

        public Criteria andMailingAddressIsNull() {
            addCriterion("mailing_address is null");
            return (Criteria) this;
        }

        public Criteria andMailingAddressIsNotNull() {
            addCriterion("mailing_address is not null");
            return (Criteria) this;
        }

        public Criteria andMailingAddressEqualTo(String value) {
            addCriterion("mailing_address =", value, "mailingAddress");
            return (Criteria) this;
        }

        public Criteria andMailingAddressNotEqualTo(String value) {
            addCriterion("mailing_address <>", value, "mailingAddress");
            return (Criteria) this;
        }

        public Criteria andMailingAddressGreaterThan(String value) {
            addCriterion("mailing_address >", value, "mailingAddress");
            return (Criteria) this;
        }

        public Criteria andMailingAddressGreaterThanOrEqualTo(String value) {
            addCriterion("mailing_address >=", value, "mailingAddress");
            return (Criteria) this;
        }

        public Criteria andMailingAddressLessThan(String value) {
            addCriterion("mailing_address <", value, "mailingAddress");
            return (Criteria) this;
        }

        public Criteria andMailingAddressLessThanOrEqualTo(String value) {
            addCriterion("mailing_address <=", value, "mailingAddress");
            return (Criteria) this;
        }

        public Criteria andMailingAddressLike(String value) {
            addCriterion("mailing_address like", value, "mailingAddress");
            return (Criteria) this;
        }

        public Criteria andMailingAddressNotLike(String value) {
            addCriterion("mailing_address not like", value, "mailingAddress");
            return (Criteria) this;
        }

        public Criteria andMailingAddressIn(List<String> values) {
            addCriterion("mailing_address in", values, "mailingAddress");
            return (Criteria) this;
        }

        public Criteria andMailingAddressNotIn(List<String> values) {
            addCriterion("mailing_address not in", values, "mailingAddress");
            return (Criteria) this;
        }

        public Criteria andMailingAddressBetween(String value1, String value2) {
            addCriterion("mailing_address between", value1, value2, "mailingAddress");
            return (Criteria) this;
        }

        public Criteria andMailingAddressNotBetween(String value1, String value2) {
            addCriterion("mailing_address not between", value1, value2, "mailingAddress");
            return (Criteria) this;
        }

        public Criteria andRegisteredResidenceAddressIsNull() {
            addCriterion("registered_residence_address is null");
            return (Criteria) this;
        }

        public Criteria andRegisteredResidenceAddressIsNotNull() {
            addCriterion("registered_residence_address is not null");
            return (Criteria) this;
        }

        public Criteria andRegisteredResidenceAddressEqualTo(String value) {
            addCriterion("registered_residence_address =", value, "registeredResidenceAddress");
            return (Criteria) this;
        }

        public Criteria andRegisteredResidenceAddressNotEqualTo(String value) {
            addCriterion("registered_residence_address <>", value, "registeredResidenceAddress");
            return (Criteria) this;
        }

        public Criteria andRegisteredResidenceAddressGreaterThan(String value) {
            addCriterion("registered_residence_address >", value, "registeredResidenceAddress");
            return (Criteria) this;
        }

        public Criteria andRegisteredResidenceAddressGreaterThanOrEqualTo(String value) {
            addCriterion("registered_residence_address >=", value, "registeredResidenceAddress");
            return (Criteria) this;
        }

        public Criteria andRegisteredResidenceAddressLessThan(String value) {
            addCriterion("registered_residence_address <", value, "registeredResidenceAddress");
            return (Criteria) this;
        }

        public Criteria andRegisteredResidenceAddressLessThanOrEqualTo(String value) {
            addCriterion("registered_residence_address <=", value, "registeredResidenceAddress");
            return (Criteria) this;
        }

        public Criteria andRegisteredResidenceAddressLike(String value) {
            addCriterion("registered_residence_address like", value, "registeredResidenceAddress");
            return (Criteria) this;
        }

        public Criteria andRegisteredResidenceAddressNotLike(String value) {
            addCriterion("registered_residence_address not like", value, "registeredResidenceAddress");
            return (Criteria) this;
        }

        public Criteria andRegisteredResidenceAddressIn(List<String> values) {
            addCriterion("registered_residence_address in", values, "registeredResidenceAddress");
            return (Criteria) this;
        }

        public Criteria andRegisteredResidenceAddressNotIn(List<String> values) {
            addCriterion("registered_residence_address not in", values, "registeredResidenceAddress");
            return (Criteria) this;
        }

        public Criteria andRegisteredResidenceAddressBetween(String value1, String value2) {
            addCriterion("registered_residence_address between", value1, value2, "registeredResidenceAddress");
            return (Criteria) this;
        }

        public Criteria andRegisteredResidenceAddressNotBetween(String value1, String value2) {
            addCriterion("registered_residence_address not between", value1, value2, "registeredResidenceAddress");
            return (Criteria) this;
        }

        public Criteria andWorkUnitIsNull() {
            addCriterion("work_unit is null");
            return (Criteria) this;
        }

        public Criteria andWorkUnitIsNotNull() {
            addCriterion("work_unit is not null");
            return (Criteria) this;
        }

        public Criteria andWorkUnitEqualTo(String value) {
            addCriterion("work_unit =", value, "workUnit");
            return (Criteria) this;
        }

        public Criteria andWorkUnitNotEqualTo(String value) {
            addCriterion("work_unit <>", value, "workUnit");
            return (Criteria) this;
        }

        public Criteria andWorkUnitGreaterThan(String value) {
            addCriterion("work_unit >", value, "workUnit");
            return (Criteria) this;
        }

        public Criteria andWorkUnitGreaterThanOrEqualTo(String value) {
            addCriterion("work_unit >=", value, "workUnit");
            return (Criteria) this;
        }

        public Criteria andWorkUnitLessThan(String value) {
            addCriterion("work_unit <", value, "workUnit");
            return (Criteria) this;
        }

        public Criteria andWorkUnitLessThanOrEqualTo(String value) {
            addCriterion("work_unit <=", value, "workUnit");
            return (Criteria) this;
        }

        public Criteria andWorkUnitLike(String value) {
            addCriterion("work_unit like", value, "workUnit");
            return (Criteria) this;
        }

        public Criteria andWorkUnitNotLike(String value) {
            addCriterion("work_unit not like", value, "workUnit");
            return (Criteria) this;
        }

        public Criteria andWorkUnitIn(List<String> values) {
            addCriterion("work_unit in", values, "workUnit");
            return (Criteria) this;
        }

        public Criteria andWorkUnitNotIn(List<String> values) {
            addCriterion("work_unit not in", values, "workUnit");
            return (Criteria) this;
        }

        public Criteria andWorkUnitBetween(String value1, String value2) {
            addCriterion("work_unit between", value1, value2, "workUnit");
            return (Criteria) this;
        }

        public Criteria andWorkUnitNotBetween(String value1, String value2) {
            addCriterion("work_unit not between", value1, value2, "workUnit");
            return (Criteria) this;
        }

        public Criteria andOccupationIsNull() {
            addCriterion("occupation is null");
            return (Criteria) this;
        }

        public Criteria andOccupationIsNotNull() {
            addCriterion("occupation is not null");
            return (Criteria) this;
        }

        public Criteria andOccupationEqualTo(String value) {
            addCriterion("occupation =", value, "occupation");
            return (Criteria) this;
        }

        public Criteria andOccupationNotEqualTo(String value) {
            addCriterion("occupation <>", value, "occupation");
            return (Criteria) this;
        }

        public Criteria andOccupationGreaterThan(String value) {
            addCriterion("occupation >", value, "occupation");
            return (Criteria) this;
        }

        public Criteria andOccupationGreaterThanOrEqualTo(String value) {
            addCriterion("occupation >=", value, "occupation");
            return (Criteria) this;
        }

        public Criteria andOccupationLessThan(String value) {
            addCriterion("occupation <", value, "occupation");
            return (Criteria) this;
        }

        public Criteria andOccupationLessThanOrEqualTo(String value) {
            addCriterion("occupation <=", value, "occupation");
            return (Criteria) this;
        }

        public Criteria andOccupationLike(String value) {
            addCriterion("occupation like", value, "occupation");
            return (Criteria) this;
        }

        public Criteria andOccupationNotLike(String value) {
            addCriterion("occupation not like", value, "occupation");
            return (Criteria) this;
        }

        public Criteria andOccupationIn(List<String> values) {
            addCriterion("occupation in", values, "occupation");
            return (Criteria) this;
        }

        public Criteria andOccupationNotIn(List<String> values) {
            addCriterion("occupation not in", values, "occupation");
            return (Criteria) this;
        }

        public Criteria andOccupationBetween(String value1, String value2) {
            addCriterion("occupation between", value1, value2, "occupation");
            return (Criteria) this;
        }

        public Criteria andOccupationNotBetween(String value1, String value2) {
            addCriterion("occupation not between", value1, value2, "occupation");
            return (Criteria) this;
        }

        public Criteria andIndustryIsNull() {
            addCriterion("industry is null");
            return (Criteria) this;
        }

        public Criteria andIndustryIsNotNull() {
            addCriterion("industry is not null");
            return (Criteria) this;
        }

        public Criteria andIndustryEqualTo(String value) {
            addCriterion("industry =", value, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryNotEqualTo(String value) {
            addCriterion("industry <>", value, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryGreaterThan(String value) {
            addCriterion("industry >", value, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryGreaterThanOrEqualTo(String value) {
            addCriterion("industry >=", value, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryLessThan(String value) {
            addCriterion("industry <", value, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryLessThanOrEqualTo(String value) {
            addCriterion("industry <=", value, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryLike(String value) {
            addCriterion("industry like", value, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryNotLike(String value) {
            addCriterion("industry not like", value, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryIn(List<String> values) {
            addCriterion("industry in", values, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryNotIn(List<String> values) {
            addCriterion("industry not in", values, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryBetween(String value1, String value2) {
            addCriterion("industry between", value1, value2, "industry");
            return (Criteria) this;
        }

        public Criteria andIndustryNotBetween(String value1, String value2) {
            addCriterion("industry not between", value1, value2, "industry");
            return (Criteria) this;
        }

        public Criteria andProfessionalTitleIsNull() {
            addCriterion("professional_title is null");
            return (Criteria) this;
        }

        public Criteria andProfessionalTitleIsNotNull() {
            addCriterion("professional_title is not null");
            return (Criteria) this;
        }

        public Criteria andProfessionalTitleEqualTo(String value) {
            addCriterion("professional_title =", value, "professionalTitle");
            return (Criteria) this;
        }

        public Criteria andProfessionalTitleNotEqualTo(String value) {
            addCriterion("professional_title <>", value, "professionalTitle");
            return (Criteria) this;
        }

        public Criteria andProfessionalTitleGreaterThan(String value) {
            addCriterion("professional_title >", value, "professionalTitle");
            return (Criteria) this;
        }

        public Criteria andProfessionalTitleGreaterThanOrEqualTo(String value) {
            addCriterion("professional_title >=", value, "professionalTitle");
            return (Criteria) this;
        }

        public Criteria andProfessionalTitleLessThan(String value) {
            addCriterion("professional_title <", value, "professionalTitle");
            return (Criteria) this;
        }

        public Criteria andProfessionalTitleLessThanOrEqualTo(String value) {
            addCriterion("professional_title <=", value, "professionalTitle");
            return (Criteria) this;
        }

        public Criteria andProfessionalTitleLike(String value) {
            addCriterion("professional_title like", value, "professionalTitle");
            return (Criteria) this;
        }

        public Criteria andProfessionalTitleNotLike(String value) {
            addCriterion("professional_title not like", value, "professionalTitle");
            return (Criteria) this;
        }

        public Criteria andProfessionalTitleIn(List<String> values) {
            addCriterion("professional_title in", values, "professionalTitle");
            return (Criteria) this;
        }

        public Criteria andProfessionalTitleNotIn(List<String> values) {
            addCriterion("professional_title not in", values, "professionalTitle");
            return (Criteria) this;
        }

        public Criteria andProfessionalTitleBetween(String value1, String value2) {
            addCriterion("professional_title between", value1, value2, "professionalTitle");
            return (Criteria) this;
        }

        public Criteria andProfessionalTitleNotBetween(String value1, String value2) {
            addCriterion("professional_title not between", value1, value2, "professionalTitle");
            return (Criteria) this;
        }

        public Criteria andAnnualIncomeRangeIsNull() {
            addCriterion("annual_income_range is null");
            return (Criteria) this;
        }

        public Criteria andAnnualIncomeRangeIsNotNull() {
            addCriterion("annual_income_range is not null");
            return (Criteria) this;
        }

        public Criteria andAnnualIncomeRangeEqualTo(String value) {
            addCriterion("annual_income_range =", value, "annualIncomeRange");
            return (Criteria) this;
        }

        public Criteria andAnnualIncomeRangeNotEqualTo(String value) {
            addCriterion("annual_income_range <>", value, "annualIncomeRange");
            return (Criteria) this;
        }

        public Criteria andAnnualIncomeRangeGreaterThan(String value) {
            addCriterion("annual_income_range >", value, "annualIncomeRange");
            return (Criteria) this;
        }

        public Criteria andAnnualIncomeRangeGreaterThanOrEqualTo(String value) {
            addCriterion("annual_income_range >=", value, "annualIncomeRange");
            return (Criteria) this;
        }

        public Criteria andAnnualIncomeRangeLessThan(String value) {
            addCriterion("annual_income_range <", value, "annualIncomeRange");
            return (Criteria) this;
        }

        public Criteria andAnnualIncomeRangeLessThanOrEqualTo(String value) {
            addCriterion("annual_income_range <=", value, "annualIncomeRange");
            return (Criteria) this;
        }

        public Criteria andAnnualIncomeRangeLike(String value) {
            addCriterion("annual_income_range like", value, "annualIncomeRange");
            return (Criteria) this;
        }

        public Criteria andAnnualIncomeRangeNotLike(String value) {
            addCriterion("annual_income_range not like", value, "annualIncomeRange");
            return (Criteria) this;
        }

        public Criteria andAnnualIncomeRangeIn(List<String> values) {
            addCriterion("annual_income_range in", values, "annualIncomeRange");
            return (Criteria) this;
        }

        public Criteria andAnnualIncomeRangeNotIn(List<String> values) {
            addCriterion("annual_income_range not in", values, "annualIncomeRange");
            return (Criteria) this;
        }

        public Criteria andAnnualIncomeRangeBetween(String value1, String value2) {
            addCriterion("annual_income_range between", value1, value2, "annualIncomeRange");
            return (Criteria) this;
        }

        public Criteria andAnnualIncomeRangeNotBetween(String value1, String value2) {
            addCriterion("annual_income_range not between", value1, value2, "annualIncomeRange");
            return (Criteria) this;
        }

        public Criteria andTotalAssetsIsNull() {
            addCriterion("total_assets is null");
            return (Criteria) this;
        }

        public Criteria andTotalAssetsIsNotNull() {
            addCriterion("total_assets is not null");
            return (Criteria) this;
        }

        public Criteria andTotalAssetsEqualTo(BigDecimal value) {
            addCriterion("total_assets =", value, "totalAssets");
            return (Criteria) this;
        }

        public Criteria andTotalAssetsNotEqualTo(BigDecimal value) {
            addCriterion("total_assets <>", value, "totalAssets");
            return (Criteria) this;
        }

        public Criteria andTotalAssetsGreaterThan(BigDecimal value) {
            addCriterion("total_assets >", value, "totalAssets");
            return (Criteria) this;
        }

        public Criteria andTotalAssetsGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("total_assets >=", value, "totalAssets");
            return (Criteria) this;
        }

        public Criteria andTotalAssetsLessThan(BigDecimal value) {
            addCriterion("total_assets <", value, "totalAssets");
            return (Criteria) this;
        }

        public Criteria andTotalAssetsLessThanOrEqualTo(BigDecimal value) {
            addCriterion("total_assets <=", value, "totalAssets");
            return (Criteria) this;
        }

        public Criteria andTotalAssetsIn(List<BigDecimal> values) {
            addCriterion("total_assets in", values, "totalAssets");
            return (Criteria) this;
        }

        public Criteria andTotalAssetsNotIn(List<BigDecimal> values) {
            addCriterion("total_assets not in", values, "totalAssets");
            return (Criteria) this;
        }

        public Criteria andTotalAssetsBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_assets between", value1, value2, "totalAssets");
            return (Criteria) this;
        }

        public Criteria andTotalAssetsNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_assets not between", value1, value2, "totalAssets");
            return (Criteria) this;
        }

        public Criteria andTotalLiabilitiesIsNull() {
            addCriterion("total_liabilities is null");
            return (Criteria) this;
        }

        public Criteria andTotalLiabilitiesIsNotNull() {
            addCriterion("total_liabilities is not null");
            return (Criteria) this;
        }

        public Criteria andTotalLiabilitiesEqualTo(BigDecimal value) {
            addCriterion("total_liabilities =", value, "totalLiabilities");
            return (Criteria) this;
        }

        public Criteria andTotalLiabilitiesNotEqualTo(BigDecimal value) {
            addCriterion("total_liabilities <>", value, "totalLiabilities");
            return (Criteria) this;
        }

        public Criteria andTotalLiabilitiesGreaterThan(BigDecimal value) {
            addCriterion("total_liabilities >", value, "totalLiabilities");
            return (Criteria) this;
        }

        public Criteria andTotalLiabilitiesGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("total_liabilities >=", value, "totalLiabilities");
            return (Criteria) this;
        }

        public Criteria andTotalLiabilitiesLessThan(BigDecimal value) {
            addCriterion("total_liabilities <", value, "totalLiabilities");
            return (Criteria) this;
        }

        public Criteria andTotalLiabilitiesLessThanOrEqualTo(BigDecimal value) {
            addCriterion("total_liabilities <=", value, "totalLiabilities");
            return (Criteria) this;
        }

        public Criteria andTotalLiabilitiesIn(List<BigDecimal> values) {
            addCriterion("total_liabilities in", values, "totalLiabilities");
            return (Criteria) this;
        }

        public Criteria andTotalLiabilitiesNotIn(List<BigDecimal> values) {
            addCriterion("total_liabilities not in", values, "totalLiabilities");
            return (Criteria) this;
        }

        public Criteria andTotalLiabilitiesBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_liabilities between", value1, value2, "totalLiabilities");
            return (Criteria) this;
        }

        public Criteria andTotalLiabilitiesNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_liabilities not between", value1, value2, "totalLiabilities");
            return (Criteria) this;
        }

        public Criteria andTotalNetWorthIsNull() {
            addCriterion("total_net_worth is null");
            return (Criteria) this;
        }

        public Criteria andTotalNetWorthIsNotNull() {
            addCriterion("total_net_worth is not null");
            return (Criteria) this;
        }

        public Criteria andTotalNetWorthEqualTo(BigDecimal value) {
            addCriterion("total_net_worth =", value, "totalNetWorth");
            return (Criteria) this;
        }

        public Criteria andTotalNetWorthNotEqualTo(BigDecimal value) {
            addCriterion("total_net_worth <>", value, "totalNetWorth");
            return (Criteria) this;
        }

        public Criteria andTotalNetWorthGreaterThan(BigDecimal value) {
            addCriterion("total_net_worth >", value, "totalNetWorth");
            return (Criteria) this;
        }

        public Criteria andTotalNetWorthGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("total_net_worth >=", value, "totalNetWorth");
            return (Criteria) this;
        }

        public Criteria andTotalNetWorthLessThan(BigDecimal value) {
            addCriterion("total_net_worth <", value, "totalNetWorth");
            return (Criteria) this;
        }

        public Criteria andTotalNetWorthLessThanOrEqualTo(BigDecimal value) {
            addCriterion("total_net_worth <=", value, "totalNetWorth");
            return (Criteria) this;
        }

        public Criteria andTotalNetWorthIn(List<BigDecimal> values) {
            addCriterion("total_net_worth in", values, "totalNetWorth");
            return (Criteria) this;
        }

        public Criteria andTotalNetWorthNotIn(List<BigDecimal> values) {
            addCriterion("total_net_worth not in", values, "totalNetWorth");
            return (Criteria) this;
        }

        public Criteria andTotalNetWorthBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_net_worth between", value1, value2, "totalNetWorth");
            return (Criteria) this;
        }

        public Criteria andTotalNetWorthNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_net_worth not between", value1, value2, "totalNetWorth");
            return (Criteria) this;
        }

        public Criteria andSpouseNameIsNull() {
            addCriterion("spouse_name is null");
            return (Criteria) this;
        }

        public Criteria andSpouseNameIsNotNull() {
            addCriterion("spouse_name is not null");
            return (Criteria) this;
        }

        public Criteria andSpouseNameEqualTo(String value) {
            addCriterion("spouse_name =", value, "spouseName");
            return (Criteria) this;
        }

        public Criteria andSpouseNameNotEqualTo(String value) {
            addCriterion("spouse_name <>", value, "spouseName");
            return (Criteria) this;
        }

        public Criteria andSpouseNameGreaterThan(String value) {
            addCriterion("spouse_name >", value, "spouseName");
            return (Criteria) this;
        }

        public Criteria andSpouseNameGreaterThanOrEqualTo(String value) {
            addCriterion("spouse_name >=", value, "spouseName");
            return (Criteria) this;
        }

        public Criteria andSpouseNameLessThan(String value) {
            addCriterion("spouse_name <", value, "spouseName");
            return (Criteria) this;
        }

        public Criteria andSpouseNameLessThanOrEqualTo(String value) {
            addCriterion("spouse_name <=", value, "spouseName");
            return (Criteria) this;
        }

        public Criteria andSpouseNameLike(String value) {
            addCriterion("spouse_name like", value, "spouseName");
            return (Criteria) this;
        }

        public Criteria andSpouseNameNotLike(String value) {
            addCriterion("spouse_name not like", value, "spouseName");
            return (Criteria) this;
        }

        public Criteria andSpouseNameIn(List<String> values) {
            addCriterion("spouse_name in", values, "spouseName");
            return (Criteria) this;
        }

        public Criteria andSpouseNameNotIn(List<String> values) {
            addCriterion("spouse_name not in", values, "spouseName");
            return (Criteria) this;
        }

        public Criteria andSpouseNameBetween(String value1, String value2) {
            addCriterion("spouse_name between", value1, value2, "spouseName");
            return (Criteria) this;
        }

        public Criteria andSpouseNameNotBetween(String value1, String value2) {
            addCriterion("spouse_name not between", value1, value2, "spouseName");
            return (Criteria) this;
        }

        public Criteria andSpouseIdentificationNumberIsNull() {
            addCriterion("spouse_identification_number is null");
            return (Criteria) this;
        }

        public Criteria andSpouseIdentificationNumberIsNotNull() {
            addCriterion("spouse_identification_number is not null");
            return (Criteria) this;
        }

        public Criteria andSpouseIdentificationNumberEqualTo(String value) {
            addCriterion("spouse_identification_number =", value, "spouseIdentificationNumber");
            return (Criteria) this;
        }

        public Criteria andSpouseIdentificationNumberNotEqualTo(String value) {
            addCriterion("spouse_identification_number <>", value, "spouseIdentificationNumber");
            return (Criteria) this;
        }

        public Criteria andSpouseIdentificationNumberGreaterThan(String value) {
            addCriterion("spouse_identification_number >", value, "spouseIdentificationNumber");
            return (Criteria) this;
        }

        public Criteria andSpouseIdentificationNumberGreaterThanOrEqualTo(String value) {
            addCriterion("spouse_identification_number >=", value, "spouseIdentificationNumber");
            return (Criteria) this;
        }

        public Criteria andSpouseIdentificationNumberLessThan(String value) {
            addCriterion("spouse_identification_number <", value, "spouseIdentificationNumber");
            return (Criteria) this;
        }

        public Criteria andSpouseIdentificationNumberLessThanOrEqualTo(String value) {
            addCriterion("spouse_identification_number <=", value, "spouseIdentificationNumber");
            return (Criteria) this;
        }

        public Criteria andSpouseIdentificationNumberLike(String value) {
            addCriterion("spouse_identification_number like", value, "spouseIdentificationNumber");
            return (Criteria) this;
        }

        public Criteria andSpouseIdentificationNumberNotLike(String value) {
            addCriterion("spouse_identification_number not like", value, "spouseIdentificationNumber");
            return (Criteria) this;
        }

        public Criteria andSpouseIdentificationNumberIn(List<String> values) {
            addCriterion("spouse_identification_number in", values, "spouseIdentificationNumber");
            return (Criteria) this;
        }

        public Criteria andSpouseIdentificationNumberNotIn(List<String> values) {
            addCriterion("spouse_identification_number not in", values, "spouseIdentificationNumber");
            return (Criteria) this;
        }

        public Criteria andSpouseIdentificationNumberBetween(String value1, String value2) {
            addCriterion("spouse_identification_number between", value1, value2, "spouseIdentificationNumber");
            return (Criteria) this;
        }

        public Criteria andSpouseIdentificationNumberNotBetween(String value1, String value2) {
            addCriterion("spouse_identification_number not between", value1, value2, "spouseIdentificationNumber");
            return (Criteria) this;
        }

        public Criteria andSpousePhoneNumberIsNull() {
            addCriterion("spouse_phone_number is null");
            return (Criteria) this;
        }

        public Criteria andSpousePhoneNumberIsNotNull() {
            addCriterion("spouse_phone_number is not null");
            return (Criteria) this;
        }

        public Criteria andSpousePhoneNumberEqualTo(String value) {
            addCriterion("spouse_phone_number =", value, "spousePhoneNumber");
            return (Criteria) this;
        }

        public Criteria andSpousePhoneNumberNotEqualTo(String value) {
            addCriterion("spouse_phone_number <>", value, "spousePhoneNumber");
            return (Criteria) this;
        }

        public Criteria andSpousePhoneNumberGreaterThan(String value) {
            addCriterion("spouse_phone_number >", value, "spousePhoneNumber");
            return (Criteria) this;
        }

        public Criteria andSpousePhoneNumberGreaterThanOrEqualTo(String value) {
            addCriterion("spouse_phone_number >=", value, "spousePhoneNumber");
            return (Criteria) this;
        }

        public Criteria andSpousePhoneNumberLessThan(String value) {
            addCriterion("spouse_phone_number <", value, "spousePhoneNumber");
            return (Criteria) this;
        }

        public Criteria andSpousePhoneNumberLessThanOrEqualTo(String value) {
            addCriterion("spouse_phone_number <=", value, "spousePhoneNumber");
            return (Criteria) this;
        }

        public Criteria andSpousePhoneNumberLike(String value) {
            addCriterion("spouse_phone_number like", value, "spousePhoneNumber");
            return (Criteria) this;
        }

        public Criteria andSpousePhoneNumberNotLike(String value) {
            addCriterion("spouse_phone_number not like", value, "spousePhoneNumber");
            return (Criteria) this;
        }

        public Criteria andSpousePhoneNumberIn(List<String> values) {
            addCriterion("spouse_phone_number in", values, "spousePhoneNumber");
            return (Criteria) this;
        }

        public Criteria andSpousePhoneNumberNotIn(List<String> values) {
            addCriterion("spouse_phone_number not in", values, "spousePhoneNumber");
            return (Criteria) this;
        }

        public Criteria andSpousePhoneNumberBetween(String value1, String value2) {
            addCriterion("spouse_phone_number between", value1, value2, "spousePhoneNumber");
            return (Criteria) this;
        }

        public Criteria andSpousePhoneNumberNotBetween(String value1, String value2) {
            addCriterion("spouse_phone_number not between", value1, value2, "spousePhoneNumber");
            return (Criteria) this;
        }

        public Criteria andSpouseWorkUnitIsNull() {
            addCriterion("spouse_work_unit is null");
            return (Criteria) this;
        }

        public Criteria andSpouseWorkUnitIsNotNull() {
            addCriterion("spouse_work_unit is not null");
            return (Criteria) this;
        }

        public Criteria andSpouseWorkUnitEqualTo(String value) {
            addCriterion("spouse_work_unit =", value, "spouseWorkUnit");
            return (Criteria) this;
        }

        public Criteria andSpouseWorkUnitNotEqualTo(String value) {
            addCriterion("spouse_work_unit <>", value, "spouseWorkUnit");
            return (Criteria) this;
        }

        public Criteria andSpouseWorkUnitGreaterThan(String value) {
            addCriterion("spouse_work_unit >", value, "spouseWorkUnit");
            return (Criteria) this;
        }

        public Criteria andSpouseWorkUnitGreaterThanOrEqualTo(String value) {
            addCriterion("spouse_work_unit >=", value, "spouseWorkUnit");
            return (Criteria) this;
        }

        public Criteria andSpouseWorkUnitLessThan(String value) {
            addCriterion("spouse_work_unit <", value, "spouseWorkUnit");
            return (Criteria) this;
        }

        public Criteria andSpouseWorkUnitLessThanOrEqualTo(String value) {
            addCriterion("spouse_work_unit <=", value, "spouseWorkUnit");
            return (Criteria) this;
        }

        public Criteria andSpouseWorkUnitLike(String value) {
            addCriterion("spouse_work_unit like", value, "spouseWorkUnit");
            return (Criteria) this;
        }

        public Criteria andSpouseWorkUnitNotLike(String value) {
            addCriterion("spouse_work_unit not like", value, "spouseWorkUnit");
            return (Criteria) this;
        }

        public Criteria andSpouseWorkUnitIn(List<String> values) {
            addCriterion("spouse_work_unit in", values, "spouseWorkUnit");
            return (Criteria) this;
        }

        public Criteria andSpouseWorkUnitNotIn(List<String> values) {
            addCriterion("spouse_work_unit not in", values, "spouseWorkUnit");
            return (Criteria) this;
        }

        public Criteria andSpouseWorkUnitBetween(String value1, String value2) {
            addCriterion("spouse_work_unit between", value1, value2, "spouseWorkUnit");
            return (Criteria) this;
        }

        public Criteria andSpouseWorkUnitNotBetween(String value1, String value2) {
            addCriterion("spouse_work_unit not between", value1, value2, "spouseWorkUnit");
            return (Criteria) this;
        }

        public Criteria andUserIdIsNull() {
            addCriterion("user_id is null");
            return (Criteria) this;
        }

        public Criteria andUserIdIsNotNull() {
            addCriterion("user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUserIdEqualTo(String value) {
            addCriterion("user_id =", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotEqualTo(String value) {
            addCriterion("user_id <>", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThan(String value) {
            addCriterion("user_id >", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThanOrEqualTo(String value) {
            addCriterion("user_id >=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThan(String value) {
            addCriterion("user_id <", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThanOrEqualTo(String value) {
            addCriterion("user_id <=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLike(String value) {
            addCriterion("user_id like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotLike(String value) {
            addCriterion("user_id not like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdIn(List<String> values) {
            addCriterion("user_id in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotIn(List<String> values) {
            addCriterion("user_id not in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdBetween(String value1, String value2) {
            addCriterion("user_id between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotBetween(String value1, String value2) {
            addCriterion("user_id not between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andCreationTimeIsNull() {
            addCriterion("creation_time is null");
            return (Criteria) this;
        }

        public Criteria andCreationTimeIsNotNull() {
            addCriterion("creation_time is not null");
            return (Criteria) this;
        }

        public Criteria andCreationTimeEqualTo(Date value) {
            addCriterion("creation_time =", value, "creationTime");
            return (Criteria) this;
        }

        public Criteria andCreationTimeNotEqualTo(Date value) {
            addCriterion("creation_time <>", value, "creationTime");
            return (Criteria) this;
        }

        public Criteria andCreationTimeGreaterThan(Date value) {
            addCriterion("creation_time >", value, "creationTime");
            return (Criteria) this;
        }

        public Criteria andCreationTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("creation_time >=", value, "creationTime");
            return (Criteria) this;
        }

        public Criteria andCreationTimeLessThan(Date value) {
            addCriterion("creation_time <", value, "creationTime");
            return (Criteria) this;
        }

        public Criteria andCreationTimeLessThanOrEqualTo(Date value) {
            addCriterion("creation_time <=", value, "creationTime");
            return (Criteria) this;
        }

        public Criteria andCreationTimeIn(List<Date> values) {
            addCriterion("creation_time in", values, "creationTime");
            return (Criteria) this;
        }

        public Criteria andCreationTimeNotIn(List<Date> values) {
            addCriterion("creation_time not in", values, "creationTime");
            return (Criteria) this;
        }

        public Criteria andCreationTimeBetween(Date value1, Date value2) {
            addCriterion("creation_time between", value1, value2, "creationTime");
            return (Criteria) this;
        }

        public Criteria andCreationTimeNotBetween(Date value1, Date value2) {
            addCriterion("creation_time not between", value1, value2, "creationTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNull() {
            addCriterion("update_time is null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIsNotNull() {
            addCriterion("update_time is not null");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeEqualTo(Date value) {
            addCriterion("update_time =", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotEqualTo(Date value) {
            addCriterion("update_time <>", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThan(Date value) {
            addCriterion("update_time >", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeGreaterThanOrEqualTo(Date value) {
            addCriterion("update_time >=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThan(Date value) {
            addCriterion("update_time <", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeLessThanOrEqualTo(Date value) {
            addCriterion("update_time <=", value, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeIn(List<Date> values) {
            addCriterion("update_time in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotIn(List<Date> values) {
            addCriterion("update_time not in", values, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeBetween(Date value1, Date value2) {
            addCriterion("update_time between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andUpdateTimeNotBetween(Date value1, Date value2) {
            addCriterion("update_time not between", value1, value2, "updateTime");
            return (Criteria) this;
        }

        public Criteria andSubmitStatusIsNull() {
            addCriterion("submit_status is null");
            return (Criteria) this;
        }

        public Criteria andSubmitStatusIsNotNull() {
            addCriterion("submit_status is not null");
            return (Criteria) this;
        }

        public Criteria andSubmitStatusEqualTo(Integer value) {
            addCriterion("submit_status =", value, "submitStatus");
            return (Criteria) this;
        }

        public Criteria andSubmitStatusNotEqualTo(Integer value) {
            addCriterion("submit_status <>", value, "submitStatus");
            return (Criteria) this;
        }

        public Criteria andSubmitStatusGreaterThan(Integer value) {
            addCriterion("submit_status >", value, "submitStatus");
            return (Criteria) this;
        }

        public Criteria andSubmitStatusGreaterThanOrEqualTo(Integer value) {
            addCriterion("submit_status >=", value, "submitStatus");
            return (Criteria) this;
        }

        public Criteria andSubmitStatusLessThan(Integer value) {
            addCriterion("submit_status <", value, "submitStatus");
            return (Criteria) this;
        }

        public Criteria andSubmitStatusLessThanOrEqualTo(Integer value) {
            addCriterion("submit_status <=", value, "submitStatus");
            return (Criteria) this;
        }

        public Criteria andSubmitStatusIn(List<Integer> values) {
            addCriterion("submit_status in", values, "submitStatus");
            return (Criteria) this;
        }

        public Criteria andSubmitStatusNotIn(List<Integer> values) {
            addCriterion("submit_status not in", values, "submitStatus");
            return (Criteria) this;
        }

        public Criteria andSubmitStatusBetween(Integer value1, Integer value2) {
            addCriterion("submit_status between", value1, value2, "submitStatus");
            return (Criteria) this;
        }

        public Criteria andSubmitStatusNotBetween(Integer value1, Integer value2) {
            addCriterion("submit_status not between", value1, value2, "submitStatus");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}