package com.sztzjy.digital_credit.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author tz
 * stu_personal_overdue_info
 */
public class StuPersonalOverdueInfo {
    @ApiModelProperty("ID")
    private Integer id;

    @ApiModelProperty("笔数")
    private Integer numberOfTransactions;

    @ApiModelProperty("月份数")
    private Integer numberOfMonths;

    @ApiModelProperty("单月最高逾期总额")
    private BigDecimal maximumOverdueTotalAmountSingleMonth;

    @ApiModelProperty("最长逾期月数")
    private Integer maximumOverdueMonths;

    @ApiModelProperty("逾期类型")
    private String overdueType;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("提交状态")
    private Integer submitStatus;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getNumberOfTransactions() {
        return numberOfTransactions;
    }

    public void setNumberOfTransactions(Integer numberOfTransactions) {
        this.numberOfTransactions = numberOfTransactions;
    }

    public Integer getNumberOfMonths() {
        return numberOfMonths;
    }

    public void setNumberOfMonths(Integer numberOfMonths) {
        this.numberOfMonths = numberOfMonths;
    }

    public BigDecimal getMaximumOverdueTotalAmountSingleMonth() {
        return maximumOverdueTotalAmountSingleMonth;
    }

    public void setMaximumOverdueTotalAmountSingleMonth(BigDecimal maximumOverdueTotalAmountSingleMonth) {
        this.maximumOverdueTotalAmountSingleMonth = maximumOverdueTotalAmountSingleMonth;
    }

    public Integer getMaximumOverdueMonths() {
        return maximumOverdueMonths;
    }

    public void setMaximumOverdueMonths(Integer maximumOverdueMonths) {
        this.maximumOverdueMonths = maximumOverdueMonths;
    }

    public String getOverdueType() {
        return overdueType;
    }

    public void setOverdueType(String overdueType) {
        this.overdueType = overdueType == null ? null : overdueType.trim();
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public Date getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(Date creationTime) {
        this.creationTime = creationTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getSubmitStatus() {
        return submitStatus;
    }

    public void setSubmitStatus(Integer submitStatus) {
        this.submitStatus = submitStatus;
    }
}