package com.sztzjy.digital_credit.entity;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author tz
 * 盈利能力
 */
public class StuProfitAbility {
    @ApiModelProperty("id")
    private Integer id;

    @ApiModelProperty("毛利率")
    private String grossMargin;

    @ApiModelProperty("资产收益率ROA")
    private String returnAssetRoa;

    @ApiModelProperty("净资产收益率ROE")
    private String returnEquityRoe;

    @ApiModelProperty("营业净利率")
    private String netOperatProfitMargin;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("序号")
    private Integer serialNumber;

    @ApiModelProperty("归属模块")
    private String module;

    private Integer capacityId;

    @ApiModelProperty("错误次数")
    private Integer errorNumber;

    @ApiModelProperty("提交状态")
    private Integer subState;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getGrossMargin() {
        return grossMargin;
    }

    public void setGrossMargin(String grossMargin) {
        this.grossMargin = grossMargin == null ? null : grossMargin.trim();
    }

    public String getReturnAssetRoa() {
        return returnAssetRoa;
    }

    public void setReturnAssetRoa(String returnAssetRoa) {
        this.returnAssetRoa = returnAssetRoa == null ? null : returnAssetRoa.trim();
    }

    public String getReturnEquityRoe() {
        return returnEquityRoe;
    }

    public void setReturnEquityRoe(String returnEquityRoe) {
        this.returnEquityRoe = returnEquityRoe == null ? null : returnEquityRoe.trim();
    }

    public String getNetOperatProfitMargin() {
        return netOperatProfitMargin;
    }

    public void setNetOperatProfitMargin(String netOperatProfitMargin) {
        this.netOperatProfitMargin = netOperatProfitMargin == null ? null : netOperatProfitMargin.trim();
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public Integer getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(Integer serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module == null ? null : module.trim();
    }

    public Integer getCapacityId() {
        return capacityId;
    }

    public void setCapacityId(Integer capacityId) {
        this.capacityId = capacityId;
    }

    public Integer getErrorNumber() {
        return errorNumber;
    }

    public void setErrorNumber(Integer errorNumber) {
        this.errorNumber = errorNumber;
    }

    public Integer getSubState() {
        return subState;
    }

    public void setSubState(Integer subState) {
        this.subState = subState;
    }
}