package com.sztzjy.digital_credit.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author tz
 * stu_score_center
 */
public class StuScoreCenter {
    @ApiModelProperty("ID")
    private Integer id;

    @ApiModelProperty("学习项目")
    private String learningProjects;

    @ApiModelProperty("实训时长")
    private Integer trainingDuration;

    @ApiModelProperty("实训总分")
    private BigDecimal trainingTotalScore;

    @ApiModelProperty("成绩权重")
    private BigDecimal scoreWeight;

    @ApiModelProperty("实训得分")
    private BigDecimal trainingScore;

    @ApiModelProperty("班级排名")
    private Integer classRanking;

    @ApiModelProperty("完成情况")
    private String completionStatus;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("模块")
    private String module;

    @ApiModelProperty("归属")
    private String ascription;

    @ApiModelProperty("第一次提交成绩")
    private BigDecimal trainingScoreOne;

    @ApiModelProperty("第二次提交成绩")
    private BigDecimal trainingScoreTwo;

    @ApiModelProperty("第三次提交成绩")
    private BigDecimal trainingScoreThree;

    @ApiModelProperty("重新实训次数（最多两次）")
    private Integer numberOfTraining;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getLearningProjects() {
        return learningProjects;
    }

    public void setLearningProjects(String learningProjects) {
        this.learningProjects = learningProjects == null ? null : learningProjects.trim();
    }

    public Integer getTrainingDuration() {
        return trainingDuration;
    }

    public void setTrainingDuration(Integer trainingDuration) {
        this.trainingDuration = trainingDuration;
    }

    public BigDecimal getTrainingTotalScore() {
        return trainingTotalScore;
    }

    public void setTrainingTotalScore(BigDecimal trainingTotalScore) {
        this.trainingTotalScore = trainingTotalScore;
    }

    public BigDecimal getScoreWeight() {
        return scoreWeight;
    }

    public void setScoreWeight(BigDecimal scoreWeight) {
        this.scoreWeight = scoreWeight;
    }

    public BigDecimal getTrainingScore() {
        return trainingScore;
    }

    public void setTrainingScore(BigDecimal trainingScore) {
        this.trainingScore = trainingScore;
    }

    public Integer getClassRanking() {
        return classRanking;
    }

    public void setClassRanking(Integer classRanking) {
        this.classRanking = classRanking;
    }

    public String getCompletionStatus() {
        return completionStatus;
    }

    public void setCompletionStatus(String completionStatus) {
        this.completionStatus = completionStatus == null ? null : completionStatus.trim();
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module == null ? null : module.trim();
    }

    public String getAscription() {
        return ascription;
    }

    public void setAscription(String ascription) {
        this.ascription = ascription == null ? null : ascription.trim();
    }

    public BigDecimal getTrainingScoreOne() {
        return trainingScoreOne;
    }

    public void setTrainingScoreOne(BigDecimal trainingScoreOne) {
        this.trainingScoreOne = trainingScoreOne;
    }

    public BigDecimal getTrainingScoreTwo() {
        return trainingScoreTwo;
    }

    public void setTrainingScoreTwo(BigDecimal trainingScoreTwo) {
        this.trainingScoreTwo = trainingScoreTwo;
    }

    public BigDecimal getTrainingScoreThree() {
        return trainingScoreThree;
    }

    public void setTrainingScoreThree(BigDecimal trainingScoreThree) {
        this.trainingScoreThree = trainingScoreThree;
    }

    public Integer getNumberOfTraining() {
        return numberOfTraining;
    }

    public void setNumberOfTraining(Integer numberOfTraining) {
        this.numberOfTraining = numberOfTraining;
    }
}