package com.sztzjy.digital_credit.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class StuUserExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public StuUserExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andUserIdIsNull() {
            addCriterion("user_id is null");
            return (Criteria) this;
        }

        public Criteria andUserIdIsNotNull() {
            addCriterion("user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUserIdEqualTo(String value) {
            addCriterion("user_id =", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotEqualTo(String value) {
            addCriterion("user_id <>", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThan(String value) {
            addCriterion("user_id >", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThanOrEqualTo(String value) {
            addCriterion("user_id >=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThan(String value) {
            addCriterion("user_id <", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThanOrEqualTo(String value) {
            addCriterion("user_id <=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLike(String value) {
            addCriterion("user_id like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotLike(String value) {
            addCriterion("user_id not like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdIn(List<String> values) {
            addCriterion("user_id in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotIn(List<String> values) {
            addCriterion("user_id not in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdBetween(String value1, String value2) {
            addCriterion("user_id between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotBetween(String value1, String value2) {
            addCriterion("user_id not between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andStudentIdIsNull() {
            addCriterion("student_id is null");
            return (Criteria) this;
        }

        public Criteria andStudentIdIsNotNull() {
            addCriterion("student_id is not null");
            return (Criteria) this;
        }

        public Criteria andStudentIdEqualTo(String value) {
            addCriterion("student_id =", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdNotEqualTo(String value) {
            addCriterion("student_id <>", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdGreaterThan(String value) {
            addCriterion("student_id >", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdGreaterThanOrEqualTo(String value) {
            addCriterion("student_id >=", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdLessThan(String value) {
            addCriterion("student_id <", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdLessThanOrEqualTo(String value) {
            addCriterion("student_id <=", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdLike(String value) {
            addCriterion("student_id like", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdNotLike(String value) {
            addCriterion("student_id not like", value, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdIn(List<String> values) {
            addCriterion("student_id in", values, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdNotIn(List<String> values) {
            addCriterion("student_id not in", values, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdBetween(String value1, String value2) {
            addCriterion("student_id between", value1, value2, "studentId");
            return (Criteria) this;
        }

        public Criteria andStudentIdNotBetween(String value1, String value2) {
            addCriterion("student_id not between", value1, value2, "studentId");
            return (Criteria) this;
        }

        public Criteria andNameIsNull() {
            addCriterion("name is null");
            return (Criteria) this;
        }

        public Criteria andNameIsNotNull() {
            addCriterion("name is not null");
            return (Criteria) this;
        }

        public Criteria andNameEqualTo(String value) {
            addCriterion("name =", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotEqualTo(String value) {
            addCriterion("name <>", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThan(String value) {
            addCriterion("name >", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameGreaterThanOrEqualTo(String value) {
            addCriterion("name >=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThan(String value) {
            addCriterion("name <", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLessThanOrEqualTo(String value) {
            addCriterion("name <=", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameLike(String value) {
            addCriterion("name like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotLike(String value) {
            addCriterion("name not like", value, "name");
            return (Criteria) this;
        }

        public Criteria andNameIn(List<String> values) {
            addCriterion("name in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotIn(List<String> values) {
            addCriterion("name not in", values, "name");
            return (Criteria) this;
        }

        public Criteria andNameBetween(String value1, String value2) {
            addCriterion("name between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andNameNotBetween(String value1, String value2) {
            addCriterion("name not between", value1, value2, "name");
            return (Criteria) this;
        }

        public Criteria andPasswordIsNull() {
            addCriterion("password is null");
            return (Criteria) this;
        }

        public Criteria andPasswordIsNotNull() {
            addCriterion("password is not null");
            return (Criteria) this;
        }

        public Criteria andPasswordEqualTo(String value) {
            addCriterion("password =", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordNotEqualTo(String value) {
            addCriterion("password <>", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordGreaterThan(String value) {
            addCriterion("password >", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordGreaterThanOrEqualTo(String value) {
            addCriterion("password >=", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordLessThan(String value) {
            addCriterion("password <", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordLessThanOrEqualTo(String value) {
            addCriterion("password <=", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordLike(String value) {
            addCriterion("password like", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordNotLike(String value) {
            addCriterion("password not like", value, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordIn(List<String> values) {
            addCriterion("password in", values, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordNotIn(List<String> values) {
            addCriterion("password not in", values, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordBetween(String value1, String value2) {
            addCriterion("password between", value1, value2, "password");
            return (Criteria) this;
        }

        public Criteria andPasswordNotBetween(String value1, String value2) {
            addCriterion("password not between", value1, value2, "password");
            return (Criteria) this;
        }

        public Criteria andRoleIdIsNull() {
            addCriterion("role_id is null");
            return (Criteria) this;
        }

        public Criteria andRoleIdIsNotNull() {
            addCriterion("role_id is not null");
            return (Criteria) this;
        }

        public Criteria andRoleIdEqualTo(Integer value) {
            addCriterion("role_id =", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdNotEqualTo(Integer value) {
            addCriterion("role_id <>", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdGreaterThan(Integer value) {
            addCriterion("role_id >", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdGreaterThanOrEqualTo(Integer value) {
            addCriterion("role_id >=", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdLessThan(Integer value) {
            addCriterion("role_id <", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdLessThanOrEqualTo(Integer value) {
            addCriterion("role_id <=", value, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdIn(List<Integer> values) {
            addCriterion("role_id in", values, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdNotIn(List<Integer> values) {
            addCriterion("role_id not in", values, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdBetween(Integer value1, Integer value2) {
            addCriterion("role_id between", value1, value2, "roleId");
            return (Criteria) this;
        }

        public Criteria andRoleIdNotBetween(Integer value1, Integer value2) {
            addCriterion("role_id not between", value1, value2, "roleId");
            return (Criteria) this;
        }

        public Criteria andClassIdIsNull() {
            addCriterion("class_id is null");
            return (Criteria) this;
        }

        public Criteria andClassIdIsNotNull() {
            addCriterion("class_id is not null");
            return (Criteria) this;
        }

        public Criteria andClassIdEqualTo(String value) {
            addCriterion("class_id =", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdNotEqualTo(String value) {
            addCriterion("class_id <>", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdGreaterThan(String value) {
            addCriterion("class_id >", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdGreaterThanOrEqualTo(String value) {
            addCriterion("class_id >=", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdLessThan(String value) {
            addCriterion("class_id <", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdLessThanOrEqualTo(String value) {
            addCriterion("class_id <=", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdLike(String value) {
            addCriterion("class_id like", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdNotLike(String value) {
            addCriterion("class_id not like", value, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdIn(List<String> values) {
            addCriterion("class_id in", values, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdNotIn(List<String> values) {
            addCriterion("class_id not in", values, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdBetween(String value1, String value2) {
            addCriterion("class_id between", value1, value2, "classId");
            return (Criteria) this;
        }

        public Criteria andClassIdNotBetween(String value1, String value2) {
            addCriterion("class_id not between", value1, value2, "classId");
            return (Criteria) this;
        }

        public Criteria andClassNameIsNull() {
            addCriterion("class_name is null");
            return (Criteria) this;
        }

        public Criteria andClassNameIsNotNull() {
            addCriterion("class_name is not null");
            return (Criteria) this;
        }

        public Criteria andClassNameEqualTo(String value) {
            addCriterion("class_name =", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameNotEqualTo(String value) {
            addCriterion("class_name <>", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameGreaterThan(String value) {
            addCriterion("class_name >", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameGreaterThanOrEqualTo(String value) {
            addCriterion("class_name >=", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameLessThan(String value) {
            addCriterion("class_name <", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameLessThanOrEqualTo(String value) {
            addCriterion("class_name <=", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameLike(String value) {
            addCriterion("class_name like", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameNotLike(String value) {
            addCriterion("class_name not like", value, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameIn(List<String> values) {
            addCriterion("class_name in", values, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameNotIn(List<String> values) {
            addCriterion("class_name not in", values, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameBetween(String value1, String value2) {
            addCriterion("class_name between", value1, value2, "className");
            return (Criteria) this;
        }

        public Criteria andClassNameNotBetween(String value1, String value2) {
            addCriterion("class_name not between", value1, value2, "className");
            return (Criteria) this;
        }

        public Criteria andMajorIsNull() {
            addCriterion("major is null");
            return (Criteria) this;
        }

        public Criteria andMajorIsNotNull() {
            addCriterion("major is not null");
            return (Criteria) this;
        }

        public Criteria andMajorEqualTo(String value) {
            addCriterion("major =", value, "major");
            return (Criteria) this;
        }

        public Criteria andMajorNotEqualTo(String value) {
            addCriterion("major <>", value, "major");
            return (Criteria) this;
        }

        public Criteria andMajorGreaterThan(String value) {
            addCriterion("major >", value, "major");
            return (Criteria) this;
        }

        public Criteria andMajorGreaterThanOrEqualTo(String value) {
            addCriterion("major >=", value, "major");
            return (Criteria) this;
        }

        public Criteria andMajorLessThan(String value) {
            addCriterion("major <", value, "major");
            return (Criteria) this;
        }

        public Criteria andMajorLessThanOrEqualTo(String value) {
            addCriterion("major <=", value, "major");
            return (Criteria) this;
        }

        public Criteria andMajorLike(String value) {
            addCriterion("major like", value, "major");
            return (Criteria) this;
        }

        public Criteria andMajorNotLike(String value) {
            addCriterion("major not like", value, "major");
            return (Criteria) this;
        }

        public Criteria andMajorIn(List<String> values) {
            addCriterion("major in", values, "major");
            return (Criteria) this;
        }

        public Criteria andMajorNotIn(List<String> values) {
            addCriterion("major not in", values, "major");
            return (Criteria) this;
        }

        public Criteria andMajorBetween(String value1, String value2) {
            addCriterion("major between", value1, value2, "major");
            return (Criteria) this;
        }

        public Criteria andMajorNotBetween(String value1, String value2) {
            addCriterion("major not between", value1, value2, "major");
            return (Criteria) this;
        }

        public Criteria andSchoolIdIsNull() {
            addCriterion("school_id is null");
            return (Criteria) this;
        }

        public Criteria andSchoolIdIsNotNull() {
            addCriterion("school_id is not null");
            return (Criteria) this;
        }

        public Criteria andSchoolIdEqualTo(String value) {
            addCriterion("school_id =", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdNotEqualTo(String value) {
            addCriterion("school_id <>", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdGreaterThan(String value) {
            addCriterion("school_id >", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdGreaterThanOrEqualTo(String value) {
            addCriterion("school_id >=", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdLessThan(String value) {
            addCriterion("school_id <", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdLessThanOrEqualTo(String value) {
            addCriterion("school_id <=", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdLike(String value) {
            addCriterion("school_id like", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdNotLike(String value) {
            addCriterion("school_id not like", value, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdIn(List<String> values) {
            addCriterion("school_id in", values, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdNotIn(List<String> values) {
            addCriterion("school_id not in", values, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdBetween(String value1, String value2) {
            addCriterion("school_id between", value1, value2, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolIdNotBetween(String value1, String value2) {
            addCriterion("school_id not between", value1, value2, "schoolId");
            return (Criteria) this;
        }

        public Criteria andSchoolNameIsNull() {
            addCriterion("school_name is null");
            return (Criteria) this;
        }

        public Criteria andSchoolNameIsNotNull() {
            addCriterion("school_name is not null");
            return (Criteria) this;
        }

        public Criteria andSchoolNameEqualTo(String value) {
            addCriterion("school_name =", value, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameNotEqualTo(String value) {
            addCriterion("school_name <>", value, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameGreaterThan(String value) {
            addCriterion("school_name >", value, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameGreaterThanOrEqualTo(String value) {
            addCriterion("school_name >=", value, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameLessThan(String value) {
            addCriterion("school_name <", value, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameLessThanOrEqualTo(String value) {
            addCriterion("school_name <=", value, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameLike(String value) {
            addCriterion("school_name like", value, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameNotLike(String value) {
            addCriterion("school_name not like", value, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameIn(List<String> values) {
            addCriterion("school_name in", values, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameNotIn(List<String> values) {
            addCriterion("school_name not in", values, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameBetween(String value1, String value2) {
            addCriterion("school_name between", value1, value2, "schoolName");
            return (Criteria) this;
        }

        public Criteria andSchoolNameNotBetween(String value1, String value2) {
            addCriterion("school_name not between", value1, value2, "schoolName");
            return (Criteria) this;
        }

        public Criteria andLoanCasesScoreIsNull() {
            addCriterion("loan_cases_score is null");
            return (Criteria) this;
        }

        public Criteria andLoanCasesScoreIsNotNull() {
            addCriterion("loan_cases_score is not null");
            return (Criteria) this;
        }

        public Criteria andLoanCasesScoreEqualTo(BigDecimal value) {
            addCriterion("loan_cases_score =", value, "loanCasesScore");
            return (Criteria) this;
        }

        public Criteria andLoanCasesScoreNotEqualTo(BigDecimal value) {
            addCriterion("loan_cases_score <>", value, "loanCasesScore");
            return (Criteria) this;
        }

        public Criteria andLoanCasesScoreGreaterThan(BigDecimal value) {
            addCriterion("loan_cases_score >", value, "loanCasesScore");
            return (Criteria) this;
        }

        public Criteria andLoanCasesScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("loan_cases_score >=", value, "loanCasesScore");
            return (Criteria) this;
        }

        public Criteria andLoanCasesScoreLessThan(BigDecimal value) {
            addCriterion("loan_cases_score <", value, "loanCasesScore");
            return (Criteria) this;
        }

        public Criteria andLoanCasesScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("loan_cases_score <=", value, "loanCasesScore");
            return (Criteria) this;
        }

        public Criteria andLoanCasesScoreIn(List<BigDecimal> values) {
            addCriterion("loan_cases_score in", values, "loanCasesScore");
            return (Criteria) this;
        }

        public Criteria andLoanCasesScoreNotIn(List<BigDecimal> values) {
            addCriterion("loan_cases_score not in", values, "loanCasesScore");
            return (Criteria) this;
        }

        public Criteria andLoanCasesScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("loan_cases_score between", value1, value2, "loanCasesScore");
            return (Criteria) this;
        }

        public Criteria andLoanCasesScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("loan_cases_score not between", value1, value2, "loanCasesScore");
            return (Criteria) this;
        }

        public Criteria andPerSituationScoreIsNull() {
            addCriterion("per_situation_score is null");
            return (Criteria) this;
        }

        public Criteria andPerSituationScoreIsNotNull() {
            addCriterion("per_situation_score is not null");
            return (Criteria) this;
        }

        public Criteria andPerSituationScoreEqualTo(BigDecimal value) {
            addCriterion("per_situation_score =", value, "perSituationScore");
            return (Criteria) this;
        }

        public Criteria andPerSituationScoreNotEqualTo(BigDecimal value) {
            addCriterion("per_situation_score <>", value, "perSituationScore");
            return (Criteria) this;
        }

        public Criteria andPerSituationScoreGreaterThan(BigDecimal value) {
            addCriterion("per_situation_score >", value, "perSituationScore");
            return (Criteria) this;
        }

        public Criteria andPerSituationScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("per_situation_score >=", value, "perSituationScore");
            return (Criteria) this;
        }

        public Criteria andPerSituationScoreLessThan(BigDecimal value) {
            addCriterion("per_situation_score <", value, "perSituationScore");
            return (Criteria) this;
        }

        public Criteria andPerSituationScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("per_situation_score <=", value, "perSituationScore");
            return (Criteria) this;
        }

        public Criteria andPerSituationScoreIn(List<BigDecimal> values) {
            addCriterion("per_situation_score in", values, "perSituationScore");
            return (Criteria) this;
        }

        public Criteria andPerSituationScoreNotIn(List<BigDecimal> values) {
            addCriterion("per_situation_score not in", values, "perSituationScore");
            return (Criteria) this;
        }

        public Criteria andPerSituationScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("per_situation_score between", value1, value2, "perSituationScore");
            return (Criteria) this;
        }

        public Criteria andPerSituationScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("per_situation_score not between", value1, value2, "perSituationScore");
            return (Criteria) this;
        }

        public Criteria andRepaymentBehaviorScoreIsNull() {
            addCriterion("repayment_behavior_score is null");
            return (Criteria) this;
        }

        public Criteria andRepaymentBehaviorScoreIsNotNull() {
            addCriterion("repayment_behavior_score is not null");
            return (Criteria) this;
        }

        public Criteria andRepaymentBehaviorScoreEqualTo(BigDecimal value) {
            addCriterion("repayment_behavior_score =", value, "repaymentBehaviorScore");
            return (Criteria) this;
        }

        public Criteria andRepaymentBehaviorScoreNotEqualTo(BigDecimal value) {
            addCriterion("repayment_behavior_score <>", value, "repaymentBehaviorScore");
            return (Criteria) this;
        }

        public Criteria andRepaymentBehaviorScoreGreaterThan(BigDecimal value) {
            addCriterion("repayment_behavior_score >", value, "repaymentBehaviorScore");
            return (Criteria) this;
        }

        public Criteria andRepaymentBehaviorScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("repayment_behavior_score >=", value, "repaymentBehaviorScore");
            return (Criteria) this;
        }

        public Criteria andRepaymentBehaviorScoreLessThan(BigDecimal value) {
            addCriterion("repayment_behavior_score <", value, "repaymentBehaviorScore");
            return (Criteria) this;
        }

        public Criteria andRepaymentBehaviorScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("repayment_behavior_score <=", value, "repaymentBehaviorScore");
            return (Criteria) this;
        }

        public Criteria andRepaymentBehaviorScoreIn(List<BigDecimal> values) {
            addCriterion("repayment_behavior_score in", values, "repaymentBehaviorScore");
            return (Criteria) this;
        }

        public Criteria andRepaymentBehaviorScoreNotIn(List<BigDecimal> values) {
            addCriterion("repayment_behavior_score not in", values, "repaymentBehaviorScore");
            return (Criteria) this;
        }

        public Criteria andRepaymentBehaviorScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("repayment_behavior_score between", value1, value2, "repaymentBehaviorScore");
            return (Criteria) this;
        }

        public Criteria andRepaymentBehaviorScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("repayment_behavior_score not between", value1, value2, "repaymentBehaviorScore");
            return (Criteria) this;
        }

        public Criteria andPerInfluenceFactorScoreIsNull() {
            addCriterion("per_influence_factor_score is null");
            return (Criteria) this;
        }

        public Criteria andPerInfluenceFactorScoreIsNotNull() {
            addCriterion("per_influence_factor_score is not null");
            return (Criteria) this;
        }

        public Criteria andPerInfluenceFactorScoreEqualTo(BigDecimal value) {
            addCriterion("per_influence_factor_score =", value, "perInfluenceFactorScore");
            return (Criteria) this;
        }

        public Criteria andPerInfluenceFactorScoreNotEqualTo(BigDecimal value) {
            addCriterion("per_influence_factor_score <>", value, "perInfluenceFactorScore");
            return (Criteria) this;
        }

        public Criteria andPerInfluenceFactorScoreGreaterThan(BigDecimal value) {
            addCriterion("per_influence_factor_score >", value, "perInfluenceFactorScore");
            return (Criteria) this;
        }

        public Criteria andPerInfluenceFactorScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("per_influence_factor_score >=", value, "perInfluenceFactorScore");
            return (Criteria) this;
        }

        public Criteria andPerInfluenceFactorScoreLessThan(BigDecimal value) {
            addCriterion("per_influence_factor_score <", value, "perInfluenceFactorScore");
            return (Criteria) this;
        }

        public Criteria andPerInfluenceFactorScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("per_influence_factor_score <=", value, "perInfluenceFactorScore");
            return (Criteria) this;
        }

        public Criteria andPerInfluenceFactorScoreIn(List<BigDecimal> values) {
            addCriterion("per_influence_factor_score in", values, "perInfluenceFactorScore");
            return (Criteria) this;
        }

        public Criteria andPerInfluenceFactorScoreNotIn(List<BigDecimal> values) {
            addCriterion("per_influence_factor_score not in", values, "perInfluenceFactorScore");
            return (Criteria) this;
        }

        public Criteria andPerInfluenceFactorScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("per_influence_factor_score between", value1, value2, "perInfluenceFactorScore");
            return (Criteria) this;
        }

        public Criteria andPerInfluenceFactorScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("per_influence_factor_score not between", value1, value2, "perInfluenceFactorScore");
            return (Criteria) this;
        }

        public Criteria andPerCreditOptimizationSocreIsNull() {
            addCriterion("per_credit_optimization_socre is null");
            return (Criteria) this;
        }

        public Criteria andPerCreditOptimizationSocreIsNotNull() {
            addCriterion("per_credit_optimization_socre is not null");
            return (Criteria) this;
        }

        public Criteria andPerCreditOptimizationSocreEqualTo(BigDecimal value) {
            addCriterion("per_credit_optimization_socre =", value, "perCreditOptimizationSocre");
            return (Criteria) this;
        }

        public Criteria andPerCreditOptimizationSocreNotEqualTo(BigDecimal value) {
            addCriterion("per_credit_optimization_socre <>", value, "perCreditOptimizationSocre");
            return (Criteria) this;
        }

        public Criteria andPerCreditOptimizationSocreGreaterThan(BigDecimal value) {
            addCriterion("per_credit_optimization_socre >", value, "perCreditOptimizationSocre");
            return (Criteria) this;
        }

        public Criteria andPerCreditOptimizationSocreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("per_credit_optimization_socre >=", value, "perCreditOptimizationSocre");
            return (Criteria) this;
        }

        public Criteria andPerCreditOptimizationSocreLessThan(BigDecimal value) {
            addCriterion("per_credit_optimization_socre <", value, "perCreditOptimizationSocre");
            return (Criteria) this;
        }

        public Criteria andPerCreditOptimizationSocreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("per_credit_optimization_socre <=", value, "perCreditOptimizationSocre");
            return (Criteria) this;
        }

        public Criteria andPerCreditOptimizationSocreIn(List<BigDecimal> values) {
            addCriterion("per_credit_optimization_socre in", values, "perCreditOptimizationSocre");
            return (Criteria) this;
        }

        public Criteria andPerCreditOptimizationSocreNotIn(List<BigDecimal> values) {
            addCriterion("per_credit_optimization_socre not in", values, "perCreditOptimizationSocre");
            return (Criteria) this;
        }

        public Criteria andPerCreditOptimizationSocreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("per_credit_optimization_socre between", value1, value2, "perCreditOptimizationSocre");
            return (Criteria) this;
        }

        public Criteria andPerCreditOptimizationSocreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("per_credit_optimization_socre not between", value1, value2, "perCreditOptimizationSocre");
            return (Criteria) this;
        }

        public Criteria andPerCreditRatingSocreIsNull() {
            addCriterion("per_credit_rating_socre is null");
            return (Criteria) this;
        }

        public Criteria andPerCreditRatingSocreIsNotNull() {
            addCriterion("per_credit_rating_socre is not null");
            return (Criteria) this;
        }

        public Criteria andPerCreditRatingSocreEqualTo(BigDecimal value) {
            addCriterion("per_credit_rating_socre =", value, "perCreditRatingSocre");
            return (Criteria) this;
        }

        public Criteria andPerCreditRatingSocreNotEqualTo(BigDecimal value) {
            addCriterion("per_credit_rating_socre <>", value, "perCreditRatingSocre");
            return (Criteria) this;
        }

        public Criteria andPerCreditRatingSocreGreaterThan(BigDecimal value) {
            addCriterion("per_credit_rating_socre >", value, "perCreditRatingSocre");
            return (Criteria) this;
        }

        public Criteria andPerCreditRatingSocreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("per_credit_rating_socre >=", value, "perCreditRatingSocre");
            return (Criteria) this;
        }

        public Criteria andPerCreditRatingSocreLessThan(BigDecimal value) {
            addCriterion("per_credit_rating_socre <", value, "perCreditRatingSocre");
            return (Criteria) this;
        }

        public Criteria andPerCreditRatingSocreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("per_credit_rating_socre <=", value, "perCreditRatingSocre");
            return (Criteria) this;
        }

        public Criteria andPerCreditRatingSocreIn(List<BigDecimal> values) {
            addCriterion("per_credit_rating_socre in", values, "perCreditRatingSocre");
            return (Criteria) this;
        }

        public Criteria andPerCreditRatingSocreNotIn(List<BigDecimal> values) {
            addCriterion("per_credit_rating_socre not in", values, "perCreditRatingSocre");
            return (Criteria) this;
        }

        public Criteria andPerCreditRatingSocreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("per_credit_rating_socre between", value1, value2, "perCreditRatingSocre");
            return (Criteria) this;
        }

        public Criteria andPerCreditRatingSocreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("per_credit_rating_socre not between", value1, value2, "perCreditRatingSocre");
            return (Criteria) this;
        }

        public Criteria andEntInfluenceFactorSocreIsNull() {
            addCriterion("ent_influence_factor_socre is null");
            return (Criteria) this;
        }

        public Criteria andEntInfluenceFactorSocreIsNotNull() {
            addCriterion("ent_influence_factor_socre is not null");
            return (Criteria) this;
        }

        public Criteria andEntInfluenceFactorSocreEqualTo(BigDecimal value) {
            addCriterion("ent_influence_factor_socre =", value, "entInfluenceFactorSocre");
            return (Criteria) this;
        }

        public Criteria andEntInfluenceFactorSocreNotEqualTo(BigDecimal value) {
            addCriterion("ent_influence_factor_socre <>", value, "entInfluenceFactorSocre");
            return (Criteria) this;
        }

        public Criteria andEntInfluenceFactorSocreGreaterThan(BigDecimal value) {
            addCriterion("ent_influence_factor_socre >", value, "entInfluenceFactorSocre");
            return (Criteria) this;
        }

        public Criteria andEntInfluenceFactorSocreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("ent_influence_factor_socre >=", value, "entInfluenceFactorSocre");
            return (Criteria) this;
        }

        public Criteria andEntInfluenceFactorSocreLessThan(BigDecimal value) {
            addCriterion("ent_influence_factor_socre <", value, "entInfluenceFactorSocre");
            return (Criteria) this;
        }

        public Criteria andEntInfluenceFactorSocreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("ent_influence_factor_socre <=", value, "entInfluenceFactorSocre");
            return (Criteria) this;
        }

        public Criteria andEntInfluenceFactorSocreIn(List<BigDecimal> values) {
            addCriterion("ent_influence_factor_socre in", values, "entInfluenceFactorSocre");
            return (Criteria) this;
        }

        public Criteria andEntInfluenceFactorSocreNotIn(List<BigDecimal> values) {
            addCriterion("ent_influence_factor_socre not in", values, "entInfluenceFactorSocre");
            return (Criteria) this;
        }

        public Criteria andEntInfluenceFactorSocreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ent_influence_factor_socre between", value1, value2, "entInfluenceFactorSocre");
            return (Criteria) this;
        }

        public Criteria andEntInfluenceFactorSocreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ent_influence_factor_socre not between", value1, value2, "entInfluenceFactorSocre");
            return (Criteria) this;
        }

        public Criteria andEntCreditOptimizationSocreIsNull() {
            addCriterion("ent_credit_optimization_socre is null");
            return (Criteria) this;
        }

        public Criteria andEntCreditOptimizationSocreIsNotNull() {
            addCriterion("ent_credit_optimization_socre is not null");
            return (Criteria) this;
        }

        public Criteria andEntCreditOptimizationSocreEqualTo(BigDecimal value) {
            addCriterion("ent_credit_optimization_socre =", value, "entCreditOptimizationSocre");
            return (Criteria) this;
        }

        public Criteria andEntCreditOptimizationSocreNotEqualTo(BigDecimal value) {
            addCriterion("ent_credit_optimization_socre <>", value, "entCreditOptimizationSocre");
            return (Criteria) this;
        }

        public Criteria andEntCreditOptimizationSocreGreaterThan(BigDecimal value) {
            addCriterion("ent_credit_optimization_socre >", value, "entCreditOptimizationSocre");
            return (Criteria) this;
        }

        public Criteria andEntCreditOptimizationSocreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("ent_credit_optimization_socre >=", value, "entCreditOptimizationSocre");
            return (Criteria) this;
        }

        public Criteria andEntCreditOptimizationSocreLessThan(BigDecimal value) {
            addCriterion("ent_credit_optimization_socre <", value, "entCreditOptimizationSocre");
            return (Criteria) this;
        }

        public Criteria andEntCreditOptimizationSocreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("ent_credit_optimization_socre <=", value, "entCreditOptimizationSocre");
            return (Criteria) this;
        }

        public Criteria andEntCreditOptimizationSocreIn(List<BigDecimal> values) {
            addCriterion("ent_credit_optimization_socre in", values, "entCreditOptimizationSocre");
            return (Criteria) this;
        }

        public Criteria andEntCreditOptimizationSocreNotIn(List<BigDecimal> values) {
            addCriterion("ent_credit_optimization_socre not in", values, "entCreditOptimizationSocre");
            return (Criteria) this;
        }

        public Criteria andEntCreditOptimizationSocreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ent_credit_optimization_socre between", value1, value2, "entCreditOptimizationSocre");
            return (Criteria) this;
        }

        public Criteria andEntCreditOptimizationSocreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ent_credit_optimization_socre not between", value1, value2, "entCreditOptimizationSocre");
            return (Criteria) this;
        }

        public Criteria andEntCreditRatingSocreIsNull() {
            addCriterion("ent_credit_rating_socre is null");
            return (Criteria) this;
        }

        public Criteria andEntCreditRatingSocreIsNotNull() {
            addCriterion("ent_credit_rating_socre is not null");
            return (Criteria) this;
        }

        public Criteria andEntCreditRatingSocreEqualTo(BigDecimal value) {
            addCriterion("ent_credit_rating_socre =", value, "entCreditRatingSocre");
            return (Criteria) this;
        }

        public Criteria andEntCreditRatingSocreNotEqualTo(BigDecimal value) {
            addCriterion("ent_credit_rating_socre <>", value, "entCreditRatingSocre");
            return (Criteria) this;
        }

        public Criteria andEntCreditRatingSocreGreaterThan(BigDecimal value) {
            addCriterion("ent_credit_rating_socre >", value, "entCreditRatingSocre");
            return (Criteria) this;
        }

        public Criteria andEntCreditRatingSocreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("ent_credit_rating_socre >=", value, "entCreditRatingSocre");
            return (Criteria) this;
        }

        public Criteria andEntCreditRatingSocreLessThan(BigDecimal value) {
            addCriterion("ent_credit_rating_socre <", value, "entCreditRatingSocre");
            return (Criteria) this;
        }

        public Criteria andEntCreditRatingSocreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("ent_credit_rating_socre <=", value, "entCreditRatingSocre");
            return (Criteria) this;
        }

        public Criteria andEntCreditRatingSocreIn(List<BigDecimal> values) {
            addCriterion("ent_credit_rating_socre in", values, "entCreditRatingSocre");
            return (Criteria) this;
        }

        public Criteria andEntCreditRatingSocreNotIn(List<BigDecimal> values) {
            addCriterion("ent_credit_rating_socre not in", values, "entCreditRatingSocre");
            return (Criteria) this;
        }

        public Criteria andEntCreditRatingSocreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ent_credit_rating_socre between", value1, value2, "entCreditRatingSocre");
            return (Criteria) this;
        }

        public Criteria andEntCreditRatingSocreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("ent_credit_rating_socre not between", value1, value2, "entCreditRatingSocre");
            return (Criteria) this;
        }

        public Criteria andCaseUserProfileSocreIsNull() {
            addCriterion("case_user_profile_socre is null");
            return (Criteria) this;
        }

        public Criteria andCaseUserProfileSocreIsNotNull() {
            addCriterion("case_user_profile_socre is not null");
            return (Criteria) this;
        }

        public Criteria andCaseUserProfileSocreEqualTo(BigDecimal value) {
            addCriterion("case_user_profile_socre =", value, "caseUserProfileSocre");
            return (Criteria) this;
        }

        public Criteria andCaseUserProfileSocreNotEqualTo(BigDecimal value) {
            addCriterion("case_user_profile_socre <>", value, "caseUserProfileSocre");
            return (Criteria) this;
        }

        public Criteria andCaseUserProfileSocreGreaterThan(BigDecimal value) {
            addCriterion("case_user_profile_socre >", value, "caseUserProfileSocre");
            return (Criteria) this;
        }

        public Criteria andCaseUserProfileSocreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("case_user_profile_socre >=", value, "caseUserProfileSocre");
            return (Criteria) this;
        }

        public Criteria andCaseUserProfileSocreLessThan(BigDecimal value) {
            addCriterion("case_user_profile_socre <", value, "caseUserProfileSocre");
            return (Criteria) this;
        }

        public Criteria andCaseUserProfileSocreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("case_user_profile_socre <=", value, "caseUserProfileSocre");
            return (Criteria) this;
        }

        public Criteria andCaseUserProfileSocreIn(List<BigDecimal> values) {
            addCriterion("case_user_profile_socre in", values, "caseUserProfileSocre");
            return (Criteria) this;
        }

        public Criteria andCaseUserProfileSocreNotIn(List<BigDecimal> values) {
            addCriterion("case_user_profile_socre not in", values, "caseUserProfileSocre");
            return (Criteria) this;
        }

        public Criteria andCaseUserProfileSocreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("case_user_profile_socre between", value1, value2, "caseUserProfileSocre");
            return (Criteria) this;
        }

        public Criteria andCaseUserProfileSocreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("case_user_profile_socre not between", value1, value2, "caseUserProfileSocre");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditScoreIsNull() {
            addCriterion("case_personal_credit_score is null");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditScoreIsNotNull() {
            addCriterion("case_personal_credit_score is not null");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditScoreEqualTo(BigDecimal value) {
            addCriterion("case_personal_credit_score =", value, "casePersonalCreditScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditScoreNotEqualTo(BigDecimal value) {
            addCriterion("case_personal_credit_score <>", value, "casePersonalCreditScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditScoreGreaterThan(BigDecimal value) {
            addCriterion("case_personal_credit_score >", value, "casePersonalCreditScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("case_personal_credit_score >=", value, "casePersonalCreditScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditScoreLessThan(BigDecimal value) {
            addCriterion("case_personal_credit_score <", value, "casePersonalCreditScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("case_personal_credit_score <=", value, "casePersonalCreditScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditScoreIn(List<BigDecimal> values) {
            addCriterion("case_personal_credit_score in", values, "casePersonalCreditScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditScoreNotIn(List<BigDecimal> values) {
            addCriterion("case_personal_credit_score not in", values, "casePersonalCreditScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("case_personal_credit_score between", value1, value2, "casePersonalCreditScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("case_personal_credit_score not between", value1, value2, "casePersonalCreditScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditScoreIsNull() {
            addCriterion("case_corporate_credit_score is null");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditScoreIsNotNull() {
            addCriterion("case_corporate_credit_score is not null");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditScoreEqualTo(BigDecimal value) {
            addCriterion("case_corporate_credit_score =", value, "caseCorporateCreditScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditScoreNotEqualTo(BigDecimal value) {
            addCriterion("case_corporate_credit_score <>", value, "caseCorporateCreditScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditScoreGreaterThan(BigDecimal value) {
            addCriterion("case_corporate_credit_score >", value, "caseCorporateCreditScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("case_corporate_credit_score >=", value, "caseCorporateCreditScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditScoreLessThan(BigDecimal value) {
            addCriterion("case_corporate_credit_score <", value, "caseCorporateCreditScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("case_corporate_credit_score <=", value, "caseCorporateCreditScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditScoreIn(List<BigDecimal> values) {
            addCriterion("case_corporate_credit_score in", values, "caseCorporateCreditScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditScoreNotIn(List<BigDecimal> values) {
            addCriterion("case_corporate_credit_score not in", values, "caseCorporateCreditScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("case_corporate_credit_score between", value1, value2, "caseCorporateCreditScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("case_corporate_credit_score not between", value1, value2, "caseCorporateCreditScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditSubScoreIsNull() {
            addCriterion("case_corporate_credit_sub_score is null");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditSubScoreIsNotNull() {
            addCriterion("case_corporate_credit_sub_score is not null");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditSubScoreEqualTo(BigDecimal value) {
            addCriterion("case_corporate_credit_sub_score =", value, "caseCorporateCreditSubScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditSubScoreNotEqualTo(BigDecimal value) {
            addCriterion("case_corporate_credit_sub_score <>", value, "caseCorporateCreditSubScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditSubScoreGreaterThan(BigDecimal value) {
            addCriterion("case_corporate_credit_sub_score >", value, "caseCorporateCreditSubScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditSubScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("case_corporate_credit_sub_score >=", value, "caseCorporateCreditSubScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditSubScoreLessThan(BigDecimal value) {
            addCriterion("case_corporate_credit_sub_score <", value, "caseCorporateCreditSubScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditSubScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("case_corporate_credit_sub_score <=", value, "caseCorporateCreditSubScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditSubScoreIn(List<BigDecimal> values) {
            addCriterion("case_corporate_credit_sub_score in", values, "caseCorporateCreditSubScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditSubScoreNotIn(List<BigDecimal> values) {
            addCriterion("case_corporate_credit_sub_score not in", values, "caseCorporateCreditSubScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditSubScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("case_corporate_credit_sub_score between", value1, value2, "caseCorporateCreditSubScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditSubScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("case_corporate_credit_sub_score not between", value1, value2, "caseCorporateCreditSubScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditObjScoreIsNull() {
            addCriterion("case_corporate_credit_obj_score is null");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditObjScoreIsNotNull() {
            addCriterion("case_corporate_credit_obj_score is not null");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditObjScoreEqualTo(BigDecimal value) {
            addCriterion("case_corporate_credit_obj_score =", value, "caseCorporateCreditObjScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditObjScoreNotEqualTo(BigDecimal value) {
            addCriterion("case_corporate_credit_obj_score <>", value, "caseCorporateCreditObjScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditObjScoreGreaterThan(BigDecimal value) {
            addCriterion("case_corporate_credit_obj_score >", value, "caseCorporateCreditObjScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditObjScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("case_corporate_credit_obj_score >=", value, "caseCorporateCreditObjScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditObjScoreLessThan(BigDecimal value) {
            addCriterion("case_corporate_credit_obj_score <", value, "caseCorporateCreditObjScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditObjScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("case_corporate_credit_obj_score <=", value, "caseCorporateCreditObjScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditObjScoreIn(List<BigDecimal> values) {
            addCriterion("case_corporate_credit_obj_score in", values, "caseCorporateCreditObjScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditObjScoreNotIn(List<BigDecimal> values) {
            addCriterion("case_corporate_credit_obj_score not in", values, "caseCorporateCreditObjScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditObjScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("case_corporate_credit_obj_score between", value1, value2, "caseCorporateCreditObjScore");
            return (Criteria) this;
        }

        public Criteria andCaseCorporateCreditObjScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("case_corporate_credit_obj_score not between", value1, value2, "caseCorporateCreditObjScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditSubScoreIsNull() {
            addCriterion("case_personal_credit_sub_score is null");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditSubScoreIsNotNull() {
            addCriterion("case_personal_credit_sub_score is not null");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditSubScoreEqualTo(BigDecimal value) {
            addCriterion("case_personal_credit_sub_score =", value, "casePersonalCreditSubScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditSubScoreNotEqualTo(BigDecimal value) {
            addCriterion("case_personal_credit_sub_score <>", value, "casePersonalCreditSubScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditSubScoreGreaterThan(BigDecimal value) {
            addCriterion("case_personal_credit_sub_score >", value, "casePersonalCreditSubScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditSubScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("case_personal_credit_sub_score >=", value, "casePersonalCreditSubScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditSubScoreLessThan(BigDecimal value) {
            addCriterion("case_personal_credit_sub_score <", value, "casePersonalCreditSubScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditSubScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("case_personal_credit_sub_score <=", value, "casePersonalCreditSubScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditSubScoreIn(List<BigDecimal> values) {
            addCriterion("case_personal_credit_sub_score in", values, "casePersonalCreditSubScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditSubScoreNotIn(List<BigDecimal> values) {
            addCriterion("case_personal_credit_sub_score not in", values, "casePersonalCreditSubScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditSubScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("case_personal_credit_sub_score between", value1, value2, "casePersonalCreditSubScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditSubScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("case_personal_credit_sub_score not between", value1, value2, "casePersonalCreditSubScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditObjScoreIsNull() {
            addCriterion("case_personal_credit_obj_score is null");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditObjScoreIsNotNull() {
            addCriterion("case_personal_credit_obj_score is not null");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditObjScoreEqualTo(BigDecimal value) {
            addCriterion("case_personal_credit_obj_score =", value, "casePersonalCreditObjScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditObjScoreNotEqualTo(BigDecimal value) {
            addCriterion("case_personal_credit_obj_score <>", value, "casePersonalCreditObjScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditObjScoreGreaterThan(BigDecimal value) {
            addCriterion("case_personal_credit_obj_score >", value, "casePersonalCreditObjScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditObjScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("case_personal_credit_obj_score >=", value, "casePersonalCreditObjScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditObjScoreLessThan(BigDecimal value) {
            addCriterion("case_personal_credit_obj_score <", value, "casePersonalCreditObjScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditObjScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("case_personal_credit_obj_score <=", value, "casePersonalCreditObjScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditObjScoreIn(List<BigDecimal> values) {
            addCriterion("case_personal_credit_obj_score in", values, "casePersonalCreditObjScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditObjScoreNotIn(List<BigDecimal> values) {
            addCriterion("case_personal_credit_obj_score not in", values, "casePersonalCreditObjScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditObjScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("case_personal_credit_obj_score between", value1, value2, "casePersonalCreditObjScore");
            return (Criteria) this;
        }

        public Criteria andCasePersonalCreditObjScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("case_personal_credit_obj_score not between", value1, value2, "casePersonalCreditObjScore");
            return (Criteria) this;
        }

        public Criteria andCreditPortraitScoreIsNull() {
            addCriterion("credit_portrait_score is null");
            return (Criteria) this;
        }

        public Criteria andCreditPortraitScoreIsNotNull() {
            addCriterion("credit_portrait_score is not null");
            return (Criteria) this;
        }

        public Criteria andCreditPortraitScoreEqualTo(BigDecimal value) {
            addCriterion("credit_portrait_score =", value, "creditPortraitScore");
            return (Criteria) this;
        }

        public Criteria andCreditPortraitScoreNotEqualTo(BigDecimal value) {
            addCriterion("credit_portrait_score <>", value, "creditPortraitScore");
            return (Criteria) this;
        }

        public Criteria andCreditPortraitScoreGreaterThan(BigDecimal value) {
            addCriterion("credit_portrait_score >", value, "creditPortraitScore");
            return (Criteria) this;
        }

        public Criteria andCreditPortraitScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("credit_portrait_score >=", value, "creditPortraitScore");
            return (Criteria) this;
        }

        public Criteria andCreditPortraitScoreLessThan(BigDecimal value) {
            addCriterion("credit_portrait_score <", value, "creditPortraitScore");
            return (Criteria) this;
        }

        public Criteria andCreditPortraitScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("credit_portrait_score <=", value, "creditPortraitScore");
            return (Criteria) this;
        }

        public Criteria andCreditPortraitScoreIn(List<BigDecimal> values) {
            addCriterion("credit_portrait_score in", values, "creditPortraitScore");
            return (Criteria) this;
        }

        public Criteria andCreditPortraitScoreNotIn(List<BigDecimal> values) {
            addCriterion("credit_portrait_score not in", values, "creditPortraitScore");
            return (Criteria) this;
        }

        public Criteria andCreditPortraitScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("credit_portrait_score between", value1, value2, "creditPortraitScore");
            return (Criteria) this;
        }

        public Criteria andCreditPortraitScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("credit_portrait_score not between", value1, value2, "creditPortraitScore");
            return (Criteria) this;
        }

        public Criteria andCreditPortraitRankIsNull() {
            addCriterion("credit_portrait_rank is null");
            return (Criteria) this;
        }

        public Criteria andCreditPortraitRankIsNotNull() {
            addCriterion("credit_portrait_rank is not null");
            return (Criteria) this;
        }

        public Criteria andCreditPortraitRankEqualTo(Integer value) {
            addCriterion("credit_portrait_rank =", value, "creditPortraitRank");
            return (Criteria) this;
        }

        public Criteria andCreditPortraitRankNotEqualTo(Integer value) {
            addCriterion("credit_portrait_rank <>", value, "creditPortraitRank");
            return (Criteria) this;
        }

        public Criteria andCreditPortraitRankGreaterThan(Integer value) {
            addCriterion("credit_portrait_rank >", value, "creditPortraitRank");
            return (Criteria) this;
        }

        public Criteria andCreditPortraitRankGreaterThanOrEqualTo(Integer value) {
            addCriterion("credit_portrait_rank >=", value, "creditPortraitRank");
            return (Criteria) this;
        }

        public Criteria andCreditPortraitRankLessThan(Integer value) {
            addCriterion("credit_portrait_rank <", value, "creditPortraitRank");
            return (Criteria) this;
        }

        public Criteria andCreditPortraitRankLessThanOrEqualTo(Integer value) {
            addCriterion("credit_portrait_rank <=", value, "creditPortraitRank");
            return (Criteria) this;
        }

        public Criteria andCreditPortraitRankIn(List<Integer> values) {
            addCriterion("credit_portrait_rank in", values, "creditPortraitRank");
            return (Criteria) this;
        }

        public Criteria andCreditPortraitRankNotIn(List<Integer> values) {
            addCriterion("credit_portrait_rank not in", values, "creditPortraitRank");
            return (Criteria) this;
        }

        public Criteria andCreditPortraitRankBetween(Integer value1, Integer value2) {
            addCriterion("credit_portrait_rank between", value1, value2, "creditPortraitRank");
            return (Criteria) this;
        }

        public Criteria andCreditPortraitRankNotBetween(Integer value1, Integer value2) {
            addCriterion("credit_portrait_rank not between", value1, value2, "creditPortraitRank");
            return (Criteria) this;
        }

        public Criteria andPersonalCreditScoreIsNull() {
            addCriterion("personal_credit_score is null");
            return (Criteria) this;
        }

        public Criteria andPersonalCreditScoreIsNotNull() {
            addCriterion("personal_credit_score is not null");
            return (Criteria) this;
        }

        public Criteria andPersonalCreditScoreEqualTo(BigDecimal value) {
            addCriterion("personal_credit_score =", value, "personalCreditScore");
            return (Criteria) this;
        }

        public Criteria andPersonalCreditScoreNotEqualTo(BigDecimal value) {
            addCriterion("personal_credit_score <>", value, "personalCreditScore");
            return (Criteria) this;
        }

        public Criteria andPersonalCreditScoreGreaterThan(BigDecimal value) {
            addCriterion("personal_credit_score >", value, "personalCreditScore");
            return (Criteria) this;
        }

        public Criteria andPersonalCreditScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("personal_credit_score >=", value, "personalCreditScore");
            return (Criteria) this;
        }

        public Criteria andPersonalCreditScoreLessThan(BigDecimal value) {
            addCriterion("personal_credit_score <", value, "personalCreditScore");
            return (Criteria) this;
        }

        public Criteria andPersonalCreditScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("personal_credit_score <=", value, "personalCreditScore");
            return (Criteria) this;
        }

        public Criteria andPersonalCreditScoreIn(List<BigDecimal> values) {
            addCriterion("personal_credit_score in", values, "personalCreditScore");
            return (Criteria) this;
        }

        public Criteria andPersonalCreditScoreNotIn(List<BigDecimal> values) {
            addCriterion("personal_credit_score not in", values, "personalCreditScore");
            return (Criteria) this;
        }

        public Criteria andPersonalCreditScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("personal_credit_score between", value1, value2, "personalCreditScore");
            return (Criteria) this;
        }

        public Criteria andPersonalCreditScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("personal_credit_score not between", value1, value2, "personalCreditScore");
            return (Criteria) this;
        }

        public Criteria andPersonalCreditRankIsNull() {
            addCriterion("personal_credit_rank is null");
            return (Criteria) this;
        }

        public Criteria andPersonalCreditRankIsNotNull() {
            addCriterion("personal_credit_rank is not null");
            return (Criteria) this;
        }

        public Criteria andPersonalCreditRankEqualTo(Integer value) {
            addCriterion("personal_credit_rank =", value, "personalCreditRank");
            return (Criteria) this;
        }

        public Criteria andPersonalCreditRankNotEqualTo(Integer value) {
            addCriterion("personal_credit_rank <>", value, "personalCreditRank");
            return (Criteria) this;
        }

        public Criteria andPersonalCreditRankGreaterThan(Integer value) {
            addCriterion("personal_credit_rank >", value, "personalCreditRank");
            return (Criteria) this;
        }

        public Criteria andPersonalCreditRankGreaterThanOrEqualTo(Integer value) {
            addCriterion("personal_credit_rank >=", value, "personalCreditRank");
            return (Criteria) this;
        }

        public Criteria andPersonalCreditRankLessThan(Integer value) {
            addCriterion("personal_credit_rank <", value, "personalCreditRank");
            return (Criteria) this;
        }

        public Criteria andPersonalCreditRankLessThanOrEqualTo(Integer value) {
            addCriterion("personal_credit_rank <=", value, "personalCreditRank");
            return (Criteria) this;
        }

        public Criteria andPersonalCreditRankIn(List<Integer> values) {
            addCriterion("personal_credit_rank in", values, "personalCreditRank");
            return (Criteria) this;
        }

        public Criteria andPersonalCreditRankNotIn(List<Integer> values) {
            addCriterion("personal_credit_rank not in", values, "personalCreditRank");
            return (Criteria) this;
        }

        public Criteria andPersonalCreditRankBetween(Integer value1, Integer value2) {
            addCriterion("personal_credit_rank between", value1, value2, "personalCreditRank");
            return (Criteria) this;
        }

        public Criteria andPersonalCreditRankNotBetween(Integer value1, Integer value2) {
            addCriterion("personal_credit_rank not between", value1, value2, "personalCreditRank");
            return (Criteria) this;
        }

        public Criteria andCorporateCreditScoreIsNull() {
            addCriterion("corporate_credit_score is null");
            return (Criteria) this;
        }

        public Criteria andCorporateCreditScoreIsNotNull() {
            addCriterion("corporate_credit_score is not null");
            return (Criteria) this;
        }

        public Criteria andCorporateCreditScoreEqualTo(BigDecimal value) {
            addCriterion("corporate_credit_score =", value, "corporateCreditScore");
            return (Criteria) this;
        }

        public Criteria andCorporateCreditScoreNotEqualTo(BigDecimal value) {
            addCriterion("corporate_credit_score <>", value, "corporateCreditScore");
            return (Criteria) this;
        }

        public Criteria andCorporateCreditScoreGreaterThan(BigDecimal value) {
            addCriterion("corporate_credit_score >", value, "corporateCreditScore");
            return (Criteria) this;
        }

        public Criteria andCorporateCreditScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("corporate_credit_score >=", value, "corporateCreditScore");
            return (Criteria) this;
        }

        public Criteria andCorporateCreditScoreLessThan(BigDecimal value) {
            addCriterion("corporate_credit_score <", value, "corporateCreditScore");
            return (Criteria) this;
        }

        public Criteria andCorporateCreditScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("corporate_credit_score <=", value, "corporateCreditScore");
            return (Criteria) this;
        }

        public Criteria andCorporateCreditScoreIn(List<BigDecimal> values) {
            addCriterion("corporate_credit_score in", values, "corporateCreditScore");
            return (Criteria) this;
        }

        public Criteria andCorporateCreditScoreNotIn(List<BigDecimal> values) {
            addCriterion("corporate_credit_score not in", values, "corporateCreditScore");
            return (Criteria) this;
        }

        public Criteria andCorporateCreditScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("corporate_credit_score between", value1, value2, "corporateCreditScore");
            return (Criteria) this;
        }

        public Criteria andCorporateCreditScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("corporate_credit_score not between", value1, value2, "corporateCreditScore");
            return (Criteria) this;
        }

        public Criteria andCorporateCreditRankIsNull() {
            addCriterion("corporate_credit_rank is null");
            return (Criteria) this;
        }

        public Criteria andCorporateCreditRankIsNotNull() {
            addCriterion("corporate_credit_rank is not null");
            return (Criteria) this;
        }

        public Criteria andCorporateCreditRankEqualTo(Integer value) {
            addCriterion("corporate_credit_rank =", value, "corporateCreditRank");
            return (Criteria) this;
        }

        public Criteria andCorporateCreditRankNotEqualTo(Integer value) {
            addCriterion("corporate_credit_rank <>", value, "corporateCreditRank");
            return (Criteria) this;
        }

        public Criteria andCorporateCreditRankGreaterThan(Integer value) {
            addCriterion("corporate_credit_rank >", value, "corporateCreditRank");
            return (Criteria) this;
        }

        public Criteria andCorporateCreditRankGreaterThanOrEqualTo(Integer value) {
            addCriterion("corporate_credit_rank >=", value, "corporateCreditRank");
            return (Criteria) this;
        }

        public Criteria andCorporateCreditRankLessThan(Integer value) {
            addCriterion("corporate_credit_rank <", value, "corporateCreditRank");
            return (Criteria) this;
        }

        public Criteria andCorporateCreditRankLessThanOrEqualTo(Integer value) {
            addCriterion("corporate_credit_rank <=", value, "corporateCreditRank");
            return (Criteria) this;
        }

        public Criteria andCorporateCreditRankIn(List<Integer> values) {
            addCriterion("corporate_credit_rank in", values, "corporateCreditRank");
            return (Criteria) this;
        }

        public Criteria andCorporateCreditRankNotIn(List<Integer> values) {
            addCriterion("corporate_credit_rank not in", values, "corporateCreditRank");
            return (Criteria) this;
        }

        public Criteria andCorporateCreditRankBetween(Integer value1, Integer value2) {
            addCriterion("corporate_credit_rank between", value1, value2, "corporateCreditRank");
            return (Criteria) this;
        }

        public Criteria andCorporateCreditRankNotBetween(Integer value1, Integer value2) {
            addCriterion("corporate_credit_rank not between", value1, value2, "corporateCreditRank");
            return (Criteria) this;
        }

        public Criteria andComprehensiveCaseScoreIsNull() {
            addCriterion("comprehensive_case_score is null");
            return (Criteria) this;
        }

        public Criteria andComprehensiveCaseScoreIsNotNull() {
            addCriterion("comprehensive_case_score is not null");
            return (Criteria) this;
        }

        public Criteria andComprehensiveCaseScoreEqualTo(BigDecimal value) {
            addCriterion("comprehensive_case_score =", value, "comprehensiveCaseScore");
            return (Criteria) this;
        }

        public Criteria andComprehensiveCaseScoreNotEqualTo(BigDecimal value) {
            addCriterion("comprehensive_case_score <>", value, "comprehensiveCaseScore");
            return (Criteria) this;
        }

        public Criteria andComprehensiveCaseScoreGreaterThan(BigDecimal value) {
            addCriterion("comprehensive_case_score >", value, "comprehensiveCaseScore");
            return (Criteria) this;
        }

        public Criteria andComprehensiveCaseScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("comprehensive_case_score >=", value, "comprehensiveCaseScore");
            return (Criteria) this;
        }

        public Criteria andComprehensiveCaseScoreLessThan(BigDecimal value) {
            addCriterion("comprehensive_case_score <", value, "comprehensiveCaseScore");
            return (Criteria) this;
        }

        public Criteria andComprehensiveCaseScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("comprehensive_case_score <=", value, "comprehensiveCaseScore");
            return (Criteria) this;
        }

        public Criteria andComprehensiveCaseScoreIn(List<BigDecimal> values) {
            addCriterion("comprehensive_case_score in", values, "comprehensiveCaseScore");
            return (Criteria) this;
        }

        public Criteria andComprehensiveCaseScoreNotIn(List<BigDecimal> values) {
            addCriterion("comprehensive_case_score not in", values, "comprehensiveCaseScore");
            return (Criteria) this;
        }

        public Criteria andComprehensiveCaseScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("comprehensive_case_score between", value1, value2, "comprehensiveCaseScore");
            return (Criteria) this;
        }

        public Criteria andComprehensiveCaseScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("comprehensive_case_score not between", value1, value2, "comprehensiveCaseScore");
            return (Criteria) this;
        }

        public Criteria andComprehensiveCaseRankIsNull() {
            addCriterion("comprehensive_case_rank is null");
            return (Criteria) this;
        }

        public Criteria andComprehensiveCaseRankIsNotNull() {
            addCriterion("comprehensive_case_rank is not null");
            return (Criteria) this;
        }

        public Criteria andComprehensiveCaseRankEqualTo(Integer value) {
            addCriterion("comprehensive_case_rank =", value, "comprehensiveCaseRank");
            return (Criteria) this;
        }

        public Criteria andComprehensiveCaseRankNotEqualTo(Integer value) {
            addCriterion("comprehensive_case_rank <>", value, "comprehensiveCaseRank");
            return (Criteria) this;
        }

        public Criteria andComprehensiveCaseRankGreaterThan(Integer value) {
            addCriterion("comprehensive_case_rank >", value, "comprehensiveCaseRank");
            return (Criteria) this;
        }

        public Criteria andComprehensiveCaseRankGreaterThanOrEqualTo(Integer value) {
            addCriterion("comprehensive_case_rank >=", value, "comprehensiveCaseRank");
            return (Criteria) this;
        }

        public Criteria andComprehensiveCaseRankLessThan(Integer value) {
            addCriterion("comprehensive_case_rank <", value, "comprehensiveCaseRank");
            return (Criteria) this;
        }

        public Criteria andComprehensiveCaseRankLessThanOrEqualTo(Integer value) {
            addCriterion("comprehensive_case_rank <=", value, "comprehensiveCaseRank");
            return (Criteria) this;
        }

        public Criteria andComprehensiveCaseRankIn(List<Integer> values) {
            addCriterion("comprehensive_case_rank in", values, "comprehensiveCaseRank");
            return (Criteria) this;
        }

        public Criteria andComprehensiveCaseRankNotIn(List<Integer> values) {
            addCriterion("comprehensive_case_rank not in", values, "comprehensiveCaseRank");
            return (Criteria) this;
        }

        public Criteria andComprehensiveCaseRankBetween(Integer value1, Integer value2) {
            addCriterion("comprehensive_case_rank between", value1, value2, "comprehensiveCaseRank");
            return (Criteria) this;
        }

        public Criteria andComprehensiveCaseRankNotBetween(Integer value1, Integer value2) {
            addCriterion("comprehensive_case_rank not between", value1, value2, "comprehensiveCaseRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankIsNull() {
            addCriterion("total_rank is null");
            return (Criteria) this;
        }

        public Criteria andTotalRankIsNotNull() {
            addCriterion("total_rank is not null");
            return (Criteria) this;
        }

        public Criteria andTotalRankEqualTo(Integer value) {
            addCriterion("total_rank =", value, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankNotEqualTo(Integer value) {
            addCriterion("total_rank <>", value, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankGreaterThan(Integer value) {
            addCriterion("total_rank >", value, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankGreaterThanOrEqualTo(Integer value) {
            addCriterion("total_rank >=", value, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankLessThan(Integer value) {
            addCriterion("total_rank <", value, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankLessThanOrEqualTo(Integer value) {
            addCriterion("total_rank <=", value, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankIn(List<Integer> values) {
            addCriterion("total_rank in", values, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankNotIn(List<Integer> values) {
            addCriterion("total_rank not in", values, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankBetween(Integer value1, Integer value2) {
            addCriterion("total_rank between", value1, value2, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalRankNotBetween(Integer value1, Integer value2) {
            addCriterion("total_rank not between", value1, value2, "totalRank");
            return (Criteria) this;
        }

        public Criteria andTotalScoreIsNull() {
            addCriterion("total_score is null");
            return (Criteria) this;
        }

        public Criteria andTotalScoreIsNotNull() {
            addCriterion("total_score is not null");
            return (Criteria) this;
        }

        public Criteria andTotalScoreEqualTo(BigDecimal value) {
            addCriterion("total_score =", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreNotEqualTo(BigDecimal value) {
            addCriterion("total_score <>", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreGreaterThan(BigDecimal value) {
            addCriterion("total_score >", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("total_score >=", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreLessThan(BigDecimal value) {
            addCriterion("total_score <", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("total_score <=", value, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreIn(List<BigDecimal> values) {
            addCriterion("total_score in", values, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreNotIn(List<BigDecimal> values) {
            addCriterion("total_score not in", values, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_score between", value1, value2, "totalScore");
            return (Criteria) this;
        }

        public Criteria andTotalScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("total_score not between", value1, value2, "totalScore");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}