package com.sztzjy.digital_credit.config;

import javafx.scene.text.Text;
import org.springframework.stereotype.Component;

import java.awt.*;

/**
 * 常量定义
 */
@Component
public class Constant {
    /**
     * 请求头
     */
    public static final String AUTHORIZATION = "Authorization";
    /**
     * Basic 请求头
     */
    public static final String BASIC = "Basic";

    public static final String BUILT_IN_SCHOOL_ID= "999999999";
    public static final String INPUT_TYPE_TEACHER= "0";
    public static final String INPUT_TYPE_BUILT_IN= "1";



    public static final String PERSONAL_CREDIT="个人征信";

    public static final String CORPORATE_CREDIT="企业征信";

    public static final String CREDIT_PORTRAIT="征信画像";

    public static final String COMPREHENSIVE_CASE="综合案例";




    public static final String SCORE_OVERVIEW="成绩总览";
    public static final String CREDIT_PORTRAIT_SCORE="征信画像成绩";
    public static final String PERSONAL_CREDIT_SCORE="个人征信成绩";
    public static final String CORPORATE_CREDIT_SCORE="企业征信成绩";
    public static final String COMPREHENSIVE_CASE_SCORE="综合案例成绩";


//=====================  企业征信基本信息


    public static final String QIYEMINGCHENG= "希望乳业有限公司";
    public static final String XINYONGDAIMA= "92500100790020998F";
    public static final String DAIBIAOREN= "田长青";
    public static final String JINGYINGZHUANGTAI= "开业";
    public static final String CHENGLIRIQI= "2006-06-05";
    public static final String XINGZHENGQUHUA= "四川省成都市新津区";
    public static final String ZHUCEZIBEN= "8500万元";
    public static final String SHIJIAOZIBEN= "7500万元";
    public static final String QIYELEIXING= "有限责任公司";
    public static final String SUOSHUHANGYE= "轻工食品";
    public static final String GONGSHANGZHUCEHAO= "500100000021365";
    public static final String ZUZHIJIGOUDAIMA= "79002099-8";
    public static final String NASHUIRENSHIBIEHAO= "92500100790020998F";
    public static final String NASHUIRENZIZHI= "一般纳税人";
    public static final String YINGYEQIXIAN= "2006-06-05至2099-12-11";
    public static final String HEZHUNRIQI= "2023-08-11";
    public static final String DENGJIJIGUAN= "成都市市场监督管理局";
    public static final String CANBAORENSHU= "200";
    public static final String ZHUCEDIZHI= "四川省成都市新津区希望大厦201栋6号楼";
    public static final String JINGYINGFANWEI= "乳制品制造、加工、饮料和冷冻食品的经营、投资咨询服务（不得从事非法集资、吸收公众资金等金融活动）、牲畜的饲养；饮料的研发；预包装食品、乳制品（凭许可证经营）、农畜产品的批发；奶业基地的建设与经营。";
    public static final String DIYIDAGUDONG= "田长青";
    public static final String DIYIDAGUDONGCHIGUBILI= "35%";
    public static final String DIERDAGUDONG= "黄达";
    public static final String DIERDAGUDONGCHIGUBILI= "25%";
    public static final String ANLIMINGCHENG= "希望乳业";
    public static final String SHEHUIXINYONGDAIMA= "92500100790020998F";


    public static final String ANLIINFO = "希望乳业有限公司位于四川省成都市新津区，成立于2006年6月5日，隶属于轻工食品行业，行业受宏观经济变化影响较小，公司是一家专业从事乳制品及含乳饮料的研发、生产及销售的企业，历经多年发展， 已成为国内区域性领先的乳制品生产企业，政策支持力度大，融资环境好，核心产品具有较高的市场知名度。\n" +
            "公司法定代表人为田长青，且为该公司股东，创始人，从公司成立就担任法人，持股比例为35%，其中质押股权5%；该公司其他主要股东分别为黄达，持股比例为25%；李俊，持股比例为20%；李二辉，持股比例为10%。公司建立了完善健全的企业管理制度，主要管理人员经验丰富，从业时间在5年以上，企业一般员工大多为本地人员。公司法人已婚，征信状况正常，常住公司所在地，在当地已购房车，除去贷款部分，总价值约为280万元。公司为一般纳税人，注册资本为8500万元人民币，实缴资本为7500万元人民币，开业的经营状态，统一社会信用代码为92500100790020998F，工商注册号为500100000021365，组织机构代码为：79002099-8，纳税人识别号为：92500100790020998F。营业期限为2006-06-05至2099-12-11，核准日期为：2023-08-11，登记机关为成都市市场监督管理局，参保人数为200人，注册地址为四川省成都市新津区希望大厦201栋6号楼，该场地为租赁场地，经营范围包括乳制品制造、加工、饮料和冷冻食品的经营、投资咨询服务（不得从事非法集资、吸收公众资金等金融活动）、牲畜的饲养；饮料的研发；预包装食品、乳制品（凭许可证经营）、农畜产品的批发；奶业基地的建设与经营。\n" +
            "公司销售渠道稳定，下游客户群体稳定，有长期的销售合同，上游主要原料供应商具备相当实力，合作年限均在3年以上，公司专注于乳制品及含乳饮料产品，主营业务集中度高，达到85%以上，且无关联企业或对外投资，企业订单稳定，存量订单能覆盖企业半年以上的生产周期，生产过程中不涉及高危作业或高污染物排放问题。企业经营过程中，申请过3笔银行贷款，其中2笔已结清，现有贷款余额1456900元，将于半年后到期，公司信用状况良好，没有贷款逾期记录。\n" +
            "近两年民事判决记录：肖像权纠纷，公诉人为田烨，被告人为希望乳业有限公司，案号为（2022）川0107民初18643号，已于2022-11-08日立案。诉讼标的金额为50万元，该案已判决，判决日期为2023年-04-23日，判决结果为限期被告支付原告田烨10万元，停止侵犯肖像权，如果未按期履行给付金钱义务，应当依照法律规定,加倍支付债务利息，驳回原告的其他诉讼请求。\n" +
            "近两年获得许可记录：获得四川省食品药品监督管理局食品经营许可，许可日期为2022年5月25日，截止日期为2027年6月30日。\n" +
            "近两年拥有专利记录：企业于2023年3月6日申请了优质发酵乳制备工艺专利，2023年5月10日正式获得该专利，专利号为：CN109366768C，专利有效期为10年。\n" +
            "如果希望乳业想要获得融资，如何增信？请给出增信措施。\n";

//======================

    //个人信息

    public static final String NAME= "刘先林";
    public static final String GENDER= "男";
    public static final String AGE= "46";
    public static final String IDENTIFICATION_NUMBER= "468151197805110489";
    public static final String MARITAL_STATUS= "已婚";
    public static final String PHONE_NUMBER= "18670086433";
    public static final String EDUCATIONAL_BACKGROUND= "本科";
    public static final String MAILING_ADDRESS= "江城市平谷区北海路364号";
    public static final String WORK_UNIT= "希望集团";
    public static final String OCCUPATION= "企业人员（不含教育、医护人员）";
    public static final String INDUSTRY= "制造业";
    public static final String PROFESSIONAL_TITLE= "高级";
    public static final String ANNUAL_INCOME_RANGE= "100万元以上";
    public static final String TOTAL_ASSETS= "74205000";
    public static final String TOTAL_LIABILITIES= "9383422.40";
    public static final String TOTAL_NET_WORTH= "64821577.6";
    public static final String SPOUSE_NAME= "李丽";
    public static final String SPOUSE_IDENTIFICATION_NUMBER= "468151198305214569";
    public static final String SPOUSE_WORK_UNIT= "中信银行江城市分行";
    public static final String SPOUSE_PHONE_NUMBER="15978523021";



    //信贷记录
    //=================================================

    // 1-16 按照顺序为答案
    public static final String ONE= "0";
    public static final String TWO= "0";
    public static final String THREE= "0";
    public static final String FOUR= "0";
    public static final String FIVE= "0";
    public static final String SIX= "0";
    public static final String SEVEN= "0";
    public static final String EIGHT= "0";
    public static final String NINE= "0";
    public static final String TEN= "0";
    public static final String ELEVEN= "1";
    public static final String TWELVE= "1456900";
    public static final String THIRTEEN= "0";
    public static final String FOURTEEN= "0";
    public static final String FIFTEEN= "0";
    public static final String SIXTEEN= "0";


    //=================================================

    //信用记录-信用提示

    public static final String NUMBER_OF_HOUSING_LOANS= "1";
    public static final String NUMBER_OF_OTHER_LOANS= "1";
    public static final String FIRST_LOAN_DISBURSEMENT_MONTH= "2014.05";
    public static final String NUMBER_OF_CREDIT_CARD_ACCOUNTS= "2";
    public static final String FIRST_CREDIT_CARD_ISSUANCE_MONTH= "2005.03";

    //信用记录-逾期及违约信息

    public static final String BAD_DEBT_INFORMATION_QUANTITY= "0";
    public static final String BAD_DEBT_INFORMATION_BALANCE= "0";
    public static final String ASSET_DISPOSAL_INFORMATION_QUANTITY= "0";
    public static final String ASSET_DISPOSAL_INFORMATION_BALANCE= "0";
    public static final String GUARANTOR_COMPENSATION_INFORMATION_QUANTITY= "0";
    public static final String GUARANTOR_COMPENSATION_INFORMATION_BALANCE= "0";
    public static final String OVERDUE_QUANTITY= "1";
    public static final String OVERDUE_NUMBER_OF_MONTHS= "1";
    public static final String OVERDUE_MAXIMUM_OVERDUE_TOTAL_AMOUNT_SINGLE_MONTH= "5500";
    public static final String OVERDUE_MAXIMUM_OVERDUE_MONTHS= "1";
    public static final String CREDIT_CARD_OVERDUE_NUMBER_OF_ACCOUNTS= "0";
    public static final String CREDIT_CARD_OVERDUE_NUMBER_OF_MONTHS= "0";
    public static final String CREDIT_CARD_OVERDUE_MAXIMUM_OVERDUE_TOTAL_AMOUNT_SINGLE_MONTH= "0";
    public static final String CREDIT_CARD_OVERDUE_MAXIMUM_OVERDUE_MONTHS= "0";


    //信用记录-授信及负债信息概要

    public static final String NUMBER_OF_LOAN_INSTITUTIONS= "1";
    public static final String NUMBER_OF_TRANSACTIONS= "1";
    public static final String TOTAL_CONTRACT_AMOUNT= "11200000";
    public static final String BALANCE= "9383422.40";
    public static final String AVERAGE_REPAYMENT_DUE_RECENTLY_SIX_MONTHS= "118793.38";
    public static final String CREDIT_CARD_NUMBER_OF_ISSUING_INSTITUTIONS= "2";
    public static final String CREDIT_CARD_NUMBER_OF_ACCOUNTS= "2";
    public static final String CREDIT_CARD_TOTAL_CREDIT_AMOUNT= "700000";
    public static final String CREDIT_CARD_MAXIMUM_CREDIT_LIMIT_BANK= "500000";
    public static final String CREDIT_CARD_MINIMUM_CREDIT_LIMIT_BANK= "200000";
    public static final String CREDIT_CARD_USED_CREDIT_LIMIT= "100000";
    public static final String GUARANTEE_NUMBER_OF_GUARANTEES= "1";
    public static final String GUARANTEE_AMOUNT= "1000000";
    public static final String GUARANTEED_PRINCIPAL_BALANCE= "500000";
    public static final String CREDIT_CARD_SIX_MONTHSTHS= "65000";

    //-------------------------------------------------------------------------------------------

    //信用评分
    public static final String GENDER_SCORE= "1";
    public static final String AGE_SCORE= "12";
    public static final String MARITAL_STATUS_SCORE= "15";
    public static final String EDUCATIONAL_LEVEL_SCORE= "8";
    public static final String DRIVING_EXPERIENCE_SCORE= "5";
    public static final String HEALTH_CONDITION_SCORE= "3";
    public static final String RESIDENCE_TIME_SCORE= "5";
    public static final String OCCUPATION_SCORE= "15";
    public static final String YEARS_IN_CURRENT_COMPANY_SCORE= "14";
    public static final String POST_SCORE= "24";
    public static final String TECHNICAL_TITLE_SCORE= "20";
    public static final String PERSONAL_ANNUAL_INCOME_SCORE= "30";
    public static final String HOUSING_SITUATION_SCORE= "22";
    public static final String NET_ASSET_SITUATION_SCORE= "15";
    public static final String VEHICLE_CONDITION_SCORE= "10";
    public static final String MONTHLY_INCOME_SCORE= "10";
    public static final String MONTHLY_FIXED_SCORE= "3";
    public static final String DEBT_TO_INCOME_RATIO= "3";
    public static final String NUMBER_OF_DEPENDENTS_SCORE= "4";
    public static final String LOAN_HISTORY_SCORE= "10";
    public static final String CARDHOLDER_STATUS_SCORE= "13";
    public static final String CREDIT_HISTORY_SCORE= "5";
    public static final String PERSONAL_BAD_REPUTATION_SCORE= "0";
    public static final String PERSONAL_MISCONDUCT_OR_RECORDS_SCORE= "0";
    public static final String TAX_ARREARS_RECORDS_SCORE= "0";
    public static final String CIVIL_JUDGMENT_OR_ENFORCEMENT_SCORE= "0";
    public static final String SOCIAL_SECURITY_AND_PROVIDENT_FUND_PAYMENT_SCORE= "0";
    public static final String PUBLIC_UTILITY_PAYMENT_RECORDS_SCORE= "0";
    public static final String PRACTICE_QUALIFICATION_CERTIFICATE_SCORE= "0";
    public static final String ADMINISTRATIVE_REWARD_SCORE= "0";
    public static final String FINAL_COMPREHENSIVE_SCORE= "247";
    public static final String FINAL_COMPREHENSIVE_LEVEL= "AA";

    //---------------------------------------------------------------------------

    //个人征信案例详情

    public static final String CASE_DETAILS="刘先生今年46岁，本科毕业，身份证号：468151197805110489，手机号：18670086433，地址：江城市平谷区北海路364号，是大型上市公司希望集团高管，拥有高级经济师职称；妻子41岁，是中信银行江城市分行的行长，儿子今年15岁，上初中3年级。\n" +
            "资产状况：10年前购买一套150平方米的商品房，成本价每平方米3500元，市价每平方米47500，贷款已还清，4年前逾期过一次，逾期金额为5500元，逾期了一个月。该房屋目前用于出租，月租金收入7500元；所在公司给每位高管赠送了一套别墅作为奖励，面积350平米，目前市价5万元/平米，目前自住，居住时间为3年。2年前在市中心投资了一层400平米的写字楼，成本价40000元／平方米，市价56000元/平米，该层写字楼采用商业贷款，贷款总额为1120万元，贷款年限为10年，利率为5%，采用等额本息还款的方式，目前为出租，租金15万元/月。刘先生家有汽车两台，分别价值80万、60万元。家有现金8万，银行活期存款20万，另有股票投资650万元，定期存款400万，每年利息收入16万，股权激励1000万，每年有分红50万，实业投资500万，每年可分得利润50万。\n" +
            "收支情况：刘先生年收入180万元，年底有80万元分红，妻子年收入100万元，年底奖金50万元。家庭月日常生活支出 38000元，儿子教育费用6000元/月，每年衣物及礼金支出50000元，支付刘先生父母生活费50000元/年，旅游费用150000元/年，汽车使用费（包括保险）120000元/年，健身支出30000/年，家政保姆支出12万/年，交际娱乐支出12万/年。\n" +
            "刘先生持有两张信用卡，目前一张信用卡额度为20万，一张信用卡额度为50万，已用额度为10万，最近6个月平均使用额度为为65000元，首张信用卡发卡月份为2005年3月份。此外刘先生还有一笔对外担保，担保金额为100万元，担保本金余额50万。\n" +
            "刘先生养老保险金账户余额为208000元，医疗保险账户余额为140000元，住房公积金账户余额98000元，未出现过断缴情况";
}
