package com.sztzjy.digital_credit.controller;

import com.sztzjy.digital_credit.annotation.AnonymousAccess;
import com.sztzjy.digital_credit.entity.StuMachineLearning;
import com.sztzjy.digital_credit.entity.StuUserPortrait;
import com.sztzjy.digital_credit.service.StuExperimentTrainByCreditService;
import com.sztzjy.digital_credit.service.StuUserPortraitControllerService;
import com.sztzjy.digital_credit.util.ResultEntity;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @author 17803
 * @date 2024-04-23 9:38
 */

@RestController
@RequestMapping("api/stu/userPortrait")
@Api(tags = "用户画像:用户画像")
public class StuUserPortraitController {



    @Autowired
    private StuUserPortraitControllerService userPortraitControllerService;


    @ApiOperation("自动保存接口(根据module分类，传参包括错误次数)")
    @AnonymousAccess
    @PostMapping("/userPortraitByModuleSave")
    public ResultEntity userPortraitByModuleSave(@RequestBody StuUserPortrait userPortrait){

        return  userPortraitControllerService.userPortraitByModuleSave(userPortrait);

    }










}
