package com.sztzjy.digital_credit.entity;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author tz
 * stu_credit_records
 */
public class StuCreditRecords {
    @ApiModelProperty("id")
    private String id;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("提交状态")
    private Integer subState;

    @ApiModelProperty("错误次数")
    private Integer errorNumber;

    private Date createTime;

    private Date updateTime;

    @ApiModelProperty("由资产管理公司处置的债务-笔数")
    private String assetCompanyDebtNumber;

    @ApiModelProperty("由资产管理公司处置的债务-余额")
    private String assetCompanyDebtBalance;

    @ApiModelProperty("管理公司处置的债务-最近一次处置完成日期")
    private String assetCompanyDebtDate;

    @ApiModelProperty("欠息汇总-笔数")
    private String summaryOfOutstandInterestNumber;

    @ApiModelProperty("欠息汇总-余额")
    private String summaryOfOutstandInterestBalance;

    @ApiModelProperty("垫款-笔数")
    private String makeAdvanceNumber;

    @ApiModelProperty("垫款-余额")
    private String makeAdvanceBalance;

    @ApiModelProperty("担保及第三方代偿的债务-笔数")
    private String debtCompensThreePartiesNumber;

    @ApiModelProperty("担保及第三方代偿的债务-余额")
    private String debtCompensThreePartiesBalance;

    @ApiModelProperty("担保及第三方代偿的债务-最近一次还款日期")
    private String debtCompensThreePartiesDate;

    @ApiModelProperty("正常类汇总-合计-笔数")
    private String summaryNormalCategoriesTotalNumber;

    @ApiModelProperty("正常类汇总-合计-余额")
    private String summaryNormalCategoriesTotalBalance;

    @ApiModelProperty("关注类汇总-合计-笔数")
    private String summaryAttentionCategoriesTotalNumber;

    @ApiModelProperty("关注类汇总-合计-余额")
    private String summaryAttentionCategoriesTotalBalance;

    @ApiModelProperty("不良/违约类汇总-合计-笔数")
    private String summaryDefaultCategoriesTotalNumber;

    @ApiModelProperty("不良/违约类汇总-合计-余额")
    private String summaryDefaultCategoriesTotalBalance;

    @ApiModelProperty("当前负债信息概要")
    private String summaryCurrentLiabilityInformation;

    @ApiModelProperty("已还清债务信息概要")
    private String summartInformationFullRepaidDebt;

    @ApiModelProperty("对外担保信息概要")
    private String summaryExternalGuaranteeInformation;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public Integer getSubState() {
        return subState;
    }

    public void setSubState(Integer subState) {
        this.subState = subState;
    }

    public Integer getErrorNumber() {
        return errorNumber;
    }

    public void setErrorNumber(Integer errorNumber) {
        this.errorNumber = errorNumber;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getAssetCompanyDebtNumber() {
        return assetCompanyDebtNumber;
    }

    public void setAssetCompanyDebtNumber(String assetCompanyDebtNumber) {
        this.assetCompanyDebtNumber = assetCompanyDebtNumber == null ? null : assetCompanyDebtNumber.trim();
    }

    public String getAssetCompanyDebtBalance() {
        return assetCompanyDebtBalance;
    }

    public void setAssetCompanyDebtBalance(String assetCompanyDebtBalance) {
        this.assetCompanyDebtBalance = assetCompanyDebtBalance == null ? null : assetCompanyDebtBalance.trim();
    }

    public String getAssetCompanyDebtDate() {
        return assetCompanyDebtDate;
    }

    public void setAssetCompanyDebtDate(String assetCompanyDebtDate) {
        this.assetCompanyDebtDate = assetCompanyDebtDate == null ? null : assetCompanyDebtDate.trim();
    }

    public String getSummaryOfOutstandInterestNumber() {
        return summaryOfOutstandInterestNumber;
    }

    public void setSummaryOfOutstandInterestNumber(String summaryOfOutstandInterestNumber) {
        this.summaryOfOutstandInterestNumber = summaryOfOutstandInterestNumber == null ? null : summaryOfOutstandInterestNumber.trim();
    }

    public String getSummaryOfOutstandInterestBalance() {
        return summaryOfOutstandInterestBalance;
    }

    public void setSummaryOfOutstandInterestBalance(String summaryOfOutstandInterestBalance) {
        this.summaryOfOutstandInterestBalance = summaryOfOutstandInterestBalance == null ? null : summaryOfOutstandInterestBalance.trim();
    }

    public String getMakeAdvanceNumber() {
        return makeAdvanceNumber;
    }

    public void setMakeAdvanceNumber(String makeAdvanceNumber) {
        this.makeAdvanceNumber = makeAdvanceNumber == null ? null : makeAdvanceNumber.trim();
    }

    public String getMakeAdvanceBalance() {
        return makeAdvanceBalance;
    }

    public void setMakeAdvanceBalance(String makeAdvanceBalance) {
        this.makeAdvanceBalance = makeAdvanceBalance == null ? null : makeAdvanceBalance.trim();
    }

    public String getDebtCompensThreePartiesNumber() {
        return debtCompensThreePartiesNumber;
    }

    public void setDebtCompensThreePartiesNumber(String debtCompensThreePartiesNumber) {
        this.debtCompensThreePartiesNumber = debtCompensThreePartiesNumber == null ? null : debtCompensThreePartiesNumber.trim();
    }

    public String getDebtCompensThreePartiesBalance() {
        return debtCompensThreePartiesBalance;
    }

    public void setDebtCompensThreePartiesBalance(String debtCompensThreePartiesBalance) {
        this.debtCompensThreePartiesBalance = debtCompensThreePartiesBalance == null ? null : debtCompensThreePartiesBalance.trim();
    }

    public String getDebtCompensThreePartiesDate() {
        return debtCompensThreePartiesDate;
    }

    public void setDebtCompensThreePartiesDate(String debtCompensThreePartiesDate) {
        this.debtCompensThreePartiesDate = debtCompensThreePartiesDate == null ? null : debtCompensThreePartiesDate.trim();
    }

    public String getSummaryNormalCategoriesTotalNumber() {
        return summaryNormalCategoriesTotalNumber;
    }

    public void setSummaryNormalCategoriesTotalNumber(String summaryNormalCategoriesTotalNumber) {
        this.summaryNormalCategoriesTotalNumber = summaryNormalCategoriesTotalNumber == null ? null : summaryNormalCategoriesTotalNumber.trim();
    }

    public String getSummaryNormalCategoriesTotalBalance() {
        return summaryNormalCategoriesTotalBalance;
    }

    public void setSummaryNormalCategoriesTotalBalance(String summaryNormalCategoriesTotalBalance) {
        this.summaryNormalCategoriesTotalBalance = summaryNormalCategoriesTotalBalance == null ? null : summaryNormalCategoriesTotalBalance.trim();
    }

    public String getSummaryAttentionCategoriesTotalNumber() {
        return summaryAttentionCategoriesTotalNumber;
    }

    public void setSummaryAttentionCategoriesTotalNumber(String summaryAttentionCategoriesTotalNumber) {
        this.summaryAttentionCategoriesTotalNumber = summaryAttentionCategoriesTotalNumber == null ? null : summaryAttentionCategoriesTotalNumber.trim();
    }

    public String getSummaryAttentionCategoriesTotalBalance() {
        return summaryAttentionCategoriesTotalBalance;
    }

    public void setSummaryAttentionCategoriesTotalBalance(String summaryAttentionCategoriesTotalBalance) {
        this.summaryAttentionCategoriesTotalBalance = summaryAttentionCategoriesTotalBalance == null ? null : summaryAttentionCategoriesTotalBalance.trim();
    }

    public String getSummaryDefaultCategoriesTotalNumber() {
        return summaryDefaultCategoriesTotalNumber;
    }

    public void setSummaryDefaultCategoriesTotalNumber(String summaryDefaultCategoriesTotalNumber) {
        this.summaryDefaultCategoriesTotalNumber = summaryDefaultCategoriesTotalNumber == null ? null : summaryDefaultCategoriesTotalNumber.trim();
    }

    public String getSummaryDefaultCategoriesTotalBalance() {
        return summaryDefaultCategoriesTotalBalance;
    }

    public void setSummaryDefaultCategoriesTotalBalance(String summaryDefaultCategoriesTotalBalance) {
        this.summaryDefaultCategoriesTotalBalance = summaryDefaultCategoriesTotalBalance == null ? null : summaryDefaultCategoriesTotalBalance.trim();
    }

    public String getSummaryCurrentLiabilityInformation() {
        return summaryCurrentLiabilityInformation;
    }

    public void setSummaryCurrentLiabilityInformation(String summaryCurrentLiabilityInformation) {
        this.summaryCurrentLiabilityInformation = summaryCurrentLiabilityInformation == null ? null : summaryCurrentLiabilityInformation.trim();
    }

    public String getSummartInformationFullRepaidDebt() {
        return summartInformationFullRepaidDebt;
    }

    public void setSummartInformationFullRepaidDebt(String summartInformationFullRepaidDebt) {
        this.summartInformationFullRepaidDebt = summartInformationFullRepaidDebt == null ? null : summartInformationFullRepaidDebt.trim();
    }

    public String getSummaryExternalGuaranteeInformation() {
        return summaryExternalGuaranteeInformation;
    }

    public void setSummaryExternalGuaranteeInformation(String summaryExternalGuaranteeInformation) {
        this.summaryExternalGuaranteeInformation = summaryExternalGuaranteeInformation == null ? null : summaryExternalGuaranteeInformation.trim();
    }
}