package com.sztzjy.digital_credit.entity;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author tz
 * stu_credit_score
 */
public class StuCreditScore {
    @ApiModelProperty("ID")
    private Integer id;

    @ApiModelProperty("性别得分")
    private String genderScore;

    @ApiModelProperty("年龄得分")
    private String ageScore;

    @ApiModelProperty("婚姻状况得分")
    private String maritalStatusScore;

    @ApiModelProperty("文化程度得分")
    private String educationalLevelScore;

    @ApiModelProperty("驾龄得分")
    private String drivingExperienceScore;

    @ApiModelProperty("健康状况得分")
    private String healthConditionScore;

    @ApiModelProperty("在目前住址居住时间得分")
    private String residenceTimeScore;

    @ApiModelProperty("自然情况总得分")
    private String naturalConditionsScore;

    @ApiModelProperty("职业得分")
    private String occupationScore;

    @ApiModelProperty("在现单位年限得分")
    private String yearsInCurrentCompanyScore;

    @ApiModelProperty("职务得分")
    private String postScore;

    @ApiModelProperty("技术职称得分")
    private String technicalTitleScore;

    @ApiModelProperty("个人年收入得分")
    private String personalAnnualIncomeScore;

    @ApiModelProperty("职业情况总得分")
    private String occupationalSituationScore;

    @ApiModelProperty("住房情况得分")
    private String housingSituationScore;

    @ApiModelProperty("净资产情况得分")
    private String netAssetSituationScore;

    @ApiModelProperty("车辆情况得分")
    private String vehicleConditionScore;

    @ApiModelProperty("家庭人均月收入得分")
    private String monthlyIncomeScore;

    @ApiModelProperty("家庭人均月固定支出得分")
    private String monthlyFixedScore;

    @ApiModelProperty("债务收入比得分")
    private String debtToIncomeRatio;

    @ApiModelProperty("供养人数得分")
    private String numberOfDependentsScore;

    @ApiModelProperty("保障支持总得分")
    private String guaranteeSupportScore;

    @ApiModelProperty("贷款历史得分")
    private String loanHistoryScore;

    @ApiModelProperty("持卡情况得分")
    private String cardholderStatusScore;

    @ApiModelProperty("与银行关系总得分")
    private String relationshipWithBanksScore;

    @ApiModelProperty("信用记录得分")
    private String creditHistoryScore;

    @ApiModelProperty("个人不良声誉得分")
    private String personalBadReputationScore;

    @ApiModelProperty("个人不良行为或记录得分")
    private String personalMisconductOrRecordsScore;

    @ApiModelProperty("欠税记录得分")
    private String taxArrearsRecordsScore;

    @ApiModelProperty("民事判决或强制执行记录得分")
    private String civilJudgmentOrEnforcementScore;

    @ApiModelProperty("社保公积金缴费记录得分")
    private String socialSecurityAndProvidentFundPaymentScore;

    @ApiModelProperty("公用事业缴费记录得分")
    private String publicUtilityPaymentRecordsScore;

    @ApiModelProperty("执业资格证记录得分")
    private String practiceQualificationCertificateScore;

    @ApiModelProperty("行政奖励记录得分")
    private String administrativeRewardScore;

    @ApiModelProperty("调整项总得分")
    private String adjustmentItemsScore;

    @ApiModelProperty("最终综合得分")
    private String finalComprehensiveScore;

    @ApiModelProperty("最终综合等级")
    private String finalComprehensiveLevel;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("提交状态")
    private Integer submitStatus;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getGenderScore() {
        return genderScore;
    }

    public void setGenderScore(String genderScore) {
        this.genderScore = genderScore == null ? null : genderScore.trim();
    }

    public String getAgeScore() {
        return ageScore;
    }

    public void setAgeScore(String ageScore) {
        this.ageScore = ageScore == null ? null : ageScore.trim();
    }

    public String getMaritalStatusScore() {
        return maritalStatusScore;
    }

    public void setMaritalStatusScore(String maritalStatusScore) {
        this.maritalStatusScore = maritalStatusScore == null ? null : maritalStatusScore.trim();
    }

    public String getEducationalLevelScore() {
        return educationalLevelScore;
    }

    public void setEducationalLevelScore(String educationalLevelScore) {
        this.educationalLevelScore = educationalLevelScore == null ? null : educationalLevelScore.trim();
    }

    public String getDrivingExperienceScore() {
        return drivingExperienceScore;
    }

    public void setDrivingExperienceScore(String drivingExperienceScore) {
        this.drivingExperienceScore = drivingExperienceScore == null ? null : drivingExperienceScore.trim();
    }

    public String getHealthConditionScore() {
        return healthConditionScore;
    }

    public void setHealthConditionScore(String healthConditionScore) {
        this.healthConditionScore = healthConditionScore == null ? null : healthConditionScore.trim();
    }

    public String getResidenceTimeScore() {
        return residenceTimeScore;
    }

    public void setResidenceTimeScore(String residenceTimeScore) {
        this.residenceTimeScore = residenceTimeScore == null ? null : residenceTimeScore.trim();
    }

    public String getNaturalConditionsScore() {
        return naturalConditionsScore;
    }

    public void setNaturalConditionsScore(String naturalConditionsScore) {
        this.naturalConditionsScore = naturalConditionsScore == null ? null : naturalConditionsScore.trim();
    }

    public String getOccupationScore() {
        return occupationScore;
    }

    public void setOccupationScore(String occupationScore) {
        this.occupationScore = occupationScore == null ? null : occupationScore.trim();
    }

    public String getYearsInCurrentCompanyScore() {
        return yearsInCurrentCompanyScore;
    }

    public void setYearsInCurrentCompanyScore(String yearsInCurrentCompanyScore) {
        this.yearsInCurrentCompanyScore = yearsInCurrentCompanyScore == null ? null : yearsInCurrentCompanyScore.trim();
    }

    public String getPostScore() {
        return postScore;
    }

    public void setPostScore(String postScore) {
        this.postScore = postScore == null ? null : postScore.trim();
    }

    public String getTechnicalTitleScore() {
        return technicalTitleScore;
    }

    public void setTechnicalTitleScore(String technicalTitleScore) {
        this.technicalTitleScore = technicalTitleScore == null ? null : technicalTitleScore.trim();
    }

    public String getPersonalAnnualIncomeScore() {
        return personalAnnualIncomeScore;
    }

    public void setPersonalAnnualIncomeScore(String personalAnnualIncomeScore) {
        this.personalAnnualIncomeScore = personalAnnualIncomeScore == null ? null : personalAnnualIncomeScore.trim();
    }

    public String getOccupationalSituationScore() {
        return occupationalSituationScore;
    }

    public void setOccupationalSituationScore(String occupationalSituationScore) {
        this.occupationalSituationScore = occupationalSituationScore == null ? null : occupationalSituationScore.trim();
    }

    public String getHousingSituationScore() {
        return housingSituationScore;
    }

    public void setHousingSituationScore(String housingSituationScore) {
        this.housingSituationScore = housingSituationScore == null ? null : housingSituationScore.trim();
    }

    public String getNetAssetSituationScore() {
        return netAssetSituationScore;
    }

    public void setNetAssetSituationScore(String netAssetSituationScore) {
        this.netAssetSituationScore = netAssetSituationScore == null ? null : netAssetSituationScore.trim();
    }

    public String getVehicleConditionScore() {
        return vehicleConditionScore;
    }

    public void setVehicleConditionScore(String vehicleConditionScore) {
        this.vehicleConditionScore = vehicleConditionScore == null ? null : vehicleConditionScore.trim();
    }

    public String getMonthlyIncomeScore() {
        return monthlyIncomeScore;
    }

    public void setMonthlyIncomeScore(String monthlyIncomeScore) {
        this.monthlyIncomeScore = monthlyIncomeScore == null ? null : monthlyIncomeScore.trim();
    }

    public String getMonthlyFixedScore() {
        return monthlyFixedScore;
    }

    public void setMonthlyFixedScore(String monthlyFixedScore) {
        this.monthlyFixedScore = monthlyFixedScore == null ? null : monthlyFixedScore.trim();
    }

    public String getDebtToIncomeRatio() {
        return debtToIncomeRatio;
    }

    public void setDebtToIncomeRatio(String debtToIncomeRatio) {
        this.debtToIncomeRatio = debtToIncomeRatio == null ? null : debtToIncomeRatio.trim();
    }

    public String getNumberOfDependentsScore() {
        return numberOfDependentsScore;
    }

    public void setNumberOfDependentsScore(String numberOfDependentsScore) {
        this.numberOfDependentsScore = numberOfDependentsScore == null ? null : numberOfDependentsScore.trim();
    }

    public String getGuaranteeSupportScore() {
        return guaranteeSupportScore;
    }

    public void setGuaranteeSupportScore(String guaranteeSupportScore) {
        this.guaranteeSupportScore = guaranteeSupportScore == null ? null : guaranteeSupportScore.trim();
    }

    public String getLoanHistoryScore() {
        return loanHistoryScore;
    }

    public void setLoanHistoryScore(String loanHistoryScore) {
        this.loanHistoryScore = loanHistoryScore == null ? null : loanHistoryScore.trim();
    }

    public String getCardholderStatusScore() {
        return cardholderStatusScore;
    }

    public void setCardholderStatusScore(String cardholderStatusScore) {
        this.cardholderStatusScore = cardholderStatusScore == null ? null : cardholderStatusScore.trim();
    }

    public String getRelationshipWithBanksScore() {
        return relationshipWithBanksScore;
    }

    public void setRelationshipWithBanksScore(String relationshipWithBanksScore) {
        this.relationshipWithBanksScore = relationshipWithBanksScore == null ? null : relationshipWithBanksScore.trim();
    }

    public String getCreditHistoryScore() {
        return creditHistoryScore;
    }

    public void setCreditHistoryScore(String creditHistoryScore) {
        this.creditHistoryScore = creditHistoryScore == null ? null : creditHistoryScore.trim();
    }

    public String getPersonalBadReputationScore() {
        return personalBadReputationScore;
    }

    public void setPersonalBadReputationScore(String personalBadReputationScore) {
        this.personalBadReputationScore = personalBadReputationScore == null ? null : personalBadReputationScore.trim();
    }

    public String getPersonalMisconductOrRecordsScore() {
        return personalMisconductOrRecordsScore;
    }

    public void setPersonalMisconductOrRecordsScore(String personalMisconductOrRecordsScore) {
        this.personalMisconductOrRecordsScore = personalMisconductOrRecordsScore == null ? null : personalMisconductOrRecordsScore.trim();
    }

    public String getTaxArrearsRecordsScore() {
        return taxArrearsRecordsScore;
    }

    public void setTaxArrearsRecordsScore(String taxArrearsRecordsScore) {
        this.taxArrearsRecordsScore = taxArrearsRecordsScore == null ? null : taxArrearsRecordsScore.trim();
    }

    public String getCivilJudgmentOrEnforcementScore() {
        return civilJudgmentOrEnforcementScore;
    }

    public void setCivilJudgmentOrEnforcementScore(String civilJudgmentOrEnforcementScore) {
        this.civilJudgmentOrEnforcementScore = civilJudgmentOrEnforcementScore == null ? null : civilJudgmentOrEnforcementScore.trim();
    }

    public String getSocialSecurityAndProvidentFundPaymentScore() {
        return socialSecurityAndProvidentFundPaymentScore;
    }

    public void setSocialSecurityAndProvidentFundPaymentScore(String socialSecurityAndProvidentFundPaymentScore) {
        this.socialSecurityAndProvidentFundPaymentScore = socialSecurityAndProvidentFundPaymentScore == null ? null : socialSecurityAndProvidentFundPaymentScore.trim();
    }

    public String getPublicUtilityPaymentRecordsScore() {
        return publicUtilityPaymentRecordsScore;
    }

    public void setPublicUtilityPaymentRecordsScore(String publicUtilityPaymentRecordsScore) {
        this.publicUtilityPaymentRecordsScore = publicUtilityPaymentRecordsScore == null ? null : publicUtilityPaymentRecordsScore.trim();
    }

    public String getPracticeQualificationCertificateScore() {
        return practiceQualificationCertificateScore;
    }

    public void setPracticeQualificationCertificateScore(String practiceQualificationCertificateScore) {
        this.practiceQualificationCertificateScore = practiceQualificationCertificateScore == null ? null : practiceQualificationCertificateScore.trim();
    }

    public String getAdministrativeRewardScore() {
        return administrativeRewardScore;
    }

    public void setAdministrativeRewardScore(String administrativeRewardScore) {
        this.administrativeRewardScore = administrativeRewardScore == null ? null : administrativeRewardScore.trim();
    }

    public String getAdjustmentItemsScore() {
        return adjustmentItemsScore;
    }

    public void setAdjustmentItemsScore(String adjustmentItemsScore) {
        this.adjustmentItemsScore = adjustmentItemsScore == null ? null : adjustmentItemsScore.trim();
    }

    public String getFinalComprehensiveScore() {
        return finalComprehensiveScore;
    }

    public void setFinalComprehensiveScore(String finalComprehensiveScore) {
        this.finalComprehensiveScore = finalComprehensiveScore == null ? null : finalComprehensiveScore.trim();
    }

    public String getFinalComprehensiveLevel() {
        return finalComprehensiveLevel;
    }

    public void setFinalComprehensiveLevel(String finalComprehensiveLevel) {
        this.finalComprehensiveLevel = finalComprehensiveLevel == null ? null : finalComprehensiveLevel.trim();
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public Date getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(Date creationTime) {
        this.creationTime = creationTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getSubmitStatus() {
        return submitStatus;
    }

    public void setSubmitStatus(Integer submitStatus) {
        this.submitStatus = submitStatus;
    }
}