package com.sztzjy.digital_credit.entity;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author tz
 * stu_du_pont_analysis
 */
public class StuDuPontAnalysis {
    private Integer id;

    @ApiModelProperty("营业净利率")
    private String netOperatProfitMargin;

    @ApiModelProperty("总资产周转率")
    private String totalAssetTurnover;

    @ApiModelProperty("权益乘数")
    private String equityMultiplier;

    @ApiModelProperty("总资产净利率")
    private String netPrifitMarginTotalAsset;

    @ApiModelProperty("权益净利率")
    private String returnEquity;

    @ApiModelProperty("用户ID")
    private String userId;

    private Integer capacityId;

    @ApiModelProperty("序号")
    private Integer serialNumber;

    @ApiModelProperty("提交状态")
    private Integer subState;

    @ApiModelProperty("错误次数")
    private Integer errorNumber;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getNetOperatProfitMargin() {
        return netOperatProfitMargin;
    }

    public void setNetOperatProfitMargin(String netOperatProfitMargin) {
        this.netOperatProfitMargin = netOperatProfitMargin == null ? null : netOperatProfitMargin.trim();
    }

    public String getTotalAssetTurnover() {
        return totalAssetTurnover;
    }

    public void setTotalAssetTurnover(String totalAssetTurnover) {
        this.totalAssetTurnover = totalAssetTurnover == null ? null : totalAssetTurnover.trim();
    }

    public String getEquityMultiplier() {
        return equityMultiplier;
    }

    public void setEquityMultiplier(String equityMultiplier) {
        this.equityMultiplier = equityMultiplier == null ? null : equityMultiplier.trim();
    }

    public String getNetPrifitMarginTotalAsset() {
        return netPrifitMarginTotalAsset;
    }

    public void setNetPrifitMarginTotalAsset(String netPrifitMarginTotalAsset) {
        this.netPrifitMarginTotalAsset = netPrifitMarginTotalAsset == null ? null : netPrifitMarginTotalAsset.trim();
    }

    public String getReturnEquity() {
        return returnEquity;
    }

    public void setReturnEquity(String returnEquity) {
        this.returnEquity = returnEquity == null ? null : returnEquity.trim();
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public Integer getCapacityId() {
        return capacityId;
    }

    public void setCapacityId(Integer capacityId) {
        this.capacityId = capacityId;
    }

    public Integer getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(Integer serialNumber) {
        this.serialNumber = serialNumber;
    }

    public Integer getSubState() {
        return subState;
    }

    public void setSubState(Integer subState) {
        this.subState = subState;
    }

    public Integer getErrorNumber() {
        return errorNumber;
    }

    public void setErrorNumber(Integer errorNumber) {
        this.errorNumber = errorNumber;
    }
}