package com.sztzjy.digital_credit.entity;

import java.util.Date;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author tz
 * stu_financial_statements
 */
public class StuFinancialStatements {
    @ExcelIgnore
    @ApiModelProperty("id")
    private Integer id;
    @ExcelIgnore
    @ApiModelProperty("归属模块")
    private String module;

    @ExcelProperty("指标名称")
    @ApiModelProperty("指标名称")
    private String indicatorName;
    @ExcelProperty("2023-12-31")
    @ApiModelProperty("2023/12/31")
    private String dateOne;
    @ExcelProperty("2022-12-31")
    @ApiModelProperty("2022/12/31")
    private String dateTwo;
    @ExcelProperty("2021-12-31")
    @ApiModelProperty("2021/12/31")
    private String dateThree;
    @ExcelIgnore
    @ApiModelProperty("序号")
    private Integer serialNumber;
    @ExcelIgnore
    @ApiModelProperty("学校ID")
    private String schoolId;
    @ExcelIgnore
    @ApiModelProperty("用户ID")
    private String userId;
    @ExcelIgnore
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ExcelIgnore
    @ApiModelProperty("更新时间")
    private Date updateTime;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module == null ? null : module.trim();
    }

    public String getIndicatorName() {
        return indicatorName;
    }

    public void setIndicatorName(String indicatorName) {
        this.indicatorName = indicatorName == null ? null : indicatorName.trim();
    }

    public String getDateOne() {
        return dateOne;
    }

    public void setDateOne(String dateOne) {
        this.dateOne = dateOne == null ? null : dateOne.trim();
    }

    public String getDateTwo() {
        return dateTwo;
    }

    public void setDateTwo(String dateTwo) {
        this.dateTwo = dateTwo == null ? null : dateTwo.trim();
    }

    public String getDateThree() {
        return dateThree;
    }

    public void setDateThree(String dateThree) {
        this.dateThree = dateThree == null ? null : dateThree.trim();
    }

    public Integer getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(Integer serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(String schoolId) {
        this.schoolId = schoolId == null ? null : schoolId.trim();
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}