package com.sztzjy.digital_credit.entity;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 * 企业营运资产分析模型
 *
 * @author whb
 * stu_operation_asset_analysis_module
 */
public class StuOperationAssetAnalysisModule {
    @ApiModelProperty("id")
    private String id;

    @ApiModelProperty("营运资产=（营运资本+所有者权益）/2")
    private String operatAsset;

    @ApiModelProperty("营运资本=流动资产-流动负债")
    private String workCapital;

    @ApiModelProperty("流动比率")
    private String currentRatio;

    @ApiModelProperty("速动比率")
    private String quickRatio;

    @ApiModelProperty("短期债务净资产比率")
    private String shortTermDebtToEquityRatio;

    @ApiModelProperty("产权比率")
    private String equityRatio;

    @ApiModelProperty("评估值")
    private String evaluationValue;

    @ApiModelProperty("信用限额")
    private String creditLimit;

    @ApiModelProperty("错误次数")
    private Integer errorNumber;

    @ApiModelProperty("提交状态")
    private Integer subState;

    @ApiModelProperty("删除状态")
    private Integer state;

    @ApiModelProperty("用户ID")
    private String userId;

    private Date createTime;

    private Date updateTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getOperatAsset() {
        return operatAsset;
    }

    public void setOperatAsset(String operatAsset) {
        this.operatAsset = operatAsset == null ? null : operatAsset.trim();
    }

    public String getWorkCapital() {
        return workCapital;
    }

    public void setWorkCapital(String workCapital) {
        this.workCapital = workCapital == null ? null : workCapital.trim();
    }

    public String getCurrentRatio() {
        return currentRatio;
    }

    public void setCurrentRatio(String currentRatio) {
        this.currentRatio = currentRatio == null ? null : currentRatio.trim();
    }

    public String getQuickRatio() {
        return quickRatio;
    }

    public void setQuickRatio(String quickRatio) {
        this.quickRatio = quickRatio == null ? null : quickRatio.trim();
    }

    public String getShortTermDebtToEquityRatio() {
        return shortTermDebtToEquityRatio;
    }

    public void setShortTermDebtToEquityRatio(String shortTermDebtToEquityRatio) {
        this.shortTermDebtToEquityRatio = shortTermDebtToEquityRatio == null ? null : shortTermDebtToEquityRatio.trim();
    }

    public String getEquityRatio() {
        return equityRatio;
    }

    public void setEquityRatio(String equityRatio) {
        this.equityRatio = equityRatio == null ? null : equityRatio.trim();
    }

    public String getEvaluationValue() {
        return evaluationValue;
    }

    public void setEvaluationValue(String evaluationValue) {
        this.evaluationValue = evaluationValue == null ? null : evaluationValue.trim();
    }

    public String getCreditLimit() {
        return creditLimit;
    }

    public void setCreditLimit(String creditLimit) {
        this.creditLimit = creditLimit == null ? null : creditLimit.trim();
    }

    public Integer getErrorNumber() {
        return errorNumber;
    }

    public void setErrorNumber(Integer errorNumber) {
        this.errorNumber = errorNumber;
    }

    public Integer getSubState() {
        return subState;
    }

    public void setSubState(Integer subState) {
        this.subState = subState;
    }

    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}