package com.sztzjy.digital_credit.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author tz
 * stu_personal_default_info
 */
public class StuPersonalDefaultInfo {
    @ApiModelProperty("ID")
    private Integer id;

    @ApiModelProperty("呆账信息-笔数")
    private Integer badDebtInformationQuantity;

    @ApiModelProperty("呆账信息-余额")
    private BigDecimal badDebtInformationBalance;

    @ApiModelProperty("资产处置信息-笔数")
    private Integer assetDisposalInformationQuantity;

    @ApiModelProperty("资产处置信息-余额")
    private BigDecimal assetDisposalInformationBalance;

    @ApiModelProperty("保证人代偿信息-笔数")
    private Integer guarantorCompensationInformationQuantity;

    @ApiModelProperty("保证人代偿信息-余额")
    private BigDecimal guarantorCompensationInformationBalance;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("贷款逾期-笔数")
    private Integer overdueQuantity;

    @ApiModelProperty("贷款逾期-月份数")
    private Integer overdueNumberOfMonths;

    @ApiModelProperty("贷款逾期-单月最高逾期总额")
    private BigDecimal overdueMaximumOverdueTotalAmountSingleMonth;

    @ApiModelProperty("贷款逾期-最长逾期月数")
    private Integer overdueMaximumOverdueMonths;

    @ApiModelProperty("贷记卡逾期-账户数")
    private Integer creditCardOverdueNumberOfAccounts;

    @ApiModelProperty("贷记卡逾期-月份数")
    private Integer creditCardOverdueNumberOfMonths;

    @ApiModelProperty("贷记卡逾期-单月最高逾期总额")
    private BigDecimal creditCardOverdueMaximumOverdueTotalAmountSingleMonth;

    @ApiModelProperty("贷记卡逾期-最长逾期月数")
    private Integer creditCardOverdueMaximumOverdueMonths;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("提交状态")
    private Integer submitStatus;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getBadDebtInformationQuantity() {
        return badDebtInformationQuantity;
    }

    public void setBadDebtInformationQuantity(Integer badDebtInformationQuantity) {
        this.badDebtInformationQuantity = badDebtInformationQuantity;
    }

    public BigDecimal getBadDebtInformationBalance() {
        return badDebtInformationBalance;
    }

    public void setBadDebtInformationBalance(BigDecimal badDebtInformationBalance) {
        this.badDebtInformationBalance = badDebtInformationBalance;
    }

    public Integer getAssetDisposalInformationQuantity() {
        return assetDisposalInformationQuantity;
    }

    public void setAssetDisposalInformationQuantity(Integer assetDisposalInformationQuantity) {
        this.assetDisposalInformationQuantity = assetDisposalInformationQuantity;
    }

    public BigDecimal getAssetDisposalInformationBalance() {
        return assetDisposalInformationBalance;
    }

    public void setAssetDisposalInformationBalance(BigDecimal assetDisposalInformationBalance) {
        this.assetDisposalInformationBalance = assetDisposalInformationBalance;
    }

    public Integer getGuarantorCompensationInformationQuantity() {
        return guarantorCompensationInformationQuantity;
    }

    public void setGuarantorCompensationInformationQuantity(Integer guarantorCompensationInformationQuantity) {
        this.guarantorCompensationInformationQuantity = guarantorCompensationInformationQuantity;
    }

    public BigDecimal getGuarantorCompensationInformationBalance() {
        return guarantorCompensationInformationBalance;
    }

    public void setGuarantorCompensationInformationBalance(BigDecimal guarantorCompensationInformationBalance) {
        this.guarantorCompensationInformationBalance = guarantorCompensationInformationBalance;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public Integer getOverdueQuantity() {
        return overdueQuantity;
    }

    public void setOverdueQuantity(Integer overdueQuantity) {
        this.overdueQuantity = overdueQuantity;
    }

    public Integer getOverdueNumberOfMonths() {
        return overdueNumberOfMonths;
    }

    public void setOverdueNumberOfMonths(Integer overdueNumberOfMonths) {
        this.overdueNumberOfMonths = overdueNumberOfMonths;
    }

    public BigDecimal getOverdueMaximumOverdueTotalAmountSingleMonth() {
        return overdueMaximumOverdueTotalAmountSingleMonth;
    }

    public void setOverdueMaximumOverdueTotalAmountSingleMonth(BigDecimal overdueMaximumOverdueTotalAmountSingleMonth) {
        this.overdueMaximumOverdueTotalAmountSingleMonth = overdueMaximumOverdueTotalAmountSingleMonth;
    }

    public Integer getOverdueMaximumOverdueMonths() {
        return overdueMaximumOverdueMonths;
    }

    public void setOverdueMaximumOverdueMonths(Integer overdueMaximumOverdueMonths) {
        this.overdueMaximumOverdueMonths = overdueMaximumOverdueMonths;
    }

    public Integer getCreditCardOverdueNumberOfAccounts() {
        return creditCardOverdueNumberOfAccounts;
    }

    public void setCreditCardOverdueNumberOfAccounts(Integer creditCardOverdueNumberOfAccounts) {
        this.creditCardOverdueNumberOfAccounts = creditCardOverdueNumberOfAccounts;
    }

    public Integer getCreditCardOverdueNumberOfMonths() {
        return creditCardOverdueNumberOfMonths;
    }

    public void setCreditCardOverdueNumberOfMonths(Integer creditCardOverdueNumberOfMonths) {
        this.creditCardOverdueNumberOfMonths = creditCardOverdueNumberOfMonths;
    }

    public BigDecimal getCreditCardOverdueMaximumOverdueTotalAmountSingleMonth() {
        return creditCardOverdueMaximumOverdueTotalAmountSingleMonth;
    }

    public void setCreditCardOverdueMaximumOverdueTotalAmountSingleMonth(BigDecimal creditCardOverdueMaximumOverdueTotalAmountSingleMonth) {
        this.creditCardOverdueMaximumOverdueTotalAmountSingleMonth = creditCardOverdueMaximumOverdueTotalAmountSingleMonth;
    }

    public Integer getCreditCardOverdueMaximumOverdueMonths() {
        return creditCardOverdueMaximumOverdueMonths;
    }

    public void setCreditCardOverdueMaximumOverdueMonths(Integer creditCardOverdueMaximumOverdueMonths) {
        this.creditCardOverdueMaximumOverdueMonths = creditCardOverdueMaximumOverdueMonths;
    }

    public Date getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(Date creationTime) {
        this.creationTime = creationTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getSubmitStatus() {
        return submitStatus;
    }

    public void setSubmitStatus(Integer submitStatus) {
        this.submitStatus = submitStatus;
    }
}