package com.sztzjy.digital_credit.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author tz
 * stu_personal_external_guarantee_info
 */
public class StuPersonalExternalGuaranteeInfo {
    @ApiModelProperty("ID")
    private Integer id;

    @ApiModelProperty("担保笔数")
    private Integer numberOfGuarantees;

    @ApiModelProperty("担保金额")
    private BigDecimal guaranteeAmount;

    @ApiModelProperty("担保本金余额")
    private BigDecimal guaranteedPrincipalBalance;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("提交状态")
    private Integer submitStatus;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getNumberOfGuarantees() {
        return numberOfGuarantees;
    }

    public void setNumberOfGuarantees(Integer numberOfGuarantees) {
        this.numberOfGuarantees = numberOfGuarantees;
    }

    public BigDecimal getGuaranteeAmount() {
        return guaranteeAmount;
    }

    public void setGuaranteeAmount(BigDecimal guaranteeAmount) {
        this.guaranteeAmount = guaranteeAmount;
    }

    public BigDecimal getGuaranteedPrincipalBalance() {
        return guaranteedPrincipalBalance;
    }

    public void setGuaranteedPrincipalBalance(BigDecimal guaranteedPrincipalBalance) {
        this.guaranteedPrincipalBalance = guaranteedPrincipalBalance;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public Date getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(Date creationTime) {
        this.creationTime = creationTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getSubmitStatus() {
        return submitStatus;
    }

    public void setSubmitStatus(Integer submitStatus) {
        this.submitStatus = submitStatus;
    }
}