package com.sztzjy.digital_credit.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author tz
 * stu_personal_info
 */
public class StuPersonalInfo {
    @ApiModelProperty("ID")
    private Integer id;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("性别")
    private String gender;

    @ApiModelProperty("年龄")
    private String age;

    @ApiModelProperty("出生日期")
    private Date dateOfBirth;

    @ApiModelProperty("证件类型")
    private String documentType;

    @ApiModelProperty("证件号码")
    private String identificationNumber;

    @ApiModelProperty("婚姻状况（已婚、未婚、离异、其他）")
    private String maritalStatus;

    @ApiModelProperty("手机号码")
    private String phoneNumber;

    @ApiModelProperty("学历")
    private String educationalBackground;

    @ApiModelProperty("学位")
    private String degree;

    @ApiModelProperty("通讯地址")
    private String mailingAddress;

    @ApiModelProperty("户籍地址")
    private String registeredResidenceAddress;

    @ApiModelProperty("工作单位")
    private String workUnit;

    @ApiModelProperty("职业")
    private String occupation;

    @ApiModelProperty("行业")
    private String industry;

    @ApiModelProperty("职称")
    private String professionalTitle;

    @ApiModelProperty("年收入区间")
    private String annualIncomeRange;

    @ApiModelProperty("资产合计")
    private BigDecimal totalAssets;

    @ApiModelProperty("负债合计")
    private BigDecimal totalLiabilities;

    @ApiModelProperty("净值合计")
    private BigDecimal totalNetWorth;

    @ApiModelProperty("配偶姓名")
    private String spouseName;

    @ApiModelProperty("配偶联系电话")
    private String spouseIdentificationNumber;

    @ApiModelProperty("配偶职业")
    private String spousePhoneNumber;

    @ApiModelProperty("配偶工作单位")
    private String spouseWorkUnit;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("创建时间")
    private Date creationTime;

    @ApiModelProperty("更新时间")
    private Date updateTime;

    @ApiModelProperty("提交状态")
    private Integer submitStatus;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender == null ? null : gender.trim();
    }

    public String getAge() {
        return age;
    }

    public void setAge(String age) {
        this.age = age == null ? null : age.trim();
    }

    public Date getDateOfBirth() {
        return dateOfBirth;
    }

    public void setDateOfBirth(Date dateOfBirth) {
        this.dateOfBirth = dateOfBirth;
    }

    public String getDocumentType() {
        return documentType;
    }

    public void setDocumentType(String documentType) {
        this.documentType = documentType == null ? null : documentType.trim();
    }

    public String getIdentificationNumber() {
        return identificationNumber;
    }

    public void setIdentificationNumber(String identificationNumber) {
        this.identificationNumber = identificationNumber == null ? null : identificationNumber.trim();
    }

    public String getMaritalStatus() {
        return maritalStatus;
    }

    public void setMaritalStatus(String maritalStatus) {
        this.maritalStatus = maritalStatus == null ? null : maritalStatus.trim();
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber == null ? null : phoneNumber.trim();
    }

    public String getEducationalBackground() {
        return educationalBackground;
    }

    public void setEducationalBackground(String educationalBackground) {
        this.educationalBackground = educationalBackground == null ? null : educationalBackground.trim();
    }

    public String getDegree() {
        return degree;
    }

    public void setDegree(String degree) {
        this.degree = degree == null ? null : degree.trim();
    }

    public String getMailingAddress() {
        return mailingAddress;
    }

    public void setMailingAddress(String mailingAddress) {
        this.mailingAddress = mailingAddress == null ? null : mailingAddress.trim();
    }

    public String getRegisteredResidenceAddress() {
        return registeredResidenceAddress;
    }

    public void setRegisteredResidenceAddress(String registeredResidenceAddress) {
        this.registeredResidenceAddress = registeredResidenceAddress == null ? null : registeredResidenceAddress.trim();
    }

    public String getWorkUnit() {
        return workUnit;
    }

    public void setWorkUnit(String workUnit) {
        this.workUnit = workUnit == null ? null : workUnit.trim();
    }

    public String getOccupation() {
        return occupation;
    }

    public void setOccupation(String occupation) {
        this.occupation = occupation == null ? null : occupation.trim();
    }

    public String getIndustry() {
        return industry;
    }

    public void setIndustry(String industry) {
        this.industry = industry == null ? null : industry.trim();
    }

    public String getProfessionalTitle() {
        return professionalTitle;
    }

    public void setProfessionalTitle(String professionalTitle) {
        this.professionalTitle = professionalTitle == null ? null : professionalTitle.trim();
    }

    public String getAnnualIncomeRange() {
        return annualIncomeRange;
    }

    public void setAnnualIncomeRange(String annualIncomeRange) {
        this.annualIncomeRange = annualIncomeRange == null ? null : annualIncomeRange.trim();
    }

    public BigDecimal getTotalAssets() {
        return totalAssets;
    }

    public void setTotalAssets(BigDecimal totalAssets) {
        this.totalAssets = totalAssets;
    }

    public BigDecimal getTotalLiabilities() {
        return totalLiabilities;
    }

    public void setTotalLiabilities(BigDecimal totalLiabilities) {
        this.totalLiabilities = totalLiabilities;
    }

    public BigDecimal getTotalNetWorth() {
        return totalNetWorth;
    }

    public void setTotalNetWorth(BigDecimal totalNetWorth) {
        this.totalNetWorth = totalNetWorth;
    }

    public String getSpouseName() {
        return spouseName;
    }

    public void setSpouseName(String spouseName) {
        this.spouseName = spouseName == null ? null : spouseName.trim();
    }

    public String getSpouseIdentificationNumber() {
        return spouseIdentificationNumber;
    }

    public void setSpouseIdentificationNumber(String spouseIdentificationNumber) {
        this.spouseIdentificationNumber = spouseIdentificationNumber == null ? null : spouseIdentificationNumber.trim();
    }

    public String getSpousePhoneNumber() {
        return spousePhoneNumber;
    }

    public void setSpousePhoneNumber(String spousePhoneNumber) {
        this.spousePhoneNumber = spousePhoneNumber == null ? null : spousePhoneNumber.trim();
    }

    public String getSpouseWorkUnit() {
        return spouseWorkUnit;
    }

    public void setSpouseWorkUnit(String spouseWorkUnit) {
        this.spouseWorkUnit = spouseWorkUnit == null ? null : spouseWorkUnit.trim();
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public Date getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(Date creationTime) {
        this.creationTime = creationTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getSubmitStatus() {
        return submitStatus;
    }

    public void setSubmitStatus(Integer submitStatus) {
        this.submitStatus = submitStatus;
    }
}