package com.sztzjy.digital_credit.entity;

import java.util.Date;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author whb
 * stu_score_module
 */
public class StuScoreModule {
    private String id;

    @ApiModelProperty("X1=营运资本／总资产(2023年度)")
    @ExcelProperty(value = "名称", index = 0)
    private String xOneFirst;

    @ApiModelProperty("X1=营运资本／总资产(2022年度)")
    private String xOneSecond;

    @ApiModelProperty("X1=营运资本／总资产(2021年度)")
    private String xOneThen;

    @ApiModelProperty("X2=营运资本／总资产(2023年度)")
    private String xTwoFirst;

    @ApiModelProperty("X2=营运资本／总资产(2022年度)")
    private String xTwoSecond;

    @ApiModelProperty("X2=营运资本／总资产(2021年度)")
    private String xTwoThen;

    @ApiModelProperty("X3=营运资本／总资产(2023年度)")
    private String xThreeFirst;

    @ApiModelProperty("X3=营运资本／总资产(2022年度)")
    private String xThreeSecond;

    @ApiModelProperty("X3=营运资本／总资产(2021年度)")
    private String xThreeThen;

    @ApiModelProperty("X4=营运资本／总资产(2023年度)")
    private String xFourFirst;

    @ApiModelProperty("X4=营运资本／总资产(2022年度)")
    private String xFourSecond;

    @ApiModelProperty("X4=营运资本／总资产(2021年度)")
    private String xFourThen;

    @ApiModelProperty("X5=营运资本／总资产(2023年度)")
    private String xFiveFirst;

    @ApiModelProperty("X5=营运资本／总资产(2022年度)")
    private String xFiveSecond;

    @ApiModelProperty("X5=营运资本／总资产(2021年度)")
    private String xFiveThen;

    @ApiModelProperty("z=营运资本／总资产(2023年度)")
    private String zSixFirst;

    @ApiModelProperty("z=营运资本／总资产(2022年度)")
    private String zSixSecond;

    @ApiModelProperty("z=营运资本／总资产(2021年度)")
    private String zSixThen;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("错误次数")
    private Integer errorNumber;

    @ApiModelProperty("提交状态（1已提交   2 未提交）")
    private Integer subState;

    private Date createTime;

    private Date updateTime;


    public StuScoreModule() {
        this.xOneSecond = "-0.32";
        this.xOneThen = "-0.25";
        this.xTwoSecond = "0";
        this.xTwoThen = "0.05";
        this.xThreeSecond = "0.05";
        this.xThreeThen = "0.1";
        this.xFourSecond = "0.1";
        this.xFourThen = "0.11";
        this.xFiveSecond = "0.91";
        this.xFiveThen = "0.96";
        this.zSixSecond = "0.91";
        this.zSixThen = "0.91";
    }

    public StuScoreModule(String id, String xOneFirst, String xOneSecond, String xOneThen, String xTwoFirst, String xTwoSecond, String xTwoThen, String xThreeFirst, String xThreeSecond, String xThreeThen, String xFourFirst, String xFourSecond, String xFourThen, String xFiveFirst, String xFiveSecond, String xFiveThen, String zSixFirst, String zSixSecond, String zSixThen, String userId, Integer errorNumber, Integer subState, Date createTime, Date updateTime) {
        this.id = id;
        this.xOneFirst = xOneFirst;
        this.xOneSecond = xOneSecond;
        this.xOneThen = xOneThen;
        this.xTwoFirst = xTwoFirst;
        this.xTwoSecond = xTwoSecond;
        this.xTwoThen = xTwoThen;
        this.xThreeFirst = xThreeFirst;
        this.xThreeSecond = xThreeSecond;
        this.xThreeThen = xThreeThen;
        this.xFourFirst = xFourFirst;
        this.xFourSecond = xFourSecond;
        this.xFourThen = xFourThen;
        this.xFiveFirst = xFiveFirst;
        this.xFiveSecond = xFiveSecond;
        this.xFiveThen = xFiveThen;
        this.zSixFirst = zSixFirst;
        this.zSixSecond = zSixSecond;
        this.zSixThen = zSixThen;
        this.userId = userId;
        this.errorNumber = errorNumber;
        this.subState = subState;
        this.createTime = createTime;
        this.updateTime = updateTime;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getxOneFirst() {
        return xOneFirst;
    }

    public void setxOneFirst(String xOneFirst) {
        this.xOneFirst = xOneFirst == null ? null : xOneFirst.trim();
    }

    public String getxOneSecond() {
        return xOneSecond;
    }

    public void setxOneSecond(String xOneSecond) {
        this.xOneSecond = xOneSecond == null ? null : xOneSecond.trim();
    }

    public String getxOneThen() {
        return xOneThen;
    }

    public void setxOneThen(String xOneThen) {
        this.xOneThen = xOneThen == null ? null : xOneThen.trim();
    }

    public String getxTwoFirst() {
        return xTwoFirst;
    }

    public void setxTwoFirst(String xTwoFirst) {
        this.xTwoFirst = xTwoFirst == null ? null : xTwoFirst.trim();
    }

    public String getxTwoSecond() {
        return xTwoSecond;
    }

    public void setxTwoSecond(String xTwoSecond) {
        this.xTwoSecond = xTwoSecond == null ? null : xTwoSecond.trim();
    }

    public String getxTwoThen() {
        return xTwoThen;
    }

    public void setxTwoThen(String xTwoThen) {
        this.xTwoThen = xTwoThen == null ? null : xTwoThen.trim();
    }

    public String getxThreeFirst() {
        return xThreeFirst;
    }

    public void setxThreeFirst(String xThreeFirst) {
        this.xThreeFirst = xThreeFirst == null ? null : xThreeFirst.trim();
    }

    public String getxThreeSecond() {
        return xThreeSecond;
    }

    public void setxThreeSecond(String xThreeSecond) {
        this.xThreeSecond = xThreeSecond == null ? null : xThreeSecond.trim();
    }

    public String getxThreeThen() {
        return xThreeThen;
    }

    public void setxThreeThen(String xThreeThen) {
        this.xThreeThen = xThreeThen == null ? null : xThreeThen.trim();
    }

    public String getxFourFirst() {
        return xFourFirst;
    }

    public void setxFourFirst(String xFourFirst) {
        this.xFourFirst = xFourFirst == null ? null : xFourFirst.trim();
    }

    public String getxFourSecond() {
        return xFourSecond;
    }

    public void setxFourSecond(String xFourSecond) {
        this.xFourSecond = xFourSecond == null ? null : xFourSecond.trim();
    }

    public String getxFourThen() {
        return xFourThen;
    }

    public void setxFourThen(String xFourThen) {
        this.xFourThen = xFourThen == null ? null : xFourThen.trim();
    }

    public String getxFiveFirst() {
        return xFiveFirst;
    }

    public void setxFiveFirst(String xFiveFirst) {
        this.xFiveFirst = xFiveFirst == null ? null : xFiveFirst.trim();
    }

    public String getxFiveSecond() {
        return xFiveSecond;
    }

    public void setxFiveSecond(String xFiveSecond) {
        this.xFiveSecond = xFiveSecond == null ? null : xFiveSecond.trim();
    }

    public String getxFiveThen() {
        return xFiveThen;
    }

    public void setxFiveThen(String xFiveThen) {
        this.xFiveThen = xFiveThen == null ? null : xFiveThen.trim();
    }

    public String getzSixFirst() {
        return zSixFirst;
    }

    public void setzSixFirst(String zSixFirst) {
        this.zSixFirst = zSixFirst == null ? null : zSixFirst.trim();
    }

    public String getzSixSecond() {
        return zSixSecond;
    }

    public void setzSixSecond(String zSixSecond) {
        this.zSixSecond = zSixSecond == null ? null : zSixSecond.trim();
    }

    public String getzSixThen() {
        return zSixThen;
    }

    public void setzSixThen(String zSixThen) {
        this.zSixThen = zSixThen == null ? null : zSixThen.trim();
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public Integer getErrorNumber() {
        return errorNumber;
    }

    public void setErrorNumber(Integer errorNumber) {
        this.errorNumber = errorNumber;
    }

    public Integer getSubState() {
        return subState;
    }

    public void setSubState(Integer subState) {
        this.subState = subState;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}