package com.sztzjy.digital_credit.entity;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author tz
 * stu_solvency
 * 偿债能力
 */
public class StuSolvency {
    private Integer id;

    @ApiModelProperty("流动比率")
    private String currentRatio;

    @ApiModelProperty("资产负债率")
    private String assetLiabilityRatio;

    @ApiModelProperty("产权比率")
    private String equityRatio;

    @ApiModelProperty("权益乘数")
    private String equityMultiplier;

    @ApiModelProperty("速动比率")
    private String quickRatio;

    @ApiModelProperty("现金比率")
    private String cashRatio;

    @ApiModelProperty("序号")
    private Integer serialNumber;

    private String module;

    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("错误次数")
    private Integer errorNumber;

    private Integer capacityId;

    @ApiModelProperty("提交状态")
    private Integer subState;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getCurrentRatio() {
        return currentRatio;
    }

    public void setCurrentRatio(String currentRatio) {
        this.currentRatio = currentRatio == null ? null : currentRatio.trim();
    }

    public String getAssetLiabilityRatio() {
        return assetLiabilityRatio;
    }

    public void setAssetLiabilityRatio(String assetLiabilityRatio) {
        this.assetLiabilityRatio = assetLiabilityRatio == null ? null : assetLiabilityRatio.trim();
    }

    public String getEquityRatio() {
        return equityRatio;
    }

    public void setEquityRatio(String equityRatio) {
        this.equityRatio = equityRatio == null ? null : equityRatio.trim();
    }

    public String getEquityMultiplier() {
        return equityMultiplier;
    }

    public void setEquityMultiplier(String equityMultiplier) {
        this.equityMultiplier = equityMultiplier == null ? null : equityMultiplier.trim();
    }

    public String getQuickRatio() {
        return quickRatio;
    }

    public void setQuickRatio(String quickRatio) {
        this.quickRatio = quickRatio == null ? null : quickRatio.trim();
    }

    public String getCashRatio() {
        return cashRatio;
    }

    public void setCashRatio(String cashRatio) {
        this.cashRatio = cashRatio == null ? null : cashRatio.trim();
    }

    public Integer getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(Integer serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module == null ? null : module.trim();
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public Integer getErrorNumber() {
        return errorNumber;
    }

    public void setErrorNumber(Integer errorNumber) {
        this.errorNumber = errorNumber;
    }

    public Integer getCapacityId() {
        return capacityId;
    }

    public void setCapacityId(Integer capacityId) {
        this.capacityId = capacityId;
    }

    public Integer getSubState() {
        return subState;
    }

    public void setSubState(Integer subState) {
        this.subState = subState;
    }
}