package com.sztzjy.digital_credit.entity;

import java.math.BigDecimal;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author whb
 * stu_user
 */
public class StuUser {
    @ApiModelProperty("用户ID")
    private String userId;

    @ApiModelProperty("学号")
    private String studentId;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("密码")
    private String password;

    @ApiModelProperty("3老师 4学生")
    private Integer roleId;

    @ApiModelProperty("班级ID")
    private String classId;

    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("专业")
    private String major;

    @ApiModelProperty("学校ID")
    private String schoolId;

    @ApiModelProperty("学校名称")
    private String schoolName;

    @ApiModelProperty("贷款案例成绩")
    private BigDecimal loanCasesScore;

    @ApiModelProperty("个人情况与违约成绩")
    private BigDecimal perSituationScore;

    @ApiModelProperty("还款行为与违约成绩")
    private BigDecimal repaymentBehaviorScore;

    @ApiModelProperty("个人征信-影响因素与分析成绩")
    private BigDecimal perInfluenceFactorScore;

    @ApiModelProperty("个人征信-征信优化与分析成绩")
    private BigDecimal perCreditOptimizationSocre;

    @ApiModelProperty("个人征信-征信评级模型成绩")
    private BigDecimal perCreditRatingSocre;

    @ApiModelProperty("企业征信-影响因素与分析成绩")
    private BigDecimal entInfluenceFactorSocre;

    @ApiModelProperty("企业征信-征信优化与分析成绩")
    private BigDecimal entCreditOptimizationSocre;

    @ApiModelProperty("企业征信-征信评级模型成绩")
    private BigDecimal entCreditRatingSocre;

    @ApiModelProperty("案例-用户画像成绩")
    private BigDecimal caseUserProfileSocre;

    @ApiModelProperty("案例-个人征信总成绩")
    private BigDecimal casePersonalCreditScore;

    @ApiModelProperty("案例-企业征信总成绩")
    private BigDecimal caseCorporateCreditScore;

    @ApiModelProperty("案例-企业征信主观成绩")
    private BigDecimal caseCorporateCreditSubScore;

    @ApiModelProperty("案例-企业征信客观成绩")
    private BigDecimal caseCorporateCreditObjScore;

    @ApiModelProperty("案例-个人征信主观成绩")
    private BigDecimal casePersonalCreditSubScore;

    @ApiModelProperty("案例-个人征信客观成绩")
    private BigDecimal casePersonalCreditObjScore;

    @ApiModelProperty("征信画像成绩")
    private BigDecimal creditPortraitScore;

    @ApiModelProperty("征信画像排名")
    private Integer creditPortraitRank;

    @ApiModelProperty("个人征信总成绩")
    private BigDecimal personalCreditScore;

    @ApiModelProperty("个人征信排名")
    private Integer personalCreditRank;

    @ApiModelProperty("企业征信总成绩")
    private BigDecimal corporateCreditScore;

    @ApiModelProperty("企业征信排名")
    private Integer corporateCreditRank;

    @ApiModelProperty("综合案例总成绩")
    private BigDecimal comprehensiveCaseScore;

    @ApiModelProperty("综合案例排名")
    private Integer comprehensiveCaseRank;

    @ApiModelProperty("总排名（学校）")
    private Integer totalRank;

    @ApiModelProperty("综合得分（学校）（乘完权重后）")
    private BigDecimal totalScore;

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId == null ? null : userId.trim();
    }

    public String getStudentId() {
        return studentId;
    }

    public void setStudentId(String studentId) {
        this.studentId = studentId == null ? null : studentId.trim();
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password == null ? null : password.trim();
    }

    public Integer getRoleId() {
        return roleId;
    }

    public void setRoleId(Integer roleId) {
        this.roleId = roleId;
    }

    public String getClassId() {
        return classId;
    }

    public void setClassId(String classId) {
        this.classId = classId == null ? null : classId.trim();
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className == null ? null : className.trim();
    }

    public String getMajor() {
        return major;
    }

    public void setMajor(String major) {
        this.major = major == null ? null : major.trim();
    }

    public String getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(String schoolId) {
        this.schoolId = schoolId == null ? null : schoolId.trim();
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName == null ? null : schoolName.trim();
    }

    public BigDecimal getLoanCasesScore() {
        return loanCasesScore;
    }

    public void setLoanCasesScore(BigDecimal loanCasesScore) {
        this.loanCasesScore = loanCasesScore;
    }

    public BigDecimal getPerSituationScore() {
        return perSituationScore;
    }

    public void setPerSituationScore(BigDecimal perSituationScore) {
        this.perSituationScore = perSituationScore;
    }

    public BigDecimal getRepaymentBehaviorScore() {
        return repaymentBehaviorScore;
    }

    public void setRepaymentBehaviorScore(BigDecimal repaymentBehaviorScore) {
        this.repaymentBehaviorScore = repaymentBehaviorScore;
    }

    public BigDecimal getPerInfluenceFactorScore() {
        return perInfluenceFactorScore;
    }

    public void setPerInfluenceFactorScore(BigDecimal perInfluenceFactorScore) {
        this.perInfluenceFactorScore = perInfluenceFactorScore;
    }

    public BigDecimal getPerCreditOptimizationSocre() {
        return perCreditOptimizationSocre;
    }

    public void setPerCreditOptimizationSocre(BigDecimal perCreditOptimizationSocre) {
        this.perCreditOptimizationSocre = perCreditOptimizationSocre;
    }

    public BigDecimal getPerCreditRatingSocre() {
        return perCreditRatingSocre;
    }

    public void setPerCreditRatingSocre(BigDecimal perCreditRatingSocre) {
        this.perCreditRatingSocre = perCreditRatingSocre;
    }

    public BigDecimal getEntInfluenceFactorSocre() {
        return entInfluenceFactorSocre;
    }

    public void setEntInfluenceFactorSocre(BigDecimal entInfluenceFactorSocre) {
        this.entInfluenceFactorSocre = entInfluenceFactorSocre;
    }

    public BigDecimal getEntCreditOptimizationSocre() {
        return entCreditOptimizationSocre;
    }

    public void setEntCreditOptimizationSocre(BigDecimal entCreditOptimizationSocre) {
        this.entCreditOptimizationSocre = entCreditOptimizationSocre;
    }

    public BigDecimal getEntCreditRatingSocre() {
        return entCreditRatingSocre;
    }

    public void setEntCreditRatingSocre(BigDecimal entCreditRatingSocre) {
        this.entCreditRatingSocre = entCreditRatingSocre;
    }

    public BigDecimal getCaseUserProfileSocre() {
        return caseUserProfileSocre;
    }

    public void setCaseUserProfileSocre(BigDecimal caseUserProfileSocre) {
        this.caseUserProfileSocre = caseUserProfileSocre;
    }

    public BigDecimal getCasePersonalCreditScore() {
        return casePersonalCreditScore;
    }

    public void setCasePersonalCreditScore(BigDecimal casePersonalCreditScore) {
        this.casePersonalCreditScore = casePersonalCreditScore;
    }

    public BigDecimal getCaseCorporateCreditScore() {
        return caseCorporateCreditScore;
    }

    public void setCaseCorporateCreditScore(BigDecimal caseCorporateCreditScore) {
        this.caseCorporateCreditScore = caseCorporateCreditScore;
    }

    public BigDecimal getCaseCorporateCreditSubScore() {
        return caseCorporateCreditSubScore;
    }

    public void setCaseCorporateCreditSubScore(BigDecimal caseCorporateCreditSubScore) {
        this.caseCorporateCreditSubScore = caseCorporateCreditSubScore;
    }

    public BigDecimal getCaseCorporateCreditObjScore() {
        return caseCorporateCreditObjScore;
    }

    public void setCaseCorporateCreditObjScore(BigDecimal caseCorporateCreditObjScore) {
        this.caseCorporateCreditObjScore = caseCorporateCreditObjScore;
    }

    public BigDecimal getCasePersonalCreditSubScore() {
        return casePersonalCreditSubScore;
    }

    public void setCasePersonalCreditSubScore(BigDecimal casePersonalCreditSubScore) {
        this.casePersonalCreditSubScore = casePersonalCreditSubScore;
    }

    public BigDecimal getCasePersonalCreditObjScore() {
        return casePersonalCreditObjScore;
    }

    public void setCasePersonalCreditObjScore(BigDecimal casePersonalCreditObjScore) {
        this.casePersonalCreditObjScore = casePersonalCreditObjScore;
    }

    public BigDecimal getCreditPortraitScore() {
        return creditPortraitScore;
    }

    public void setCreditPortraitScore(BigDecimal creditPortraitScore) {
        this.creditPortraitScore = creditPortraitScore;
    }

    public Integer getCreditPortraitRank() {
        return creditPortraitRank;
    }

    public void setCreditPortraitRank(Integer creditPortraitRank) {
        this.creditPortraitRank = creditPortraitRank;
    }

    public BigDecimal getPersonalCreditScore() {
        return personalCreditScore;
    }

    public void setPersonalCreditScore(BigDecimal personalCreditScore) {
        this.personalCreditScore = personalCreditScore;
    }

    public Integer getPersonalCreditRank() {
        return personalCreditRank;
    }

    public void setPersonalCreditRank(Integer personalCreditRank) {
        this.personalCreditRank = personalCreditRank;
    }

    public BigDecimal getCorporateCreditScore() {
        return corporateCreditScore;
    }

    public void setCorporateCreditScore(BigDecimal corporateCreditScore) {
        this.corporateCreditScore = corporateCreditScore;
    }

    public Integer getCorporateCreditRank() {
        return corporateCreditRank;
    }

    public void setCorporateCreditRank(Integer corporateCreditRank) {
        this.corporateCreditRank = corporateCreditRank;
    }

    public BigDecimal getComprehensiveCaseScore() {
        return comprehensiveCaseScore;
    }

    public void setComprehensiveCaseScore(BigDecimal comprehensiveCaseScore) {
        this.comprehensiveCaseScore = comprehensiveCaseScore;
    }

    public Integer getComprehensiveCaseRank() {
        return comprehensiveCaseRank;
    }

    public void setComprehensiveCaseRank(Integer comprehensiveCaseRank) {
        this.comprehensiveCaseRank = comprehensiveCaseRank;
    }

    public Integer getTotalRank() {
        return totalRank;
    }

    public void setTotalRank(Integer totalRank) {
        this.totalRank = totalRank;
    }

    public BigDecimal getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(BigDecimal totalScore) {
        this.totalScore = totalScore;
    }
}