package com.sztzjy.digital_credit.entity;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 *
 * @author tz
 * tch_assessment_points
 */
public class TchAssessmentPoints {
    @ApiModelProperty("ID")
    private Integer id;

    @ApiModelProperty("序号")
    private Integer number;

    @ApiModelProperty("类型")
    private String type;

    @ApiModelProperty("考核点")
    private String assessmentPoints;

    @ApiModelProperty("分值")
    private String score;

    @ApiModelProperty("正确答案")
    private String correctAnswer;

    @ApiModelProperty("归属模块")
    private String module;

    @ApiModelProperty("考核点归属")
    private String assessmentPointsAscription;

    private Date createTime;

    private Date updateTime;

    @ApiModelProperty("最高分值")
    private String highestScore;

    @ApiModelProperty("预留字段1")
    private String reservedOne;

    @ApiModelProperty("预留字段2")
    private String reservedTwo;

    @ApiModelProperty("预留字段3")
    private String reservedThree;

    @ApiModelProperty("参考资料")
    private String referenceMaterials;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    public String getAssessmentPoints() {
        return assessmentPoints;
    }

    public void setAssessmentPoints(String assessmentPoints) {
        this.assessmentPoints = assessmentPoints == null ? null : assessmentPoints.trim();
    }

    public String getScore() {
        return score;
    }

    public void setScore(String score) {
        this.score = score == null ? null : score.trim();
    }

    public String getCorrectAnswer() {
        return correctAnswer;
    }

    public void setCorrectAnswer(String correctAnswer) {
        this.correctAnswer = correctAnswer == null ? null : correctAnswer.trim();
    }

    public String getModule() {
        return module;
    }

    public void setModule(String module) {
        this.module = module == null ? null : module.trim();
    }

    public String getAssessmentPointsAscription() {
        return assessmentPointsAscription;
    }

    public void setAssessmentPointsAscription(String assessmentPointsAscription) {
        this.assessmentPointsAscription = assessmentPointsAscription == null ? null : assessmentPointsAscription.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getHighestScore() {
        return highestScore;
    }

    public void setHighestScore(String highestScore) {
        this.highestScore = highestScore == null ? null : highestScore.trim();
    }

    public String getReservedOne() {
        return reservedOne;
    }

    public void setReservedOne(String reservedOne) {
        this.reservedOne = reservedOne == null ? null : reservedOne.trim();
    }

    public String getReservedTwo() {
        return reservedTwo;
    }

    public void setReservedTwo(String reservedTwo) {
        this.reservedTwo = reservedTwo == null ? null : reservedTwo.trim();
    }

    public String getReservedThree() {
        return reservedThree;
    }

    public void setReservedThree(String reservedThree) {
        this.reservedThree = reservedThree == null ? null : reservedThree.trim();
    }

    public String getReferenceMaterials() {
        return referenceMaterials;
    }

    public void setReferenceMaterials(String referenceMaterials) {
        this.referenceMaterials = referenceMaterials == null ? null : referenceMaterials.trim();
    }
}